
    const escape = require('js-string-escape');

    module.exports = (commandMapping = {}, fontSize = '1.25em') => {
      return "\n             <!doctype html>\n             <html>\n               <head>\n                 <meta charset=\'utf-8\'>\n                 <title>Terminal Emulator</title>\n                 <meta name=\'viewport\' content=\'width=device-width, initial-scale=1, shrink-to-fit=no\'>\n                 <style>\n                   /*! normalize.css v8.0.0 | MIT License | github.com/necolas/normalize.css */\n\n/* Document\n   ========================================================================== */\n\n/**\n * 1. Correct the line height in all browsers.\n * 2. Prevent adjustments of font size after orientation changes in iOS.\n */\n\nhtml {\n  line-height: 1.15; /* 1 */\n  -webkit-text-size-adjust: 100%; /* 2 */\n}\n\n/* Sections\n   ========================================================================== */\n\n/**\n * Remove the margin in all browsers.\n */\n\nbody {\n  margin: 0;\n}\n\n/**\n * Correct the font size and margin on `h1` elements within `section` and\n * `article` contexts in Chrome, Firefox, and Safari.\n */\n\nh1 {\n  font-size: 2em;\n  margin: 0.67em 0;\n}\n\n/* Grouping content\n   ========================================================================== */\n\n/**\n * 1. Add the correct box sizing in Firefox.\n * 2. Show the overflow in Edge and IE.\n */\n\nhr {\n  box-sizing: content-box; /* 1 */\n  height: 0; /* 1 */\n  overflow: visible; /* 2 */\n}\n\n/**\n * 1. Correct the inheritance and scaling of font size in all browsers.\n * 2. Correct the odd `em` font sizing in all browsers.\n */\n\npre {\n  font-family: monospace, monospace; /* 1 */\n  font-size: 1em; /* 2 */\n}\n\n/* Text-level semantics\n   ========================================================================== */\n\n/**\n * Remove the gray background on active links in IE 10.\n */\n\na {\n  background-color: transparent;\n}\n\n/**\n * 1. Remove the bottom border in Chrome 57-\n * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.\n */\n\nabbr[title] {\n  border-bottom: none; /* 1 */\n  text-decoration: underline; /* 2 */\n  text-decoration: underline dotted; /* 2 */\n}\n\n/**\n * Add the correct font weight in Chrome, Edge, and Safari.\n */\n\nb,\nstrong {\n  font-weight: bolder;\n}\n\n/**\n * 1. Correct the inheritance and scaling of font size in all browsers.\n * 2. Correct the odd `em` font sizing in all browsers.\n */\n\ncode,\nkbd,\nsamp {\n  font-family: monospace, monospace; /* 1 */\n  font-size: 1em; /* 2 */\n}\n\n/**\n * Add the correct font size in all browsers.\n */\n\nsmall {\n  font-size: 80%;\n}\n\n/**\n * Prevent `sub` and `sup` elements from affecting the line height in\n * all browsers.\n */\n\nsub,\nsup {\n  font-size: 75%;\n  line-height: 0;\n  position: relative;\n  vertical-align: baseline;\n}\n\nsub {\n  bottom: -0.25em;\n}\n\nsup {\n  top: -0.5em;\n}\n\n/* Embedded content\n   ========================================================================== */\n\n/**\n * Remove the border on images inside links in IE 10.\n */\n\nimg {\n  border-style: none;\n}\n\n/* Forms\n   ========================================================================== */\n\n/**\n * 1. Change the font styles in all browsers.\n * 2. Remove the margin in Firefox and Safari.\n */\n\nbutton,\ninput,\noptgroup,\nselect,\ntextarea {\n  font-family: inherit; /* 1 */\n  font-size: 100%; /* 1 */\n  line-height: 1.15; /* 1 */\n  margin: 0; /* 2 */\n}\n\n/**\n * Show the overflow in IE.\n * 1. Show the overflow in Edge.\n */\n\nbutton,\ninput { /* 1 */\n  overflow: visible;\n}\n\n/**\n * Remove the inheritance of text transform in Edge, Firefox, and IE.\n * 1. Remove the inheritance of text transform in Firefox.\n */\n\nbutton,\nselect { /* 1 */\n  text-transform: none;\n}\n\n/**\n * Correct the inability to style clickable types in iOS and Safari.\n */\n\nbutton,\n[type=\"button\"],\n[type=\"reset\"],\n[type=\"submit\"] {\n  -webkit-appearance: button;\n}\n\n/**\n * Remove the inner border and padding in Firefox.\n */\n\nbutton::-moz-focus-inner,\n[type=\"button\"]::-moz-focus-inner,\n[type=\"reset\"]::-moz-focus-inner,\n[type=\"submit\"]::-moz-focus-inner {\n  border-style: none;\n  padding: 0;\n}\n\n/**\n * Restore the focus styles unset by the previous rule.\n */\n\nbutton:-moz-focusring,\n[type=\"button\"]:-moz-focusring,\n[type=\"reset\"]:-moz-focusring,\n[type=\"submit\"]:-moz-focusring {\n  outline: 1px dotted ButtonText;\n}\n\n/**\n * Correct the padding in Firefox.\n */\n\nfieldset {\n  padding: 0.35em 0.75em 0.625em;\n}\n\n/**\n * 1. Correct the text wrapping in Edge and IE.\n * 2. Correct the color inheritance from `fieldset` elements in IE.\n * 3. Remove the padding so developers are not caught out when they zero out\n *    `fieldset` elements in all browsers.\n */\n\nlegend {\n  box-sizing: border-box; /* 1 */\n  color: inherit; /* 2 */\n  display: table; /* 1 */\n  max-width: 100%; /* 1 */\n  padding: 0; /* 3 */\n  white-space: normal; /* 1 */\n}\n\n/**\n * Add the correct vertical alignment in Chrome, Firefox, and Opera.\n */\n\nprogress {\n  vertical-align: baseline;\n}\n\n/**\n * Remove the default vertical scrollbar in IE 10+.\n */\n\ntextarea {\n  overflow: auto;\n}\n\n/**\n * 1. Add the correct box sizing in IE 10.\n * 2. Remove the padding in IE 10.\n */\n\n[type=\"checkbox\"],\n[type=\"radio\"] {\n  box-sizing: border-box; /* 1 */\n  padding: 0; /* 2 */\n}\n\n/**\n * Correct the cursor style of increment and decrement buttons in Chrome.\n */\n\n[type=\"number\"]::-webkit-inner-spin-button,\n[type=\"number\"]::-webkit-outer-spin-button {\n  height: auto;\n}\n\n/**\n * 1. Correct the odd appearance in Chrome and Safari.\n * 2. Correct the outline style in Safari.\n */\n\n[type=\"search\"] {\n  -webkit-appearance: textfield; /* 1 */\n  outline-offset: -2px; /* 2 */\n}\n\n/**\n * Remove the inner padding in Chrome and Safari on macOS.\n */\n\n[type=\"search\"]::-webkit-search-decoration {\n  -webkit-appearance: none;\n}\n\n/**\n * 1. Correct the inability to style clickable types in iOS and Safari.\n * 2. Change font properties to `inherit` in Safari.\n */\n\n::-webkit-file-upload-button {\n  -webkit-appearance: button; /* 1 */\n  font: inherit; /* 2 */\n}\n\n/* Interactive\n   ========================================================================== */\n\n/*\n * Add the correct display in Edge, IE 10+, and Firefox.\n */\n\ndetails {\n  display: block;\n}\n\n/*\n * Add the correct display in all browsers.\n */\n\nsummary {\n  display: list-item;\n}\n\n/* Misc\n   ========================================================================== */\n\n/**\n * Add the correct display in IE 10+.\n */\n\ntemplate {\n  display: none;\n}\n\n/**\n * Add the correct display in IE 10.\n */\n\n[hidden] {\n  display: none;\n}\n\n                 </style>\n                 <style>\n                  html, body {\n                    box-sizing: border-box;\n                    color: white;\n            font-size: "+fontSize+";\n                  }\n                  *, *:before, *:after {\n                    box-sizing: inherit;\n                  }\n                  body {\n                    padding: 0.5%;\n                  }\n                  body, #input {\n                    background: #171e1d;\n                    font-family: monospace;\n                  }\n                  .input-wrapper {\n                    display: flex;\n                  }\n                  #input, .input-wrapper {\n                    color: #53eb9b;\n                  }\n                  #input {\n                    flex: 2;\n                    border: none;\n                  }\n                  #input:focus {\n                    outline: none;\n                  }\n                  /* Output */\n                  #output-wrapper div {\n                    display: inline-block;\n                    width: 100%;\n                  }\n                  .header-output {\n                    color: #9d9d9d;\n                  }\n                  .error-output {\n                    color: #ff4e4e;\n                  }\n                 </style>\n               </head>\n               <body>\n                 <div id=\'output-wrapper\'></div>\n                 <div class=\'input-wrapper\'>\n                   <span>$&nbsp;</span><input id=\'input\' type=\'text\' autofocus/>\n                 </div>\n                 <script>\n                   (function webpackUniversalModuleDefinition(root, factory) {\n	if(typeof exports === \'object\' && typeof module === \'object\')\n		module.exports = factory();\n	else if(typeof define === \'function\' && define.amd)\n		define(\"Terminal\", [], factory);\n	else if(typeof exports === \'object\')\n		exports[\"Terminal\"] = factory();\n	else\n		root[\"Terminal\"] = factory();\n})(this, function() {\nreturn /******/ (function(modules) { // webpackBootstrap\n/******/ 	// The module cache\n/******/ 	var installedModules = {};\n/******/\n/******/ 	// The require function\n/******/ 	function __webpack_require__(moduleId) {\n/******/\n/******/ 		// Check if module is in cache\n/******/ 		if(installedModules[moduleId]) {\n/******/ 			return installedModules[moduleId].exports;\n/******/ 		}\n/******/ 		// Create a new module (and put it into the cache)\n/******/ 		var module = installedModules[moduleId] = {\n/******/ 			i: moduleId,\n/******/ 			l: false,\n/******/ 			exports: {}\n/******/ 		};\n/******/\n/******/ 		// Execute the module function\n/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);\n/******/\n/******/ 		// Flag the module as loaded\n/******/ 		module.l = true;\n/******/\n/******/ 		// Return the exports of the module\n/******/ 		return module.exports;\n/******/ 	}\n/******/\n/******/\n/******/ 	// expose the modules object (__webpack_modules__)\n/******/ 	__webpack_require__.m = modules;\n/******/\n/******/ 	// expose the module cache\n/******/ 	__webpack_require__.c = installedModules;\n/******/\n/******/ 	// define getter function for harmony exports\n/******/ 	__webpack_require__.d = function(exports, name, getter) {\n/******/ 		if(!__webpack_require__.o(exports, name)) {\n/******/ 			Object.defineProperty(exports, name, {\n/******/ 				configurable: false,\n/******/ 				enumerable: true,\n/******/ 				get: getter\n/******/ 			});\n/******/ 		}\n/******/ 	};\n/******/\n/******/ 	// define __esModule on exports\n/******/ 	__webpack_require__.r = function(exports) {\n/******/ 		Object.defineProperty(exports, \'__esModule\', { value: true });\n/******/ 	};\n/******/\n/******/ 	// getDefaultExport function for compatibility with non-harmony modules\n/******/ 	__webpack_require__.n = function(module) {\n/******/ 		var getter = module && module.__esModule ?\n/******/ 			function getDefault() { return module[\'default\']; } :\n/******/ 			function getModuleExports() { return module; };\n/******/ 		__webpack_require__.d(getter, \'a\', getter);\n/******/ 		return getter;\n/******/ 	};\n/******/\n/******/ 	// Object.prototype.hasOwnProperty.call\n/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };\n/******/\n/******/ 	// __webpack_public_path__\n/******/ 	__webpack_require__.p = \"\";\n/******/\n/******/\n/******/ 	// Load entry module and return exports\n/******/ 	return __webpack_require__(__webpack_require__.s = 0);\n/******/ })\n/************************************************************************/\n/******/ ({\n\n/***/ \"./node_modules/balanced-match/index.js\":\n/*!**********************************************!*\\\n  !*** ./node_modules/balanced-match/index.js ***!\n  \\**********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\nmodule.exports = balanced;\nfunction balanced(a, b, str) {\n  if (a instanceof RegExp) a = maybeMatch(a, str);\n  if (b instanceof RegExp) b = maybeMatch(b, str);\n\n  var r = range(a, b, str);\n\n  return r && {\n    start: r[0],\n    end: r[1],\n    pre: str.slice(0, r[0]),\n    body: str.slice(r[0] + a.length, r[1]),\n    post: str.slice(r[1] + b.length)\n  };\n}\n\nfunction maybeMatch(reg, str) {\n  var m = str.match(reg);\n  return m ? m[0] : null;\n}\n\nbalanced.range = range;\nfunction range(a, b, str) {\n  var begs, beg, left, right, result;\n  var ai = str.indexOf(a);\n  var bi = str.indexOf(b, ai + 1);\n  var i = ai;\n\n  if (ai >= 0 && bi > 0) {\n    begs = [];\n    left = str.length;\n\n    while (i >= 0 && !result) {\n      if (i == ai) {\n        begs.push(i);\n        ai = str.indexOf(a, i + 1);\n      } else if (begs.length == 1) {\n        result = [ begs.pop(), bi ];\n      } else {\n        beg = begs.pop();\n        if (beg < left) {\n          left = beg;\n          right = bi;\n        }\n\n        bi = str.indexOf(b, i + 1);\n      }\n\n      i = ai < bi && ai >= 0 ? ai : bi;\n    }\n\n    if (begs.length) {\n      result = [ left, right ];\n    }\n  }\n\n  return result;\n}\n\n\n/***/ }),\n\n/***/ \"./node_modules/brace-expansion/index.js\":\n/*!***********************************************!*\\\n  !*** ./node_modules/brace-expansion/index.js ***!\n  \\***********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\nvar concatMap = __webpack_require__(/*! concat-map */ \"./node_modules/concat-map/index.js\");\nvar balanced = __webpack_require__(/*! balanced-match */ \"./node_modules/balanced-match/index.js\");\n\nmodule.exports = expandTop;\n\nvar escSlash = \'\\0SLASH\'+Math.random()+\'\\0\';\nvar escOpen = \'\\0OPEN\'+Math.random()+\'\\0\';\nvar escClose = \'\\0CLOSE\'+Math.random()+\'\\0\';\nvar escComma = \'\\0COMMA\'+Math.random()+\'\\0\';\nvar escPeriod = \'\\0PERIOD\'+Math.random()+\'\\0\';\n\nfunction numeric(str) {\n  return parseInt(str, 10) == str\n    ? parseInt(str, 10)\n    : str.charCodeAt(0);\n}\n\nfunction escapeBraces(str) {\n  return str.split(\'\\\\\\\\\').join(escSlash)\n            .split(\'\\\\{\').join(escOpen)\n            .split(\'\\\\}\').join(escClose)\n            .split(\'\\\\,\').join(escComma)\n            .split(\'\\\\.\').join(escPeriod);\n}\n\nfunction unescapeBraces(str) {\n  return str.split(escSlash).join(\'\\\\\')\n            .split(escOpen).join(\'{\')\n            .split(escClose).join(\'}\')\n            .split(escComma).join(\',\')\n            .split(escPeriod).join(\'.\');\n}\n\n\n// Basically just str.split(\",\"), but handling cases\n// where we have nested braced sections, which should be\n// treated as individual members, like {a,{b,c},d}\nfunction parseCommaParts(str) {\n  if (!str)\n    return [\'\'];\n\n  var parts = [];\n  var m = balanced(\'{\', \'}\', str);\n\n  if (!m)\n    return str.split(\',\');\n\n  var pre = m.pre;\n  var body = m.body;\n  var post = m.post;\n  var p = pre.split(\',\');\n\n  p[p.length-1] += \'{\' + body + \'}\';\n  var postParts = parseCommaParts(post);\n  if (post.length) {\n    p[p.length-1] += postParts.shift();\n    p.push.apply(p, postParts);\n  }\n\n  parts.push.apply(parts, p);\n\n  return parts;\n}\n\nfunction expandTop(str) {\n  if (!str)\n    return [];\n\n  // I don\'t know why Bash 4.3 does this, but it does.\n  // Anything starting with {} will have the first two bytes preserved\n  // but *only* at the top level, so {},a}b will not expand to anything,\n  // but a{},b}c will be expanded to [a}c,abc].\n  // One could argue that this is a bug in Bash, but since the goal of\n  // this module is to match Bash\'s rules, we escape a leading {}\n  if (str.substr(0, 2) === \'{}\') {\n    str = \'\\\\{\\\\}\' + str.substr(2);\n  }\n\n  return expand(escapeBraces(str), true).map(unescapeBraces);\n}\n\nfunction identity(e) {\n  return e;\n}\n\nfunction embrace(str) {\n  return \'{\' + str + \'}\';\n}\nfunction isPadded(el) {\n  return /^-?0\\d/.test(el);\n}\n\nfunction lte(i, y) {\n  return i <= y;\n}\nfunction gte(i, y) {\n  return i >= y;\n}\n\nfunction expand(str, isTop) {\n  var expansions = [];\n\n  var m = balanced(\'{\', \'}\', str);\n  if (!m || /\\$$/.test(m.pre)) return [str];\n\n  var isNumericSequence = /^-?\\d+\\.\\.-?\\d+(?:\\.\\.-?\\d+)?$/.test(m.body);\n  var isAlphaSequence = /^[a-zA-Z]\\.\\.[a-zA-Z](?:\\.\\.-?\\d+)?$/.test(m.body);\n  var isSequence = isNumericSequence || isAlphaSequence;\n  var isOptions = m.body.indexOf(\',\') >= 0;\n  if (!isSequence && !isOptions) {\n    // {a},b}\n    if (m.post.match(/,.*\\}/)) {\n      str = m.pre + \'{\' + m.body + escClose + m.post;\n      return expand(str);\n    }\n    return [str];\n  }\n\n  var n;\n  if (isSequence) {\n    n = m.body.split(/\\.\\./);\n  } else {\n    n = parseCommaParts(m.body);\n    if (n.length === 1) {\n      // x{{a,b}}y ==> x{a}y x{b}y\n      n = expand(n[0], false).map(embrace);\n      if (n.length === 1) {\n        var post = m.post.length\n          ? expand(m.post, false)\n          : [\'\'];\n        return post.map(function(p) {\n          return m.pre + n[0] + p;\n        });\n      }\n    }\n  }\n\n  // at this point, n is the parts, and we know it\'s not a comma set\n  // with a single entry.\n\n  // no need to expand pre, since it is guaranteed to be free of brace-sets\n  var pre = m.pre;\n  var post = m.post.length\n    ? expand(m.post, false)\n    : [\'\'];\n\n  var N;\n\n  if (isSequence) {\n    var x = numeric(n[0]);\n    var y = numeric(n[1]);\n    var width = Math.max(n[0].length, n[1].length)\n    var incr = n.length == 3\n      ? Math.abs(numeric(n[2]))\n      : 1;\n    var test = lte;\n    var reverse = y < x;\n    if (reverse) {\n      incr *= -1;\n      test = gte;\n    }\n    var pad = n.some(isPadded);\n\n    N = [];\n\n    for (var i = x; test(i, y); i += incr) {\n      var c;\n      if (isAlphaSequence) {\n        c = String.fromCharCode(i);\n        if (c === \'\\\\\')\n          c = \'\';\n      } else {\n        c = String(i);\n        if (pad) {\n          var need = width - c.length;\n          if (need > 0) {\n            var z = new Array(need + 1).join(\'0\');\n            if (i < 0)\n              c = \'-\' + z + c.slice(1);\n            else\n              c = z + c;\n          }\n        }\n      }\n      N.push(c);\n    }\n  } else {\n    N = concatMap(n, function(el) { return expand(el, false) });\n  }\n\n  for (var j = 0; j < N.length; j++) {\n    for (var k = 0; k < post.length; k++) {\n      var expansion = pre + N[j] + post[k];\n      if (!isTop || isSequence || expansion)\n        expansions.push(expansion);\n    }\n  }\n\n  return expansions;\n}\n\n\n\n/***/ }),\n\n/***/ \"./node_modules/concat-map/index.js\":\n/*!******************************************!*\\\n  !*** ./node_modules/concat-map/index.js ***!\n  \\******************************************/\n/*! no static exports found */\n/***/ (function(module, exports) {\n\nmodule.exports = function (xs, fn) {\n    var res = [];\n    for (var i = 0; i < xs.length; i++) {\n        var x = fn(xs[i], i);\n        if (isArray(x)) res.push.apply(res, x);\n        else res.push(x);\n    }\n    return res;\n};\n\nvar isArray = Array.isArray || function (xs) {\n    return Object.prototype.toString.call(xs) === \'[object Array]\';\n};\n\n\n/***/ }),\n\n/***/ \"./node_modules/get-options/index.js\":\n/*!*******************************************!*\\\n  !*** ./node_modules/get-options/index.js ***!\n  \\*******************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\n\nclass Option{\n	\n	/**\n	 * Create a new Option instance.\n	 *\n	 * @param {String|Array} names  - Comma-separated list of names (e.g., \"-l, --long-list, --length\")\n	 * @param {String}       params - List of args the option expects (e.g., \"<num> <type>\" or \"[num] [type]\", etc)\n	 * @constructor\n	 */\n	constructor(names, params){\n		let shortNames = {};\n		let longNames  = {};\n		\n		/** Define the Option\'s names, both long and short forms */\n		if(!Array.isArray(names))\n			names = (\"\"+names).split(/,/g);\n		\n		let match;\n		for(let i of names){\n			i = i.trim();\n			\n			/** Short option */\n			if(match = i.match(/^-(\\w)$/))\n				shortNames[match[1]] = true;\n			\n			/** Long option */\n			else longNames[i.replace(/^-+/, \"\")] = true;\n		}\n		\n		this.shortNames  = Object.keys(shortNames);\n		this.longNames   = Object.keys(longNames);\n		\n		\n		\n		/** Parameters accepted/expected by this Option */\n		if(Array.isArray(params))\n			params = params.join(\" \");\n		\n		/** Split our parameter list by whitespace */\n		params = params.split(/\\s+/g);\n		\n		/** Remove punctuation added for readability */\n		params = params.map(e => e.replace(/^<(.+?)>$|^\\[(.+?)\\]$|^\\((.+?)\\)$/gm, function(){\n			return [].slice.call(arguments, 1, 4).filter(e => e).join(\"\");\n		}));\n		\n		\n		this.params = [];\n		this.values = [];\n		for(let name of params){\n			\n			/** Make sure the parameter isn\'t blank */\n			if(name){\n				\n				/** Check for an additional regex pattern to use for disambiguating bundled options */\n				let splitName = name.match(/^([^=]+)(?:=(.+)?)?$/);\n				\n				this.params.push({\n					name:      splitName[1],\n					pattern:   splitName[2] || \".+\"\n				});\n				\n				if(/\\.{3}$/.test(name))\n					this.variadic = true;\n			}\n		}\n	}\n	\n	\n	/**\n	 * Return a regex string for matching this option when expressed in bundled short-form.\n	 *\n	 * @return {String}\n	 */\n	getBundlePattern(){\n		\n		/** We\'ve already generated this regex before; just return the cached result */\n		if(this._bundlePattern)\n			return this._bundlePattern;\n		\n		let param = this.params.map(p => \"(\"+p.pattern+\")?\").join(\"\");\n		let names = this.shortNames.length === 1 ? this.shortNames[0] : (\"[\" + this.shortNames.join(\"\") + \"]\");\n		return (this._bundlePattern = names + param);\n	}\n	\n	\n	\n	/**\n	 * Return the number of parameters this option expects/accepts.\n	 *\n	 * @readonly\n	 * @return {Number}\n	 */\n	get arity(){\n		return this.params ? this.params.length : 0;\n	}\n	\n	\n	/**\n	 * Return an array of all names this Option recognises, long or short.\n	 *\n	 * @readonly\n	 * @return {Array}\n	 */\n	get names(){\n		return this.shortNames.concat(this.longNames);\n	}\n	\n	\n	/**\n	 * Whether or not the Option still has room for remaining parameters.\n	 *\n	 * @readonly\n	 * @return {Boolean}\n	 */\n	get canCollect(){\n		return this.variadic || this.values.length < this.params.length;\n	}\n}\n\n\n\n/**\n * Strip leading dashes from an option name and convert it to camelCase.\n *\n * @param {String} input - An option\'s name, such as \"--write-to\"\n * @param {Boolean} noCamelCase - Strip leading dashes only\n * @return {String} name\n */\nfunction formatName(input, noCamelCase){\n	input = input.replace(/^-+/, \"\");\n	\n	/** Convert kebab-case into camelCase */\n	if(!noCamelCase && /-/.test(input))\n		input = input.toLowerCase().replace(/([a-z])-+([a-z])/g, function(_, a, b){\n			return a + b.toUpperCase();\n		});\n	\n	return input;\n}\n\n\n/**\n * Inject one or more values into an array at an arbitrary position.\n *\n * This behaves similar to array.splice(index, 0, values...), except the\n * array is extended if the index is greater than the array\'s number of elements.\n *\n * @param {Array}  array - Array to operate upon. The value is modified.\n * @param {Number} index - Zero-based index of the array to inject the values into\n * @return {Array}         The modified array originally passed to the function\n */\nfunction injectIntoArray(array, index, ...values){\n	if(index > array.length)\n		array.length = index;\n	array.splice(index, 0, ...values);\n	return array;\n}\n\n\n/**\n * Filter duplicate strings from an array.\n *\n * @param {Array} input - An array of strings\n * @return {Array} unique\n */\nfunction uniqueStrings(input){\n	const output = {};\n	for(let i = 0, l = input.length; i < l; ++i)\n		output[input[i]] = true;\n	return Object.keys(output);\n}\n\n\n/**\n * Parse input using \"best guess\" logic. Called when no optdef is passed.\n *\n * Essentially, the following assumptions are made about input:\n *\n * - Anything beginning with at least one dash is an option name\n * - Options without arguments mean a boolean \"true\"\n * - Option-reading stops at \"--\"\n * - Anything caught between two options becomes the first option\'s value\n *\n * @param {Array} input\n * @return {Object} opts\n */\nfunction autoOpts(input, config){\n	config = config || {};\n	const opts = new Object(null);\n	const argv = [];\n	let argvEnd;\n	\n	/** Bail early if passed a blank string */\n	if(!input) return opts;\n	\n	/** Stop parsing anything after a \"--\" delimiter */\n	const stopAt = input.indexOf(\"--\");\n	if(stopAt !== -1){\n		argvEnd = input.slice(stopAt + 1);\n		input = input.slice(0, stopAt);\n	}\n	\n	\n	for(let i = 0, l = input.length; i < l; ++i){\n		let name = input[i];\n		\n		/** Appears to be an option */\n		if(/^-/.test(name)){\n			\n			/** Equals sign is used, should it become the option\'s value? */\n			if(!config.ignoreEquals && /=/.test(name)){\n				let split  = name.split(/=/);\n				name       = formatName(split[0], config.noCamelCase);\n				opts[name] = split.slice(1).join(\"=\");\n			}\n			\n			else{\n				name = formatName(name, config.noCamelCase);\n				\n				/** Treat a following non-option as this option\'s value */\n				const next = input[i + 1];\n				if(next != null && !/^-/.test(next)){\n					\n					/** There\'s another option after this one: collect multiple non-options as an array */\n					let nextOpt = input.findIndex((s,I) => I > i && /^-/.test(s));\n					if(nextOpt !== -1){\n						opts[name] = input.slice(i + 1, nextOpt);\n						\n						/** There\'s only one value to store; don\'t wrap it in an array */\n						if(nextOpt - i < 3)\n							opts[name] = opts[name][0];\n						\n						i = nextOpt - 1;\n					}\n					\n					/** We\'re at the last option. Play it safe, don\'t touch argv, and assume this is a boolean */\n					else opts[name] = true;\n				}\n				\n				/** Argumentless; assume it\'s meant to be a boolean-type option */\n				else opts[name] = true;\n			}\n		}\n		\n		/** Non-option: add to argv */\n		else argv.push(name);\n	}\n	\n	\n	/** Add any additional arguments that were found after a \"--\" delimiter */\n	if(argvEnd)\n		argv.push(...argvEnd);\n	\n	return {\n		options: opts,\n		argv:    argv\n	};\n}\n\n\n\nfunction getOpts(input, optdef, config){\n	\n	/** Do nothing if given nothing */\n	if(!input || input.length === 0)\n		return {options: {}, argv: []};\n	\n	/** Take a different approach if optdefs aren\'t specified */\n	if(null == optdef || \"\" === optdef || false === optdef)\n		return autoOpts(input, config);\n	\n	\n	/** Allow \"t:h:i:s\" style of getopt usage */\n	if(\"[object String]\" === Object.prototype.toString.call(optdef)){\n		const names = optdef.match(/[^\\s:]:?/g);\n		optdef = {};\n		names.forEach(name => {\n			optdef[\"-\"+name.replace(/:/, \"\")] = name.length > 1 ? \"<arg>\" : \"\";\n		});\n	}\n\n	/** Optional options hash controlling option-creation */\n	config                 = config || {};\n	let noAliasPropagation = config.noAliasPropagation;\n	let noCamelCase        = config.noCamelCase;\n	let noBundling         = config.noBundling;\n	let ignoreEquals       = config.ignoreEquals;\n	let duplicates         = config.duplicates || \"use-last\";\n	\n	\n	let shortNames   = {};\n	let longNames    = {};\n	let result       = {\n		options: new Object(null),\n		argv:    []\n	};\n\n	\n	/** Define the Options that the author\'s described in optdef */\n	for(let i in optdef){\n		let option = new Option(i, optdef[i]);\n		\n		option.shortNames.forEach(n => {\n			\n			/** Don\'t allow duplicate option definitions */\n			if(shortNames[n] !== undefined)\n				throw new ReferenceError(`Short option \"-${n}\" already defined`);\n			\n			shortNames[\"-\"+n] = option;\n		});\n		\n		option.longNames.forEach(n => {\n			\n			/** Again, don\'t allow duplicate option names; that obviously isn\'t what the author intended */\n			if(longNames[n] !== undefined)\n				throw new ReferenceError(`Long option \"--${n}\" already defined`);\n			\n			longNames[\"--\"+n] = option;\n		});\n	}\n	\n	\n	/** Pointer to the option that\'s currently picking up arguments */\n	let currentOption;\n	\n	\n	/** Manages duplicated option values when needed */\n	let resolveDuplicate = (option, name, value) => {\n		let arrayify = input => Array.isArray(input) ? input : [input];\n		\n		switch(duplicates){\n			\n			/** Use the first value (or set of values); discard any following duplicates */\n			case \"use-first\":{\n				return result.options[name];\n				break;\n			}\n			\n			/** Use the last value (or set of values); discard any preceding duplicates. Default. */\n			case \"use-last\":\n			default:{\n				return result.options[name] = value;\n				break;\n			}\n			\n			/** Use the first/last options; treat any following/preceding duplicates as argv items respectively */\n			case \"limit-first\":\n			case \"limit-last\":{\n				result.argv.push(option.prevMatchedName, ...arrayify(value));\n				break;\n			}\n			\n			\n			/** Chuck a hissy-fit if that\'s what the author wants */\n			case \"error\":{\n				let error = new TypeError(`Attempting to reassign option \"${name}\" with value(s) ${JSON.stringify(value)}`);\n				error.affectedOption = option;\n				error.affectedValue  = value;\n				throw error;\n				break;\n			}\n			\n			\n			/** Add parameters of duplicate options to the argument list of the first */\n			case \"append\":{\n				let oldValues = arrayify(result.options[name]);\n				let newValues = arrayify(value);\n				\n				result.options[name] = oldValues.concat(newValues);\n				break;\n			}\n			\n			\n			/** Store the parameters of duplicated options in a multidimensional array */\n			case \"stack\":{\n				let oldValues = result.options[name];\n				let newValues = arrayify(value);\n				\n				/** This option hasn\'t been \"stacked\" yet */\n				if(!option.stacked){\n					oldValues            = arrayify(oldValues);\n					result.options[name] = [oldValues, newValues];\n					option.stacked       = true;\n				}\n				\n				/** Already \"stacked\", so just shove the values onto the end of the array */\n				else result.options[name].push(arrayify(newValues));\n				\n				break;\n			}\n			\n			\n			/** Store each duplicated value in an array in the order they appear */\n			case \"stack-values\":{\n				let values = result.options[name];\n				\n				/** First time \"stacking\" this option (nesting its value/s inside an array) */\n				if(!option.stacked){\n					let stack = [];\n					for(let i of arrayify(values))\n						stack.push([i]);\n					values         = stack;\n					option.stacked = true;\n				}\n				\n				arrayify(value).forEach((v, i) => {\n					\n					/** An array hasn\'t been created at this index yet, because an earlier option wasn\'t given enough parameters */\n					if(undefined === values[i])\n						values[i] = Array(values[0].length - 1);\n					\n					values[i].push(v);\n				});\n				\n				result.options[name] = values;\n				break;\n			}\n		}\n	};\n	\n	\n	/** Assigns an option\'s parsed value to the returned object\'s .options property */\n	let setValue = (option, value) => {\n		\n		\n		/** Assign the value only to the option name it matched */\n		if(noAliasPropagation){\n			let name = option.lastMatchedName;\n			\n			/** Special alternative: in lieu of using the matched option name, use the first --long-name instead */\n			if(\"first-only\" === noAliasPropagation)\n				name = option.longNames[0] || option.shortNames[0];\n			\n			/** camelCase? */\n			name = formatName(name, noCamelCase);\n			\n			\n			/** This option\'s already been set before */\n			if(result.options[name])\n				resolveDuplicate(option, name, value);\n			\n			else result.options[name] = value;\n		}\n		\n		\n		/** Copy across every alias this option\'s recognised by */\n		else{\n			\n			/** Store a pointer to the array that\'s generated from the Option\'s .names getter */\n			let names = option.names;\n			\n			\n			/** Ascertain if this option\'s being duplicated */\n			if(result.options[ names[0] ])\n				value = resolveDuplicate(option, value);\n			\n			\n			option.names.forEach(name => {\n				\n				/** Decide whether to camelCase this option name */\n				name = formatName(name, noCamelCase);\n				\n				result.options[name] = value;\n			});\n		}\n	};\n	\n	\n	/** Pushes the contents of the current option into result.options and resets the pointer */\n	let wrapItUp = () => {\n		let optValue = currentOption.values;\n		\n		/** Don\'t store solitary values in an array. Store them directly as strings */\n		if(currentOption.arity === 1 && !currentOption.variadic)\n			optValue = optValue[0];\n\n		setValue(currentOption, optValue);\n		currentOption.values = [];\n		currentOption = null;\n	};\n	\n	\n	/** Reverses the argument order of the given array, keeping options and their parameter lists intact */\n	let flip = function(input){\n		input = input.reverse();\n		\n		/** Flip any options back into the right order */\n		for(let i = 0, l = input.length; i < l; ++i){\n			let arg = input[i];\n			let opt = shortNames[arg] || longNames[arg];\n			\n			if(opt){\n				let from    = Math.max(0, i - opt.arity);\n				let to      = i + 1;\n				let extract = input.slice(from, to).reverse();\n				input.splice(from, extract.length, ...extract);\n			}\n		}\n		\n		return input;\n	};\n	\n	\n	/** Tackle bundling: make sure there\'s at least one option with a short name to work with */\n	let nameKeys = Object.keys(shortNames);\n	let bundleMatch, bundlePatterns, niladicArgs;\n	\n	if(!noBundling && nameKeys.length){\n		bundlePatterns  = uniqueStrings(nameKeys.map(n => shortNames[n].getBundlePattern())).join(\"|\");\n		bundleMatch     = new RegExp(\"^-(\"+bundlePatterns+\")+\", \"g\");\n		niladicArgs     = uniqueStrings(nameKeys.filter(n => !shortNames[n].arity).map(n => shortNames[n].getBundlePattern())).join(\"|\");\n		niladicArgs     = new RegExp(\"^(-(?:\" + niladicArgs + \")+)((?!\" + bundlePatterns + \")\\\\S+)\");\n		bundlePatterns  = new RegExp(bundlePatterns, \"g\");\n	}\n	\n	\n	\n	/** Is pre-processing of the argument list necessary? */\n	if(!ignoreEquals || bundleMatch){\n		\n		/** Limit equals-sign expansion to items that begin with recognised option names */\n		let legalNames = new RegExp(\"^(?:\" + Object.keys(longNames).join(\"|\") + \")=\");\n		\n		for(let i = 0, l = input.length; i < l; ++i){\n			let arg = input[i];\n			\n			/** We have bundling in use */\n			if(bundleMatch){\n				bundleMatch.lastIndex = 0;\n				\n				/** Expand bundled option clusters (\"-mvl2\" -> \"-m -v -l 2\") */\n				if(bundleMatch.test(arg)){\n					\n					/** Break off arguments that\'re attached to niladic options */\n					const niladicMatch = arg.match(niladicArgs);\n					if(niladicMatch){\n						niladicArgs.lastIndex = 0;\n						arg = niladicMatch[1];\n						input.splice(i+1, 0, niladicMatch[2]);\n						l = input.length;\n					}\n					\n					let segments = arg.match(bundlePatterns).map(m => {\n						\n						/** Obtain a pointer to the original Option instance that defined this short-name */\n						let opt = shortNames[\"-\"+m[0]];\n						\n						/** This option doesn\'t accept any arguments, so just keep it simple */\n						if(!opt.arity)\n							return [\"-\"+m[0]];\n						\n						let matches = m.match(new RegExp(opt.getBundlePattern())).slice(1).filter(i => i);\n						return [\"-\"+m[0], ...matches];\n					});\n					\n					segments = [].concat(...segments);\n					input.splice(i, 1, ...segments);\n					l =  input.length;\n					i += segments.length - 1;\n					continue;\n				}\n			}\n			\n			/** Expand \"--option=value\" sequences to become \"--option value\" */\n			if(legalNames.test(arg)){\n				let match = arg.match(/^([^=]+)=(.+)$/);\n				input.splice(i, 1, match[1], match[2]);\n				l =  input.length;\n				i += 1;\n				continue;\n			}\n		}\n	}\n	\n	\n	/** If we\'re handling duplicate options with \"limit-last\", flip the input order */\n	if(\"limit-last\" === duplicates)\n		input = flip(input);\n	\n	\n	/** Start processing the arguments we were given to handle */\n	for(let i = 0, l = input.length; i < l; ++i){\n		let arg = input[i];\n		let opt = shortNames[arg] || longNames[arg];\n		\n		\n		/** This argument matches a recognised option name */\n		if(opt){\n			\n			/** Record the name given on command-line that matched the option */\n			opt.lastMatchedName = arg;\n			\n			\n			/** Did we have an existing option that was collecting values? */\n			if(currentOption) wrapItUp();\n			\n			\n			/** This option takes at least one argument */\n			if(opt.arity)\n				currentOption = opt;\n			\n			/** This option takes no arguments, so just assign it a value of \"true\" */\n			else setValue(opt, true);\n			\n			\n			/** Store an additional back-reference to the current option\'s name */\n			opt.prevMatchedName = arg;\n		}\n		\n		\n		else{\n			/** A previous option is still collecting arguments */\n			if(currentOption && currentOption.canCollect)\n				currentOption.values.push(arg);\n			\n			/** Not an option\'s argument, just a... \"regular\" argument or whatever y\'wanna call it */\n			else{\n				/** If there was an option collecting stuff, show it the door */\n				currentOption && wrapItUp();\n				\n				result.argv.push(arg);\n			}\n		}\n	}\n	\n	\n	/** Ended abruptly? */\n	if(currentOption) wrapItUp();\n	\n	\n	/** Check if we need to flip the returned .argv array back into the right order again */\n	if(\"limit-last\" === duplicates)\n		result.argv = flip(result.argv);\n		\n	return result;\n}\n\n\n/** Export */\nif(\"undefined\" !== typeof module.exports)\n	module.exports = getOpts;\n\n\n/***/ }),\n\n/***/ \"./node_modules/immutable/dist/immutable.es.js\":\n/*!*****************************************************!*\\\n  !*** ./node_modules/immutable/dist/immutable.es.js ***!\n  \\*****************************************************/\n/*! exports provided: version, Collection, Iterable, Seq, Map, OrderedMap, List, Stack, Set, OrderedSet, Record, Range, Repeat, is, fromJS, hash, isImmutable, isCollection, isKeyed, isIndexed, isAssociative, isOrdered, isValueObject, get, getIn, has, hasIn, merge, mergeDeep, mergeWith, mergeDeepWith, remove, removeIn, set, setIn, update, updateIn, default */\n/***/ (function(module, __webpack_exports__, __webpack_require__) {\n\n\"use strict\";\n__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"version\", function() { return version; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Collection\", function() { return Collection; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Iterable\", function() { return Iterable; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Seq\", function() { return Seq; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Map\", function() { return Map; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"OrderedMap\", function() { return OrderedMap; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"List\", function() { return List; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Stack\", function() { return Stack; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Set\", function() { return Set; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"OrderedSet\", function() { return OrderedSet; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Record\", function() { return Record; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Range\", function() { return Range; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Repeat\", function() { return Repeat; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"is\", function() { return is; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromJS\", function() { return fromJS; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"hash\", function() { return hash; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"isImmutable\", function() { return isImmutable; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"isCollection\", function() { return isCollection; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"isKeyed\", function() { return isKeyed; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"isIndexed\", function() { return isIndexed; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"isAssociative\", function() { return isAssociative; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"isOrdered\", function() { return isOrdered; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"isValueObject\", function() { return isValueObject; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"get\", function() { return get; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getIn\", function() { return getIn$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"has\", function() { return has; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"hasIn\", function() { return hasIn$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"merge\", function() { return merge$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mergeDeep\", function() { return mergeDeep$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mergeWith\", function() { return mergeWith$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mergeDeepWith\", function() { return mergeDeepWith$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"remove\", function() { return remove; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"removeIn\", function() { return removeIn; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"set\", function() { return set; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"setIn\", function() { return setIn$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"update\", function() { return update$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"updateIn\", function() { return updateIn; });\n/**\n * Copyright (c) 2014-present, Facebook, Inc.\n *\n * This source code is licensed under the MIT license found in the\n * LICENSE file in the root directory of this source tree.\n */\n\n// Used for setting prototype methods that IE8 chokes on.\nvar DELETE = \'delete\';\n\n// Constants describing the size of trie nodes.\nvar SHIFT = 5; // Resulted in best performance after ______?\nvar SIZE = 1 << SHIFT;\nvar MASK = SIZE - 1;\n\n// A consistent shared value representing \"not set\" which equals nothing other\n// than itself, and nothing that could be provided externally.\nvar NOT_SET = {};\n\n// Boolean references, Rough equivalent of `bool &`.\nvar CHANGE_LENGTH = { value: false };\nvar DID_ALTER = { value: false };\n\nfunction MakeRef(ref) {\n  ref.value = false;\n  return ref;\n}\n\nfunction SetRef(ref) {\n  ref && (ref.value = true);\n}\n\n// A function which returns a value representing an \"owner\" for transient writes\n// to tries. The return value will only ever equal itself, and will not equal\n// the return of any subsequent call of this function.\nfunction OwnerID() {}\n\nfunction ensureSize(iter) {\n  if (iter.size === undefined) {\n    iter.size = iter.__iterate(returnTrue);\n  }\n  return iter.size;\n}\n\nfunction wrapIndex(iter, index) {\n  // This implements \"is array index\" which the ECMAString spec defines as:\n  //\n  //     A String property name P is an array index if and only if\n  //     ToString(ToUint32(P)) is equal to P and ToUint32(P) is not equal\n  //     to 2^32−1.\n  //\n  // http://www.ecma-international.org/ecma-262/6.0/#sec-array-exotic-objects\n  if (typeof index !== \'number\') {\n    var uint32Index = index >>> 0; // N >>> 0 is shorthand for ToUint32\n    if (\'\' + uint32Index !== index || uint32Index === 4294967295) {\n      return NaN;\n    }\n    index = uint32Index;\n  }\n  return index < 0 ? ensureSize(iter) + index : index;\n}\n\nfunction returnTrue() {\n  return true;\n}\n\nfunction wholeSlice(begin, end, size) {\n  return (\n    ((begin === 0 && !isNeg(begin)) ||\n      (size !== undefined && begin <= -size)) &&\n    (end === undefined || (size !== undefined && end >= size))\n  );\n}\n\nfunction resolveBegin(begin, size) {\n  return resolveIndex(begin, size, 0);\n}\n\nfunction resolveEnd(end, size) {\n  return resolveIndex(end, size, size);\n}\n\nfunction resolveIndex(index, size, defaultIndex) {\n  // Sanitize indices using this shorthand for ToInt32(argument)\n  // http://www.ecma-international.org/ecma-262/6.0/#sec-toint32\n  return index === undefined\n    ? defaultIndex\n    : isNeg(index)\n      ? size === Infinity ? size : Math.max(0, size + index) | 0\n      : size === undefined || size === index\n        ? index\n        : Math.min(size, index) | 0;\n}\n\nfunction isNeg(value) {\n  // Account for -0 which is negative, but not less than 0.\n  return value < 0 || (value === 0 && 1 / value === -Infinity);\n}\n\nfunction isImmutable(maybeImmutable) {\n  return isCollection(maybeImmutable) || isRecord(maybeImmutable);\n}\n\nfunction isCollection(maybeCollection) {\n  return !!(maybeCollection && maybeCollection[IS_ITERABLE_SENTINEL]);\n}\n\nfunction isKeyed(maybeKeyed) {\n  return !!(maybeKeyed && maybeKeyed[IS_KEYED_SENTINEL]);\n}\n\nfunction isIndexed(maybeIndexed) {\n  return !!(maybeIndexed && maybeIndexed[IS_INDEXED_SENTINEL]);\n}\n\nfunction isAssociative(maybeAssociative) {\n  return isKeyed(maybeAssociative) || isIndexed(maybeAssociative);\n}\n\nfunction isOrdered(maybeOrdered) {\n  return !!(maybeOrdered && maybeOrdered[IS_ORDERED_SENTINEL]);\n}\n\nfunction isRecord(maybeRecord) {\n  return !!(maybeRecord && maybeRecord[IS_RECORD_SENTINEL]);\n}\n\nfunction isValueObject(maybeValue) {\n  return !!(\n    maybeValue &&\n    typeof maybeValue.equals === \'function\' &&\n    typeof maybeValue.hashCode === \'function\'\n  );\n}\n\nvar IS_ITERABLE_SENTINEL = \'@@__IMMUTABLE_ITERABLE__@@\';\nvar IS_KEYED_SENTINEL = \'@@__IMMUTABLE_KEYED__@@\';\nvar IS_INDEXED_SENTINEL = \'@@__IMMUTABLE_INDEXED__@@\';\nvar IS_ORDERED_SENTINEL = \'@@__IMMUTABLE_ORDERED__@@\';\nvar IS_RECORD_SENTINEL = \'@@__IMMUTABLE_RECORD__@@\';\n\nvar Collection = function Collection(value) {\n  return isCollection(value) ? value : Seq(value);\n};\n\nvar KeyedCollection = (function (Collection) {\n  function KeyedCollection(value) {\n    return isKeyed(value) ? value : KeyedSeq(value);\n  }\n\n  if ( Collection ) KeyedCollection.__proto__ = Collection;\n  KeyedCollection.prototype = Object.create( Collection && Collection.prototype );\n  KeyedCollection.prototype.constructor = KeyedCollection;\n\n  return KeyedCollection;\n}(Collection));\n\nvar IndexedCollection = (function (Collection) {\n  function IndexedCollection(value) {\n    return isIndexed(value) ? value : IndexedSeq(value);\n  }\n\n  if ( Collection ) IndexedCollection.__proto__ = Collection;\n  IndexedCollection.prototype = Object.create( Collection && Collection.prototype );\n  IndexedCollection.prototype.constructor = IndexedCollection;\n\n  return IndexedCollection;\n}(Collection));\n\nvar SetCollection = (function (Collection) {\n  function SetCollection(value) {\n    return isCollection(value) && !isAssociative(value) ? value : SetSeq(value);\n  }\n\n  if ( Collection ) SetCollection.__proto__ = Collection;\n  SetCollection.prototype = Object.create( Collection && Collection.prototype );\n  SetCollection.prototype.constructor = SetCollection;\n\n  return SetCollection;\n}(Collection));\n\nCollection.Keyed = KeyedCollection;\nCollection.Indexed = IndexedCollection;\nCollection.Set = SetCollection;\n\nvar ITERATE_KEYS = 0;\nvar ITERATE_VALUES = 1;\nvar ITERATE_ENTRIES = 2;\n\nvar REAL_ITERATOR_SYMBOL = typeof Symbol === \'function\' && Symbol.iterator;\nvar FAUX_ITERATOR_SYMBOL = \'@@iterator\';\n\nvar ITERATOR_SYMBOL = REAL_ITERATOR_SYMBOL || FAUX_ITERATOR_SYMBOL;\n\nvar Iterator = function Iterator(next) {\n  this.next = next;\n};\n\nIterator.prototype.toString = function toString () {\n  return \'[Iterator]\';\n};\n\nIterator.KEYS = ITERATE_KEYS;\nIterator.VALUES = ITERATE_VALUES;\nIterator.ENTRIES = ITERATE_ENTRIES;\n\nIterator.prototype.inspect = Iterator.prototype.toSource = function() {\n  return this.toString();\n};\nIterator.prototype[ITERATOR_SYMBOL] = function() {\n  return this;\n};\n\nfunction iteratorValue(type, k, v, iteratorResult) {\n  var value = type === 0 ? k : type === 1 ? v : [k, v];\n  iteratorResult\n    ? (iteratorResult.value = value)\n    : (iteratorResult = {\n        value: value,\n        done: false\n      });\n  return iteratorResult;\n}\n\nfunction iteratorDone() {\n  return { value: undefined, done: true };\n}\n\nfunction hasIterator(maybeIterable) {\n  return !!getIteratorFn(maybeIterable);\n}\n\nfunction isIterator(maybeIterator) {\n  return maybeIterator && typeof maybeIterator.next === \'function\';\n}\n\nfunction getIterator(iterable) {\n  var iteratorFn = getIteratorFn(iterable);\n  return iteratorFn && iteratorFn.call(iterable);\n}\n\nfunction getIteratorFn(iterable) {\n  var iteratorFn =\n    iterable &&\n    ((REAL_ITERATOR_SYMBOL && iterable[REAL_ITERATOR_SYMBOL]) ||\n      iterable[FAUX_ITERATOR_SYMBOL]);\n  if (typeof iteratorFn === \'function\') {\n    return iteratorFn;\n  }\n}\n\nvar hasOwnProperty = Object.prototype.hasOwnProperty;\n\nfunction isArrayLike(value) {\n  return value && typeof value.length === \'number\';\n}\n\nvar Seq = (function (Collection$$1) {\n  function Seq(value) {\n    return value === null || value === undefined\n      ? emptySequence()\n      : isImmutable(value) ? value.toSeq() : seqFromValue(value);\n  }\n\n  if ( Collection$$1 ) Seq.__proto__ = Collection$$1;\n  Seq.prototype = Object.create( Collection$$1 && Collection$$1.prototype );\n  Seq.prototype.constructor = Seq;\n\n  Seq.prototype.toSeq = function toSeq () {\n    return this;\n  };\n\n  Seq.prototype.toString = function toString () {\n    return this.__toString(\'Seq {\', \'}\');\n  };\n\n  Seq.prototype.cacheResult = function cacheResult () {\n    if (!this._cache && this.__iterateUncached) {\n      this._cache = this.entrySeq().toArray();\n      this.size = this._cache.length;\n    }\n    return this;\n  };\n\n  // abstract __iterateUncached(fn, reverse)\n\n  Seq.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    var cache = this._cache;\n    if (cache) {\n      var size = cache.length;\n      var i = 0;\n      while (i !== size) {\n        var entry = cache[reverse ? size - ++i : i++];\n        if (fn(entry[1], entry[0], this$1) === false) {\n          break;\n        }\n      }\n      return i;\n    }\n    return this.__iterateUncached(fn, reverse);\n  };\n\n  // abstract __iteratorUncached(type, reverse)\n\n  Seq.prototype.__iterator = function __iterator (type, reverse) {\n    var cache = this._cache;\n    if (cache) {\n      var size = cache.length;\n      var i = 0;\n      return new Iterator(function () {\n        if (i === size) {\n          return iteratorDone();\n        }\n        var entry = cache[reverse ? size - ++i : i++];\n        return iteratorValue(type, entry[0], entry[1]);\n      });\n    }\n    return this.__iteratorUncached(type, reverse);\n  };\n\n  return Seq;\n}(Collection));\n\nvar KeyedSeq = (function (Seq) {\n  function KeyedSeq(value) {\n    return value === null || value === undefined\n      ? emptySequence().toKeyedSeq()\n      : isCollection(value)\n        ? isKeyed(value) ? value.toSeq() : value.fromEntrySeq()\n        : isRecord(value) ? value.toSeq() : keyedSeqFromValue(value);\n  }\n\n  if ( Seq ) KeyedSeq.__proto__ = Seq;\n  KeyedSeq.prototype = Object.create( Seq && Seq.prototype );\n  KeyedSeq.prototype.constructor = KeyedSeq;\n\n  KeyedSeq.prototype.toKeyedSeq = function toKeyedSeq () {\n    return this;\n  };\n\n  return KeyedSeq;\n}(Seq));\n\nvar IndexedSeq = (function (Seq) {\n  function IndexedSeq(value) {\n    return value === null || value === undefined\n      ? emptySequence()\n      : isCollection(value)\n        ? isKeyed(value) ? value.entrySeq() : value.toIndexedSeq()\n        : isRecord(value)\n          ? value.toSeq().entrySeq()\n          : indexedSeqFromValue(value);\n  }\n\n  if ( Seq ) IndexedSeq.__proto__ = Seq;\n  IndexedSeq.prototype = Object.create( Seq && Seq.prototype );\n  IndexedSeq.prototype.constructor = IndexedSeq;\n\n  IndexedSeq.of = function of (/*...values*/) {\n    return IndexedSeq(arguments);\n  };\n\n  IndexedSeq.prototype.toIndexedSeq = function toIndexedSeq () {\n    return this;\n  };\n\n  IndexedSeq.prototype.toString = function toString () {\n    return this.__toString(\'Seq [\', \']\');\n  };\n\n  return IndexedSeq;\n}(Seq));\n\nvar SetSeq = (function (Seq) {\n  function SetSeq(value) {\n    return (isCollection(value) && !isAssociative(value)\n      ? value\n      : IndexedSeq(value)\n    ).toSetSeq();\n  }\n\n  if ( Seq ) SetSeq.__proto__ = Seq;\n  SetSeq.prototype = Object.create( Seq && Seq.prototype );\n  SetSeq.prototype.constructor = SetSeq;\n\n  SetSeq.of = function of (/*...values*/) {\n    return SetSeq(arguments);\n  };\n\n  SetSeq.prototype.toSetSeq = function toSetSeq () {\n    return this;\n  };\n\n  return SetSeq;\n}(Seq));\n\nSeq.isSeq = isSeq;\nSeq.Keyed = KeyedSeq;\nSeq.Set = SetSeq;\nSeq.Indexed = IndexedSeq;\n\nvar IS_SEQ_SENTINEL = \'@@__IMMUTABLE_SEQ__@@\';\n\nSeq.prototype[IS_SEQ_SENTINEL] = true;\n\n// #pragma Root Sequences\n\nvar ArraySeq = (function (IndexedSeq) {\n  function ArraySeq(array) {\n    this._array = array;\n    this.size = array.length;\n  }\n\n  if ( IndexedSeq ) ArraySeq.__proto__ = IndexedSeq;\n  ArraySeq.prototype = Object.create( IndexedSeq && IndexedSeq.prototype );\n  ArraySeq.prototype.constructor = ArraySeq;\n\n  ArraySeq.prototype.get = function get (index, notSetValue) {\n    return this.has(index) ? this._array[wrapIndex(this, index)] : notSetValue;\n  };\n\n  ArraySeq.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    var array = this._array;\n    var size = array.length;\n    var i = 0;\n    while (i !== size) {\n      var ii = reverse ? size - ++i : i++;\n      if (fn(array[ii], ii, this$1) === false) {\n        break;\n      }\n    }\n    return i;\n  };\n\n  ArraySeq.prototype.__iterator = function __iterator (type, reverse) {\n    var array = this._array;\n    var size = array.length;\n    var i = 0;\n    return new Iterator(function () {\n      if (i === size) {\n        return iteratorDone();\n      }\n      var ii = reverse ? size - ++i : i++;\n      return iteratorValue(type, ii, array[ii]);\n    });\n  };\n\n  return ArraySeq;\n}(IndexedSeq));\n\nvar ObjectSeq = (function (KeyedSeq) {\n  function ObjectSeq(object) {\n    var keys = Object.keys(object);\n    this._object = object;\n    this._keys = keys;\n    this.size = keys.length;\n  }\n\n  if ( KeyedSeq ) ObjectSeq.__proto__ = KeyedSeq;\n  ObjectSeq.prototype = Object.create( KeyedSeq && KeyedSeq.prototype );\n  ObjectSeq.prototype.constructor = ObjectSeq;\n\n  ObjectSeq.prototype.get = function get (key, notSetValue) {\n    if (notSetValue !== undefined && !this.has(key)) {\n      return notSetValue;\n    }\n    return this._object[key];\n  };\n\n  ObjectSeq.prototype.has = function has (key) {\n    return hasOwnProperty.call(this._object, key);\n  };\n\n  ObjectSeq.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    var object = this._object;\n    var keys = this._keys;\n    var size = keys.length;\n    var i = 0;\n    while (i !== size) {\n      var key = keys[reverse ? size - ++i : i++];\n      if (fn(object[key], key, this$1) === false) {\n        break;\n      }\n    }\n    return i;\n  };\n\n  ObjectSeq.prototype.__iterator = function __iterator (type, reverse) {\n    var object = this._object;\n    var keys = this._keys;\n    var size = keys.length;\n    var i = 0;\n    return new Iterator(function () {\n      if (i === size) {\n        return iteratorDone();\n      }\n      var key = keys[reverse ? size - ++i : i++];\n      return iteratorValue(type, key, object[key]);\n    });\n  };\n\n  return ObjectSeq;\n}(KeyedSeq));\nObjectSeq.prototype[IS_ORDERED_SENTINEL] = true;\n\nvar CollectionSeq = (function (IndexedSeq) {\n  function CollectionSeq(collection) {\n    this._collection = collection;\n    this.size = collection.length || collection.size;\n  }\n\n  if ( IndexedSeq ) CollectionSeq.__proto__ = IndexedSeq;\n  CollectionSeq.prototype = Object.create( IndexedSeq && IndexedSeq.prototype );\n  CollectionSeq.prototype.constructor = CollectionSeq;\n\n  CollectionSeq.prototype.__iterateUncached = function __iterateUncached (fn, reverse) {\n    var this$1 = this;\n\n    if (reverse) {\n      return this.cacheResult().__iterate(fn, reverse);\n    }\n    var collection = this._collection;\n    var iterator = getIterator(collection);\n    var iterations = 0;\n    if (isIterator(iterator)) {\n      var step;\n      while (!(step = iterator.next()).done) {\n        if (fn(step.value, iterations++, this$1) === false) {\n          break;\n        }\n      }\n    }\n    return iterations;\n  };\n\n  CollectionSeq.prototype.__iteratorUncached = function __iteratorUncached (type, reverse) {\n    if (reverse) {\n      return this.cacheResult().__iterator(type, reverse);\n    }\n    var collection = this._collection;\n    var iterator = getIterator(collection);\n    if (!isIterator(iterator)) {\n      return new Iterator(iteratorDone);\n    }\n    var iterations = 0;\n    return new Iterator(function () {\n      var step = iterator.next();\n      return step.done ? step : iteratorValue(type, iterations++, step.value);\n    });\n  };\n\n  return CollectionSeq;\n}(IndexedSeq));\n\nvar IteratorSeq = (function (IndexedSeq) {\n  function IteratorSeq(iterator) {\n    this._iterator = iterator;\n    this._iteratorCache = [];\n  }\n\n  if ( IndexedSeq ) IteratorSeq.__proto__ = IndexedSeq;\n  IteratorSeq.prototype = Object.create( IndexedSeq && IndexedSeq.prototype );\n  IteratorSeq.prototype.constructor = IteratorSeq;\n\n  IteratorSeq.prototype.__iterateUncached = function __iterateUncached (fn, reverse) {\n    var this$1 = this;\n\n    if (reverse) {\n      return this.cacheResult().__iterate(fn, reverse);\n    }\n    var iterator = this._iterator;\n    var cache = this._iteratorCache;\n    var iterations = 0;\n    while (iterations < cache.length) {\n      if (fn(cache[iterations], iterations++, this$1) === false) {\n        return iterations;\n      }\n    }\n    var step;\n    while (!(step = iterator.next()).done) {\n      var val = step.value;\n      cache[iterations] = val;\n      if (fn(val, iterations++, this$1) === false) {\n        break;\n      }\n    }\n    return iterations;\n  };\n\n  IteratorSeq.prototype.__iteratorUncached = function __iteratorUncached (type, reverse) {\n    if (reverse) {\n      return this.cacheResult().__iterator(type, reverse);\n    }\n    var iterator = this._iterator;\n    var cache = this._iteratorCache;\n    var iterations = 0;\n    return new Iterator(function () {\n      if (iterations >= cache.length) {\n        var step = iterator.next();\n        if (step.done) {\n          return step;\n        }\n        cache[iterations] = step.value;\n      }\n      return iteratorValue(type, iterations, cache[iterations++]);\n    });\n  };\n\n  return IteratorSeq;\n}(IndexedSeq));\n\n// # pragma Helper functions\n\nfunction isSeq(maybeSeq) {\n  return !!(maybeSeq && maybeSeq[IS_SEQ_SENTINEL]);\n}\n\nvar EMPTY_SEQ;\n\nfunction emptySequence() {\n  return EMPTY_SEQ || (EMPTY_SEQ = new ArraySeq([]));\n}\n\nfunction keyedSeqFromValue(value) {\n  var seq = Array.isArray(value)\n    ? new ArraySeq(value)\n    : isIterator(value)\n      ? new IteratorSeq(value)\n      : hasIterator(value) ? new CollectionSeq(value) : undefined;\n  if (seq) {\n    return seq.fromEntrySeq();\n  }\n  if (typeof value === \'object\') {\n    return new ObjectSeq(value);\n  }\n  throw new TypeError(\n    \'Expected Array or collection object of [k, v] entries, or keyed object: \' +\n      value\n  );\n}\n\nfunction indexedSeqFromValue(value) {\n  var seq = maybeIndexedSeqFromValue(value);\n  if (seq) {\n    return seq;\n  }\n  throw new TypeError(\n    \'Expected Array or collection object of values: \' + value\n  );\n}\n\nfunction seqFromValue(value) {\n  var seq = maybeIndexedSeqFromValue(value);\n  if (seq) {\n    return seq;\n  }\n  if (typeof value === \'object\') {\n    return new ObjectSeq(value);\n  }\n  throw new TypeError(\n    \'Expected Array or collection object of values, or keyed object: \' + value\n  );\n}\n\nfunction maybeIndexedSeqFromValue(value) {\n  return isArrayLike(value)\n    ? new ArraySeq(value)\n    : isIterator(value)\n      ? new IteratorSeq(value)\n      : hasIterator(value) ? new CollectionSeq(value) : undefined;\n}\n\n/**\n * An extension of the \"same-value\" algorithm as [described for use by ES6 Map\n * and Set](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Map#Key_equality)\n *\n * NaN is considered the same as NaN, however -0 and 0 are considered the same\n * value, which is different from the algorithm described by\n * [`Object.is`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is).\n *\n * This is extended further to allow Objects to describe the values they\n * represent, by way of `valueOf` or `equals` (and `hashCode`).\n *\n * Note: because of this extension, the key equality of Immutable.Map and the\n * value equality of Immutable.Set will differ from ES6 Map and Set.\n *\n * ### Defining custom values\n *\n * The easiest way to describe the value an object represents is by implementing\n * `valueOf`. For example, `Date` represents a value by returning a unix\n * timestamp for `valueOf`:\n *\n *     var date1 = new Date(1234567890000); // Fri Feb 13 2009 ...\n *     var date2 = new Date(1234567890000);\n *     date1.valueOf(); // 1234567890000\n *     assert( date1 !== date2 );\n *     assert( Immutable.is( date1, date2 ) );\n *\n * Note: overriding `valueOf` may have other implications if you use this object\n * where JavaScript expects a primitive, such as implicit string coercion.\n *\n * For more complex types, especially collections, implementing `valueOf` may\n * not be performant. An alternative is to implement `equals` and `hashCode`.\n *\n * `equals` takes another object, presumably of similar type, and returns true\n * if it is equal. Equality is symmetrical, so the same result should be\n * returned if this and the argument are flipped.\n *\n *     assert( a.equals(b) === b.equals(a) );\n *\n * `hashCode` returns a 32bit integer number representing the object which will\n * be used to determine how to store the value object in a Map or Set. You must\n * provide both or neither methods, one must not exist without the other.\n *\n * Also, an important relationship between these methods must be upheld: if two\n * values are equal, they *must* return the same hashCode. If the values are not\n * equal, they might have the same hashCode; this is called a hash collision,\n * and while undesirable for performance reasons, it is acceptable.\n *\n *     if (a.equals(b)) {\n *       assert( a.hashCode() === b.hashCode() );\n *     }\n *\n * All Immutable collections are Value Objects: they implement `equals()`\n * and `hashCode()`.\n */\nfunction is(valueA, valueB) {\n  if (valueA === valueB || (valueA !== valueA && valueB !== valueB)) {\n    return true;\n  }\n  if (!valueA || !valueB) {\n    return false;\n  }\n  if (\n    typeof valueA.valueOf === \'function\' &&\n    typeof valueB.valueOf === \'function\'\n  ) {\n    valueA = valueA.valueOf();\n    valueB = valueB.valueOf();\n    if (valueA === valueB || (valueA !== valueA && valueB !== valueB)) {\n      return true;\n    }\n    if (!valueA || !valueB) {\n      return false;\n    }\n  }\n  return !!(\n    isValueObject(valueA) &&\n    isValueObject(valueB) &&\n    valueA.equals(valueB)\n  );\n}\n\nvar imul =\n  typeof Math.imul === \'function\' && Math.imul(0xffffffff, 2) === -2\n    ? Math.imul\n    : function imul(a, b) {\n        a |= 0; // int\n        b |= 0; // int\n        var c = a & 0xffff;\n        var d = b & 0xffff;\n        // Shift by 0 fixes the sign on the high part.\n        return (c * d + ((((a >>> 16) * d + c * (b >>> 16)) << 16) >>> 0)) | 0; // int\n      };\n\n// v8 has an optimization for storing 31-bit signed numbers.\n// Values which have either 00 or 11 as the high order bits qualify.\n// This function drops the highest order bit in a signed number, maintaining\n// the sign bit.\nfunction smi(i32) {\n  return ((i32 >>> 1) & 0x40000000) | (i32 & 0xbfffffff);\n}\n\nfunction hash(o) {\n  if (o === false || o === null || o === undefined) {\n    return 0;\n  }\n  if (typeof o.valueOf === \'function\') {\n    o = o.valueOf();\n    if (o === false || o === null || o === undefined) {\n      return 0;\n    }\n  }\n  if (o === true) {\n    return 1;\n  }\n  var type = typeof o;\n  if (type === \'number\') {\n    if (o !== o || o === Infinity) {\n      return 0;\n    }\n    var h = o | 0;\n    if (h !== o) {\n      h ^= o * 0xffffffff;\n    }\n    while (o > 0xffffffff) {\n      o /= 0xffffffff;\n      h ^= o;\n    }\n    return smi(h);\n  }\n  if (type === \'string\') {\n    return o.length > STRING_HASH_CACHE_MIN_STRLEN\n      ? cachedHashString(o)\n      : hashString(o);\n  }\n  if (typeof o.hashCode === \'function\') {\n    // Drop any high bits from accidentally long hash codes.\n    return smi(o.hashCode());\n  }\n  if (type === \'object\') {\n    return hashJSObj(o);\n  }\n  if (typeof o.toString === \'function\') {\n    return hashString(o.toString());\n  }\n  throw new Error(\'Value type \' + type + \' cannot be hashed.\');\n}\n\nfunction cachedHashString(string) {\n  var hashed = stringHashCache[string];\n  if (hashed === undefined) {\n    hashed = hashString(string);\n    if (STRING_HASH_CACHE_SIZE === STRING_HASH_CACHE_MAX_SIZE) {\n      STRING_HASH_CACHE_SIZE = 0;\n      stringHashCache = {};\n    }\n    STRING_HASH_CACHE_SIZE++;\n    stringHashCache[string] = hashed;\n  }\n  return hashed;\n}\n\n// http://jsperf.com/hashing-strings\nfunction hashString(string) {\n  // This is the hash from JVM\n  // The hash code for a string is computed as\n  // s[0] * 31 ^ (n - 1) + s[1] * 31 ^ (n - 2) + ... + s[n - 1],\n  // where s[i] is the ith character of the string and n is the length of\n  // the string. We \"mod\" the result to make it between 0 (inclusive) and 2^31\n  // (exclusive) by dropping high bits.\n  var hashed = 0;\n  for (var ii = 0; ii < string.length; ii++) {\n    hashed = (31 * hashed + string.charCodeAt(ii)) | 0;\n  }\n  return smi(hashed);\n}\n\nfunction hashJSObj(obj) {\n  var hashed;\n  if (usingWeakMap) {\n    hashed = weakMap.get(obj);\n    if (hashed !== undefined) {\n      return hashed;\n    }\n  }\n\n  hashed = obj[UID_HASH_KEY];\n  if (hashed !== undefined) {\n    return hashed;\n  }\n\n  if (!canDefineProperty) {\n    hashed = obj.propertyIsEnumerable && obj.propertyIsEnumerable[UID_HASH_KEY];\n    if (hashed !== undefined) {\n      return hashed;\n    }\n\n    hashed = getIENodeHash(obj);\n    if (hashed !== undefined) {\n      return hashed;\n    }\n  }\n\n  hashed = ++objHashUID;\n  if (objHashUID & 0x40000000) {\n    objHashUID = 0;\n  }\n\n  if (usingWeakMap) {\n    weakMap.set(obj, hashed);\n  } else if (isExtensible !== undefined && isExtensible(obj) === false) {\n    throw new Error(\'Non-extensible objects are not allowed as keys.\');\n  } else if (canDefineProperty) {\n    Object.defineProperty(obj, UID_HASH_KEY, {\n      enumerable: false,\n      configurable: false,\n      writable: false,\n      value: hashed\n    });\n  } else if (\n    obj.propertyIsEnumerable !== undefined &&\n    obj.propertyIsEnumerable === obj.constructor.prototype.propertyIsEnumerable\n  ) {\n    // Since we can\'t define a non-enumerable property on the object\n    // we\'ll hijack one of the less-used non-enumerable properties to\n    // save our hash on it. Since this is a function it will not show up in\n    // `JSON.stringify` which is what we want.\n    obj.propertyIsEnumerable = function() {\n      return this.constructor.prototype.propertyIsEnumerable.apply(\n        this,\n        arguments\n      );\n    };\n    obj.propertyIsEnumerable[UID_HASH_KEY] = hashed;\n  } else if (obj.nodeType !== undefined) {\n    // At this point we couldn\'t get the IE `uniqueID` to use as a hash\n    // and we couldn\'t use a non-enumerable property to exploit the\n    // dontEnum bug so we simply add the `UID_HASH_KEY` on the node\n    // itself.\n    obj[UID_HASH_KEY] = hashed;\n  } else {\n    throw new Error(\'Unable to set a non-enumerable property on object.\');\n  }\n\n  return hashed;\n}\n\n// Get references to ES5 object methods.\nvar isExtensible = Object.isExtensible;\n\n// True if Object.defineProperty works as expected. IE8 fails this test.\nvar canDefineProperty = (function() {\n  try {\n    Object.defineProperty({}, \'@\', {});\n    return true;\n  } catch (e) {\n    return false;\n  }\n})();\n\n// IE has a `uniqueID` property on DOM nodes. We can construct the hash from it\n// and avoid memory leaks from the IE cloneNode bug.\nfunction getIENodeHash(node) {\n  if (node && node.nodeType > 0) {\n    switch (node.nodeType) {\n      case 1: // Element\n        return node.uniqueID;\n      case 9: // Document\n        return node.documentElement && node.documentElement.uniqueID;\n    }\n  }\n}\n\n// If possible, use a WeakMap.\nvar usingWeakMap = typeof WeakMap === \'function\';\nvar weakMap;\nif (usingWeakMap) {\n  weakMap = new WeakMap();\n}\n\nvar objHashUID = 0;\n\nvar UID_HASH_KEY = \'__immutablehash__\';\nif (typeof Symbol === \'function\') {\n  UID_HASH_KEY = Symbol(UID_HASH_KEY);\n}\n\nvar STRING_HASH_CACHE_MIN_STRLEN = 16;\nvar STRING_HASH_CACHE_MAX_SIZE = 255;\nvar STRING_HASH_CACHE_SIZE = 0;\nvar stringHashCache = {};\n\nvar ToKeyedSequence = (function (KeyedSeq$$1) {\n  function ToKeyedSequence(indexed, useKeys) {\n    this._iter = indexed;\n    this._useKeys = useKeys;\n    this.size = indexed.size;\n  }\n\n  if ( KeyedSeq$$1 ) ToKeyedSequence.__proto__ = KeyedSeq$$1;\n  ToKeyedSequence.prototype = Object.create( KeyedSeq$$1 && KeyedSeq$$1.prototype );\n  ToKeyedSequence.prototype.constructor = ToKeyedSequence;\n\n  ToKeyedSequence.prototype.get = function get (key, notSetValue) {\n    return this._iter.get(key, notSetValue);\n  };\n\n  ToKeyedSequence.prototype.has = function has (key) {\n    return this._iter.has(key);\n  };\n\n  ToKeyedSequence.prototype.valueSeq = function valueSeq () {\n    return this._iter.valueSeq();\n  };\n\n  ToKeyedSequence.prototype.reverse = function reverse () {\n    var this$1 = this;\n\n    var reversedSequence = reverseFactory(this, true);\n    if (!this._useKeys) {\n      reversedSequence.valueSeq = function () { return this$1._iter.toSeq().reverse(); };\n    }\n    return reversedSequence;\n  };\n\n  ToKeyedSequence.prototype.map = function map (mapper, context) {\n    var this$1 = this;\n\n    var mappedSequence = mapFactory(this, mapper, context);\n    if (!this._useKeys) {\n      mappedSequence.valueSeq = function () { return this$1._iter.toSeq().map(mapper, context); };\n    }\n    return mappedSequence;\n  };\n\n  ToKeyedSequence.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    return this._iter.__iterate(function (v, k) { return fn(v, k, this$1); }, reverse);\n  };\n\n  ToKeyedSequence.prototype.__iterator = function __iterator (type, reverse) {\n    return this._iter.__iterator(type, reverse);\n  };\n\n  return ToKeyedSequence;\n}(KeyedSeq));\nToKeyedSequence.prototype[IS_ORDERED_SENTINEL] = true;\n\nvar ToIndexedSequence = (function (IndexedSeq$$1) {\n  function ToIndexedSequence(iter) {\n    this._iter = iter;\n    this.size = iter.size;\n  }\n\n  if ( IndexedSeq$$1 ) ToIndexedSequence.__proto__ = IndexedSeq$$1;\n  ToIndexedSequence.prototype = Object.create( IndexedSeq$$1 && IndexedSeq$$1.prototype );\n  ToIndexedSequence.prototype.constructor = ToIndexedSequence;\n\n  ToIndexedSequence.prototype.includes = function includes (value) {\n    return this._iter.includes(value);\n  };\n\n  ToIndexedSequence.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    var i = 0;\n    reverse && ensureSize(this);\n    return this._iter.__iterate(\n      function (v) { return fn(v, reverse ? this$1.size - ++i : i++, this$1); },\n      reverse\n    );\n  };\n\n  ToIndexedSequence.prototype.__iterator = function __iterator (type, reverse) {\n    var this$1 = this;\n\n    var iterator = this._iter.__iterator(ITERATE_VALUES, reverse);\n    var i = 0;\n    reverse && ensureSize(this);\n    return new Iterator(function () {\n      var step = iterator.next();\n      return step.done\n        ? step\n        : iteratorValue(\n            type,\n            reverse ? this$1.size - ++i : i++,\n            step.value,\n            step\n          );\n    });\n  };\n\n  return ToIndexedSequence;\n}(IndexedSeq));\n\nvar ToSetSequence = (function (SetSeq$$1) {\n  function ToSetSequence(iter) {\n    this._iter = iter;\n    this.size = iter.size;\n  }\n\n  if ( SetSeq$$1 ) ToSetSequence.__proto__ = SetSeq$$1;\n  ToSetSequence.prototype = Object.create( SetSeq$$1 && SetSeq$$1.prototype );\n  ToSetSequence.prototype.constructor = ToSetSequence;\n\n  ToSetSequence.prototype.has = function has (key) {\n    return this._iter.includes(key);\n  };\n\n  ToSetSequence.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    return this._iter.__iterate(function (v) { return fn(v, v, this$1); }, reverse);\n  };\n\n  ToSetSequence.prototype.__iterator = function __iterator (type, reverse) {\n    var iterator = this._iter.__iterator(ITERATE_VALUES, reverse);\n    return new Iterator(function () {\n      var step = iterator.next();\n      return step.done\n        ? step\n        : iteratorValue(type, step.value, step.value, step);\n    });\n  };\n\n  return ToSetSequence;\n}(SetSeq));\n\nvar FromEntriesSequence = (function (KeyedSeq$$1) {\n  function FromEntriesSequence(entries) {\n    this._iter = entries;\n    this.size = entries.size;\n  }\n\n  if ( KeyedSeq$$1 ) FromEntriesSequence.__proto__ = KeyedSeq$$1;\n  FromEntriesSequence.prototype = Object.create( KeyedSeq$$1 && KeyedSeq$$1.prototype );\n  FromEntriesSequence.prototype.constructor = FromEntriesSequence;\n\n  FromEntriesSequence.prototype.entrySeq = function entrySeq () {\n    return this._iter.toSeq();\n  };\n\n  FromEntriesSequence.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    return this._iter.__iterate(function (entry) {\n      // Check if entry exists first so array access doesn\'t throw for holes\n      // in the parent iteration.\n      if (entry) {\n        validateEntry(entry);\n        var indexedCollection = isCollection(entry);\n        return fn(\n          indexedCollection ? entry.get(1) : entry[1],\n          indexedCollection ? entry.get(0) : entry[0],\n          this$1\n        );\n      }\n    }, reverse);\n  };\n\n  FromEntriesSequence.prototype.__iterator = function __iterator (type, reverse) {\n    var iterator = this._iter.__iterator(ITERATE_VALUES, reverse);\n    return new Iterator(function () {\n      while (true) {\n        var step = iterator.next();\n        if (step.done) {\n          return step;\n        }\n        var entry = step.value;\n        // Check if entry exists first so array access doesn\'t throw for holes\n        // in the parent iteration.\n        if (entry) {\n          validateEntry(entry);\n          var indexedCollection = isCollection(entry);\n          return iteratorValue(\n            type,\n            indexedCollection ? entry.get(0) : entry[0],\n            indexedCollection ? entry.get(1) : entry[1],\n            step\n          );\n        }\n      }\n    });\n  };\n\n  return FromEntriesSequence;\n}(KeyedSeq));\n\nToIndexedSequence.prototype.cacheResult = ToKeyedSequence.prototype.cacheResult = ToSetSequence.prototype.cacheResult = FromEntriesSequence.prototype.cacheResult = cacheResultThrough;\n\nfunction flipFactory(collection) {\n  var flipSequence = makeSequence(collection);\n  flipSequence._iter = collection;\n  flipSequence.size = collection.size;\n  flipSequence.flip = function () { return collection; };\n  flipSequence.reverse = function() {\n    var reversedSequence = collection.reverse.apply(this); // super.reverse()\n    reversedSequence.flip = function () { return collection.reverse(); };\n    return reversedSequence;\n  };\n  flipSequence.has = function (key) { return collection.includes(key); };\n  flipSequence.includes = function (key) { return collection.has(key); };\n  flipSequence.cacheResult = cacheResultThrough;\n  flipSequence.__iterateUncached = function(fn, reverse) {\n    var this$1 = this;\n\n    return collection.__iterate(function (v, k) { return fn(k, v, this$1) !== false; }, reverse);\n  };\n  flipSequence.__iteratorUncached = function(type, reverse) {\n    if (type === ITERATE_ENTRIES) {\n      var iterator = collection.__iterator(type, reverse);\n      return new Iterator(function () {\n        var step = iterator.next();\n        if (!step.done) {\n          var k = step.value[0];\n          step.value[0] = step.value[1];\n          step.value[1] = k;\n        }\n        return step;\n      });\n    }\n    return collection.__iterator(\n      type === ITERATE_VALUES ? ITERATE_KEYS : ITERATE_VALUES,\n      reverse\n    );\n  };\n  return flipSequence;\n}\n\nfunction mapFactory(collection, mapper, context) {\n  var mappedSequence = makeSequence(collection);\n  mappedSequence.size = collection.size;\n  mappedSequence.has = function (key) { return collection.has(key); };\n  mappedSequence.get = function (key, notSetValue) {\n    var v = collection.get(key, NOT_SET);\n    return v === NOT_SET\n      ? notSetValue\n      : mapper.call(context, v, key, collection);\n  };\n  mappedSequence.__iterateUncached = function(fn, reverse) {\n    var this$1 = this;\n\n    return collection.__iterate(\n      function (v, k, c) { return fn(mapper.call(context, v, k, c), k, this$1) !== false; },\n      reverse\n    );\n  };\n  mappedSequence.__iteratorUncached = function(type, reverse) {\n    var iterator = collection.__iterator(ITERATE_ENTRIES, reverse);\n    return new Iterator(function () {\n      var step = iterator.next();\n      if (step.done) {\n        return step;\n      }\n      var entry = step.value;\n      var key = entry[0];\n      return iteratorValue(\n        type,\n        key,\n        mapper.call(context, entry[1], key, collection),\n        step\n      );\n    });\n  };\n  return mappedSequence;\n}\n\nfunction reverseFactory(collection, useKeys) {\n  var this$1 = this;\n\n  var reversedSequence = makeSequence(collection);\n  reversedSequence._iter = collection;\n  reversedSequence.size = collection.size;\n  reversedSequence.reverse = function () { return collection; };\n  if (collection.flip) {\n    reversedSequence.flip = function() {\n      var flipSequence = flipFactory(collection);\n      flipSequence.reverse = function () { return collection.flip(); };\n      return flipSequence;\n    };\n  }\n  reversedSequence.get = function (key, notSetValue) { return collection.get(useKeys ? key : -1 - key, notSetValue); };\n  reversedSequence.has = function (key) { return collection.has(useKeys ? key : -1 - key); };\n  reversedSequence.includes = function (value) { return collection.includes(value); };\n  reversedSequence.cacheResult = cacheResultThrough;\n  reversedSequence.__iterate = function(fn, reverse) {\n    var this$1 = this;\n\n    var i = 0;\n    reverse && ensureSize(collection);\n    return collection.__iterate(\n      function (v, k) { return fn(v, useKeys ? k : reverse ? this$1.size - ++i : i++, this$1); },\n      !reverse\n    );\n  };\n  reversedSequence.__iterator = function (type, reverse) {\n    var i = 0;\n    reverse && ensureSize(collection);\n    var iterator = collection.__iterator(ITERATE_ENTRIES, !reverse);\n    return new Iterator(function () {\n      var step = iterator.next();\n      if (step.done) {\n        return step;\n      }\n      var entry = step.value;\n      return iteratorValue(\n        type,\n        useKeys ? entry[0] : reverse ? this$1.size - ++i : i++,\n        entry[1],\n        step\n      );\n    });\n  };\n  return reversedSequence;\n}\n\nfunction filterFactory(collection, predicate, context, useKeys) {\n  var filterSequence = makeSequence(collection);\n  if (useKeys) {\n    filterSequence.has = function (key) {\n      var v = collection.get(key, NOT_SET);\n      return v !== NOT_SET && !!predicate.call(context, v, key, collection);\n    };\n    filterSequence.get = function (key, notSetValue) {\n      var v = collection.get(key, NOT_SET);\n      return v !== NOT_SET && predicate.call(context, v, key, collection)\n        ? v\n        : notSetValue;\n    };\n  }\n  filterSequence.__iterateUncached = function(fn, reverse) {\n    var this$1 = this;\n\n    var iterations = 0;\n    collection.__iterate(function (v, k, c) {\n      if (predicate.call(context, v, k, c)) {\n        iterations++;\n        return fn(v, useKeys ? k : iterations - 1, this$1);\n      }\n    }, reverse);\n    return iterations;\n  };\n  filterSequence.__iteratorUncached = function(type, reverse) {\n    var iterator = collection.__iterator(ITERATE_ENTRIES, reverse);\n    var iterations = 0;\n    return new Iterator(function () {\n      while (true) {\n        var step = iterator.next();\n        if (step.done) {\n          return step;\n        }\n        var entry = step.value;\n        var key = entry[0];\n        var value = entry[1];\n        if (predicate.call(context, value, key, collection)) {\n          return iteratorValue(type, useKeys ? key : iterations++, value, step);\n        }\n      }\n    });\n  };\n  return filterSequence;\n}\n\nfunction countByFactory(collection, grouper, context) {\n  var groups = Map().asMutable();\n  collection.__iterate(function (v, k) {\n    groups.update(grouper.call(context, v, k, collection), 0, function (a) { return a + 1; });\n  });\n  return groups.asImmutable();\n}\n\nfunction groupByFactory(collection, grouper, context) {\n  var isKeyedIter = isKeyed(collection);\n  var groups = (isOrdered(collection) ? OrderedMap() : Map()).asMutable();\n  collection.__iterate(function (v, k) {\n    groups.update(\n      grouper.call(context, v, k, collection),\n      function (a) { return ((a = a || []), a.push(isKeyedIter ? [k, v] : v), a); }\n    );\n  });\n  var coerce = collectionClass(collection);\n  return groups.map(function (arr) { return reify(collection, coerce(arr)); });\n}\n\nfunction sliceFactory(collection, begin, end, useKeys) {\n  var originalSize = collection.size;\n\n  if (wholeSlice(begin, end, originalSize)) {\n    return collection;\n  }\n\n  var resolvedBegin = resolveBegin(begin, originalSize);\n  var resolvedEnd = resolveEnd(end, originalSize);\n\n  // begin or end will be NaN if they were provided as negative numbers and\n  // this collection\'s size is unknown. In that case, cache first so there is\n  // a known size and these do not resolve to NaN.\n  if (resolvedBegin !== resolvedBegin || resolvedEnd !== resolvedEnd) {\n    return sliceFactory(collection.toSeq().cacheResult(), begin, end, useKeys);\n  }\n\n  // Note: resolvedEnd is undefined when the original sequence\'s length is\n  // unknown and this slice did not supply an end and should contain all\n  // elements after resolvedBegin.\n  // In that case, resolvedSize will be NaN and sliceSize will remain undefined.\n  var resolvedSize = resolvedEnd - resolvedBegin;\n  var sliceSize;\n  if (resolvedSize === resolvedSize) {\n    sliceSize = resolvedSize < 0 ? 0 : resolvedSize;\n  }\n\n  var sliceSeq = makeSequence(collection);\n\n  // If collection.size is undefined, the size of the realized sliceSeq is\n  // unknown at this point unless the number of items to slice is 0\n  sliceSeq.size =\n    sliceSize === 0 ? sliceSize : (collection.size && sliceSize) || undefined;\n\n  if (!useKeys && isSeq(collection) && sliceSize >= 0) {\n    sliceSeq.get = function(index, notSetValue) {\n      index = wrapIndex(this, index);\n      return index >= 0 && index < sliceSize\n        ? collection.get(index + resolvedBegin, notSetValue)\n        : notSetValue;\n    };\n  }\n\n  sliceSeq.__iterateUncached = function(fn, reverse) {\n    var this$1 = this;\n\n    if (sliceSize === 0) {\n      return 0;\n    }\n    if (reverse) {\n      return this.cacheResult().__iterate(fn, reverse);\n    }\n    var skipped = 0;\n    var isSkipping = true;\n    var iterations = 0;\n    collection.__iterate(function (v, k) {\n      if (!(isSkipping && (isSkipping = skipped++ < resolvedBegin))) {\n        iterations++;\n        return (\n          fn(v, useKeys ? k : iterations - 1, this$1) !== false &&\n          iterations !== sliceSize\n        );\n      }\n    });\n    return iterations;\n  };\n\n  sliceSeq.__iteratorUncached = function(type, reverse) {\n    if (sliceSize !== 0 && reverse) {\n      return this.cacheResult().__iterator(type, reverse);\n    }\n    // Don\'t bother instantiating parent iterator if taking 0.\n    if (sliceSize === 0) {\n      return new Iterator(iteratorDone);\n    }\n    var iterator = collection.__iterator(type, reverse);\n    var skipped = 0;\n    var iterations = 0;\n    return new Iterator(function () {\n      while (skipped++ < resolvedBegin) {\n        iterator.next();\n      }\n      if (++iterations > sliceSize) {\n        return iteratorDone();\n      }\n      var step = iterator.next();\n      if (useKeys || type === ITERATE_VALUES || step.done) {\n        return step;\n      }\n      if (type === ITERATE_KEYS) {\n        return iteratorValue(type, iterations - 1, undefined, step);\n      }\n      return iteratorValue(type, iterations - 1, step.value[1], step);\n    });\n  };\n\n  return sliceSeq;\n}\n\nfunction takeWhileFactory(collection, predicate, context) {\n  var takeSequence = makeSequence(collection);\n  takeSequence.__iterateUncached = function(fn, reverse) {\n    var this$1 = this;\n\n    if (reverse) {\n      return this.cacheResult().__iterate(fn, reverse);\n    }\n    var iterations = 0;\n    collection.__iterate(\n      function (v, k, c) { return predicate.call(context, v, k, c) && ++iterations && fn(v, k, this$1); }\n    );\n    return iterations;\n  };\n  takeSequence.__iteratorUncached = function(type, reverse) {\n    var this$1 = this;\n\n    if (reverse) {\n      return this.cacheResult().__iterator(type, reverse);\n    }\n    var iterator = collection.__iterator(ITERATE_ENTRIES, reverse);\n    var iterating = true;\n    return new Iterator(function () {\n      if (!iterating) {\n        return iteratorDone();\n      }\n      var step = iterator.next();\n      if (step.done) {\n        return step;\n      }\n      var entry = step.value;\n      var k = entry[0];\n      var v = entry[1];\n      if (!predicate.call(context, v, k, this$1)) {\n        iterating = false;\n        return iteratorDone();\n      }\n      return type === ITERATE_ENTRIES ? step : iteratorValue(type, k, v, step);\n    });\n  };\n  return takeSequence;\n}\n\nfunction skipWhileFactory(collection, predicate, context, useKeys) {\n  var skipSequence = makeSequence(collection);\n  skipSequence.__iterateUncached = function(fn, reverse) {\n    var this$1 = this;\n\n    if (reverse) {\n      return this.cacheResult().__iterate(fn, reverse);\n    }\n    var isSkipping = true;\n    var iterations = 0;\n    collection.__iterate(function (v, k, c) {\n      if (!(isSkipping && (isSkipping = predicate.call(context, v, k, c)))) {\n        iterations++;\n        return fn(v, useKeys ? k : iterations - 1, this$1);\n      }\n    });\n    return iterations;\n  };\n  skipSequence.__iteratorUncached = function(type, reverse) {\n    var this$1 = this;\n\n    if (reverse) {\n      return this.cacheResult().__iterator(type, reverse);\n    }\n    var iterator = collection.__iterator(ITERATE_ENTRIES, reverse);\n    var skipping = true;\n    var iterations = 0;\n    return new Iterator(function () {\n      var step;\n      var k;\n      var v;\n      do {\n        step = iterator.next();\n        if (step.done) {\n          if (useKeys || type === ITERATE_VALUES) {\n            return step;\n          }\n          if (type === ITERATE_KEYS) {\n            return iteratorValue(type, iterations++, undefined, step);\n          }\n          return iteratorValue(type, iterations++, step.value[1], step);\n        }\n        var entry = step.value;\n        k = entry[0];\n        v = entry[1];\n        skipping && (skipping = predicate.call(context, v, k, this$1));\n      } while (skipping);\n      return type === ITERATE_ENTRIES ? step : iteratorValue(type, k, v, step);\n    });\n  };\n  return skipSequence;\n}\n\nfunction concatFactory(collection, values) {\n  var isKeyedCollection = isKeyed(collection);\n  var iters = [collection]\n    .concat(values)\n    .map(function (v) {\n      if (!isCollection(v)) {\n        v = isKeyedCollection\n          ? keyedSeqFromValue(v)\n          : indexedSeqFromValue(Array.isArray(v) ? v : [v]);\n      } else if (isKeyedCollection) {\n        v = KeyedCollection(v);\n      }\n      return v;\n    })\n    .filter(function (v) { return v.size !== 0; });\n\n  if (iters.length === 0) {\n    return collection;\n  }\n\n  if (iters.length === 1) {\n    var singleton = iters[0];\n    if (\n      singleton === collection ||\n      (isKeyedCollection && isKeyed(singleton)) ||\n      (isIndexed(collection) && isIndexed(singleton))\n    ) {\n      return singleton;\n    }\n  }\n\n  var concatSeq = new ArraySeq(iters);\n  if (isKeyedCollection) {\n    concatSeq = concatSeq.toKeyedSeq();\n  } else if (!isIndexed(collection)) {\n    concatSeq = concatSeq.toSetSeq();\n  }\n  concatSeq = concatSeq.flatten(true);\n  concatSeq.size = iters.reduce(function (sum, seq) {\n    if (sum !== undefined) {\n      var size = seq.size;\n      if (size !== undefined) {\n        return sum + size;\n      }\n    }\n  }, 0);\n  return concatSeq;\n}\n\nfunction flattenFactory(collection, depth, useKeys) {\n  var flatSequence = makeSequence(collection);\n  flatSequence.__iterateUncached = function(fn, reverse) {\n    if (reverse) {\n      return this.cacheResult().__iterate(fn, reverse);\n    }\n    var iterations = 0;\n    var stopped = false;\n    function flatDeep(iter, currentDepth) {\n      iter.__iterate(function (v, k) {\n        if ((!depth || currentDepth < depth) && isCollection(v)) {\n          flatDeep(v, currentDepth + 1);\n        } else {\n          iterations++;\n          if (fn(v, useKeys ? k : iterations - 1, flatSequence) === false) {\n            stopped = true;\n          }\n        }\n        return !stopped;\n      }, reverse);\n    }\n    flatDeep(collection, 0);\n    return iterations;\n  };\n  flatSequence.__iteratorUncached = function(type, reverse) {\n    if (reverse) {\n      return this.cacheResult().__iterator(type, reverse);\n    }\n    var iterator = collection.__iterator(type, reverse);\n    var stack = [];\n    var iterations = 0;\n    return new Iterator(function () {\n      while (iterator) {\n        var step = iterator.next();\n        if (step.done !== false) {\n          iterator = stack.pop();\n          continue;\n        }\n        var v = step.value;\n        if (type === ITERATE_ENTRIES) {\n          v = v[1];\n        }\n        if ((!depth || stack.length < depth) && isCollection(v)) {\n          stack.push(iterator);\n          iterator = v.__iterator(type, reverse);\n        } else {\n          return useKeys ? step : iteratorValue(type, iterations++, v, step);\n        }\n      }\n      return iteratorDone();\n    });\n  };\n  return flatSequence;\n}\n\nfunction flatMapFactory(collection, mapper, context) {\n  var coerce = collectionClass(collection);\n  return collection\n    .toSeq()\n    .map(function (v, k) { return coerce(mapper.call(context, v, k, collection)); })\n    .flatten(true);\n}\n\nfunction interposeFactory(collection, separator) {\n  var interposedSequence = makeSequence(collection);\n  interposedSequence.size = collection.size && collection.size * 2 - 1;\n  interposedSequence.__iterateUncached = function(fn, reverse) {\n    var this$1 = this;\n\n    var iterations = 0;\n    collection.__iterate(\n      function (v) { return (!iterations || fn(separator, iterations++, this$1) !== false) &&\n        fn(v, iterations++, this$1) !== false; },\n      reverse\n    );\n    return iterations;\n  };\n  interposedSequence.__iteratorUncached = function(type, reverse) {\n    var iterator = collection.__iterator(ITERATE_VALUES, reverse);\n    var iterations = 0;\n    var step;\n    return new Iterator(function () {\n      if (!step || iterations % 2) {\n        step = iterator.next();\n        if (step.done) {\n          return step;\n        }\n      }\n      return iterations % 2\n        ? iteratorValue(type, iterations++, separator)\n        : iteratorValue(type, iterations++, step.value, step);\n    });\n  };\n  return interposedSequence;\n}\n\nfunction sortFactory(collection, comparator, mapper) {\n  if (!comparator) {\n    comparator = defaultComparator;\n  }\n  var isKeyedCollection = isKeyed(collection);\n  var index = 0;\n  var entries = collection\n    .toSeq()\n    .map(function (v, k) { return [k, v, index++, mapper ? mapper(v, k, collection) : v]; })\n    .valueSeq()\n    .toArray();\n  entries.sort(function (a, b) { return comparator(a[3], b[3]) || a[2] - b[2]; }).forEach(\n    isKeyedCollection\n      ? function (v, i) {\n          entries[i].length = 2;\n        }\n      : function (v, i) {\n          entries[i] = v[1];\n        }\n  );\n  return isKeyedCollection\n    ? KeyedSeq(entries)\n    : isIndexed(collection) ? IndexedSeq(entries) : SetSeq(entries);\n}\n\nfunction maxFactory(collection, comparator, mapper) {\n  if (!comparator) {\n    comparator = defaultComparator;\n  }\n  if (mapper) {\n    var entry = collection\n      .toSeq()\n      .map(function (v, k) { return [v, mapper(v, k, collection)]; })\n      .reduce(function (a, b) { return (maxCompare(comparator, a[1], b[1]) ? b : a); });\n    return entry && entry[0];\n  }\n  return collection.reduce(function (a, b) { return (maxCompare(comparator, a, b) ? b : a); });\n}\n\nfunction maxCompare(comparator, a, b) {\n  var comp = comparator(b, a);\n  // b is considered the new max if the comparator declares them equal, but\n  // they are not equal and b is in fact a nullish value.\n  return (\n    (comp === 0 && b !== a && (b === undefined || b === null || b !== b)) ||\n    comp > 0\n  );\n}\n\nfunction zipWithFactory(keyIter, zipper, iters, zipAll) {\n  var zipSequence = makeSequence(keyIter);\n  var sizes = new ArraySeq(iters).map(function (i) { return i.size; });\n  zipSequence.size = zipAll ? sizes.max() : sizes.min();\n  // Note: this a generic base implementation of __iterate in terms of\n  // __iterator which may be more generically useful in the future.\n  zipSequence.__iterate = function(fn, reverse) {\n    var this$1 = this;\n\n    /* generic:\n    var iterator = this.__iterator(ITERATE_ENTRIES, reverse);\n    var step;\n    var iterations = 0;\n    while (!(step = iterator.next()).done) {\n      iterations++;\n      if (fn(step.value[1], step.value[0], this) === false) {\n        break;\n      }\n    }\n    return iterations;\n    */\n    // indexed:\n    var iterator = this.__iterator(ITERATE_VALUES, reverse);\n    var step;\n    var iterations = 0;\n    while (!(step = iterator.next()).done) {\n      if (fn(step.value, iterations++, this$1) === false) {\n        break;\n      }\n    }\n    return iterations;\n  };\n  zipSequence.__iteratorUncached = function(type, reverse) {\n    var iterators = iters.map(\n      function (i) { return ((i = Collection(i)), getIterator(reverse ? i.reverse() : i)); }\n    );\n    var iterations = 0;\n    var isDone = false;\n    return new Iterator(function () {\n      var steps;\n      if (!isDone) {\n        steps = iterators.map(function (i) { return i.next(); });\n        isDone = zipAll ? steps.every(function (s) { return s.done; }) : steps.some(function (s) { return s.done; });\n      }\n      if (isDone) {\n        return iteratorDone();\n      }\n      return iteratorValue(\n        type,\n        iterations++,\n        zipper.apply(null, steps.map(function (s) { return s.value; }))\n      );\n    });\n  };\n  return zipSequence;\n}\n\n// #pragma Helper Functions\n\nfunction reify(iter, seq) {\n  return iter === seq ? iter : isSeq(iter) ? seq : iter.constructor(seq);\n}\n\nfunction validateEntry(entry) {\n  if (entry !== Object(entry)) {\n    throw new TypeError(\'Expected [K, V] tuple: \' + entry);\n  }\n}\n\nfunction collectionClass(collection) {\n  return isKeyed(collection)\n    ? KeyedCollection\n    : isIndexed(collection) ? IndexedCollection : SetCollection;\n}\n\nfunction makeSequence(collection) {\n  return Object.create(\n    (isKeyed(collection)\n      ? KeyedSeq\n      : isIndexed(collection) ? IndexedSeq : SetSeq\n    ).prototype\n  );\n}\n\nfunction cacheResultThrough() {\n  if (this._iter.cacheResult) {\n    this._iter.cacheResult();\n    this.size = this._iter.size;\n    return this;\n  }\n  return Seq.prototype.cacheResult.call(this);\n}\n\nfunction defaultComparator(a, b) {\n  if (a === undefined && b === undefined) {\n    return 0;\n  }\n\n  if (a === undefined) {\n    return 1;\n  }\n\n  if (b === undefined) {\n    return -1;\n  }\n\n  return a > b ? 1 : a < b ? -1 : 0;\n}\n\n// http://jsperf.com/copy-array-inline\nfunction arrCopy(arr, offset) {\n  offset = offset || 0;\n  var len = Math.max(0, arr.length - offset);\n  var newArr = new Array(len);\n  for (var ii = 0; ii < len; ii++) {\n    newArr[ii] = arr[ii + offset];\n  }\n  return newArr;\n}\n\nfunction invariant(condition, error) {\n  if (!condition) { throw new Error(error); }\n}\n\nfunction assertNotInfinite(size) {\n  invariant(\n    size !== Infinity,\n    \'Cannot perform this action with an infinite size.\'\n  );\n}\n\nfunction coerceKeyPath(keyPath) {\n  if (isArrayLike(keyPath) && typeof keyPath !== \'string\') {\n    return keyPath;\n  }\n  if (isOrdered(keyPath)) {\n    return keyPath.toArray();\n  }\n  throw new TypeError(\n    \'Invalid keyPath: expected Ordered Collection or Array: \' + keyPath\n  );\n}\n\nfunction isPlainObj(value) {\n  return (\n    value && (value.constructor === Object || value.constructor === undefined)\n  );\n}\n\n/**\n * Returns true if the value is a potentially-persistent data structure, either\n * provided by Immutable.js or a plain Array or Object.\n */\nfunction isDataStructure(value) {\n  return isImmutable(value) || Array.isArray(value) || isPlainObj(value);\n}\n\n/**\n * Converts a value to a string, adding quotes if a string was provided.\n */\nfunction quoteString(value) {\n  try {\n    return typeof value === \'string\' ? JSON.stringify(value) : String(value);\n  } catch (_ignoreError) {\n    return JSON.stringify(value);\n  }\n}\n\nfunction has(collection, key) {\n  return isImmutable(collection)\n    ? collection.has(key)\n    : isDataStructure(collection) && hasOwnProperty.call(collection, key);\n}\n\nfunction get(collection, key, notSetValue) {\n  return isImmutable(collection)\n    ? collection.get(key, notSetValue)\n    : !has(collection, key)\n      ? notSetValue\n      : typeof collection.get === \'function\'\n        ? collection.get(key)\n        : collection[key];\n}\n\nfunction shallowCopy(from) {\n  if (Array.isArray(from)) {\n    return arrCopy(from);\n  }\n  var to = {};\n  for (var key in from) {\n    if (hasOwnProperty.call(from, key)) {\n      to[key] = from[key];\n    }\n  }\n  return to;\n}\n\nfunction remove(collection, key) {\n  if (!isDataStructure(collection)) {\n    throw new TypeError(\n      \'Cannot update non-data-structure value: \' + collection\n    );\n  }\n  if (isImmutable(collection)) {\n    if (!collection.remove) {\n      throw new TypeError(\n        \'Cannot update immutable value without .remove() method: \' + collection\n      );\n    }\n    return collection.remove(key);\n  }\n  if (!hasOwnProperty.call(collection, key)) {\n    return collection;\n  }\n  var collectionCopy = shallowCopy(collection);\n  if (Array.isArray(collectionCopy)) {\n    collectionCopy.splice(key, 1);\n  } else {\n    delete collectionCopy[key];\n  }\n  return collectionCopy;\n}\n\nfunction set(collection, key, value) {\n  if (!isDataStructure(collection)) {\n    throw new TypeError(\n      \'Cannot update non-data-structure value: \' + collection\n    );\n  }\n  if (isImmutable(collection)) {\n    if (!collection.set) {\n      throw new TypeError(\n        \'Cannot update immutable value without .set() method: \' + collection\n      );\n    }\n    return collection.set(key, value);\n  }\n  if (hasOwnProperty.call(collection, key) && value === collection[key]) {\n    return collection;\n  }\n  var collectionCopy = shallowCopy(collection);\n  collectionCopy[key] = value;\n  return collectionCopy;\n}\n\nfunction updateIn(collection, keyPath, notSetValue, updater) {\n  if (!updater) {\n    updater = notSetValue;\n    notSetValue = undefined;\n  }\n  var updatedValue = updateInDeeply(\n    isImmutable(collection),\n    collection,\n    coerceKeyPath(keyPath),\n    0,\n    notSetValue,\n    updater\n  );\n  return updatedValue === NOT_SET ? notSetValue : updatedValue;\n}\n\nfunction updateInDeeply(\n  inImmutable,\n  existing,\n  keyPath,\n  i,\n  notSetValue,\n  updater\n) {\n  var wasNotSet = existing === NOT_SET;\n  if (i === keyPath.length) {\n    var existingValue = wasNotSet ? notSetValue : existing;\n    var newValue = updater(existingValue);\n    return newValue === existingValue ? existing : newValue;\n  }\n  if (!wasNotSet && !isDataStructure(existing)) {\n    throw new TypeError(\n      \'Cannot update within non-data-structure value in path [\' +\n        keyPath.slice(0, i).map(quoteString) +\n        \']: \' +\n        existing\n    );\n  }\n  var key = keyPath[i];\n  var nextExisting = wasNotSet ? NOT_SET : get(existing, key, NOT_SET);\n  var nextUpdated = updateInDeeply(\n    nextExisting === NOT_SET ? inImmutable : isImmutable(nextExisting),\n    nextExisting,\n    keyPath,\n    i + 1,\n    notSetValue,\n    updater\n  );\n  return nextUpdated === nextExisting\n    ? existing\n    : nextUpdated === NOT_SET\n      ? remove(existing, key)\n      : set(\n          wasNotSet ? (inImmutable ? emptyMap() : {}) : existing,\n          key,\n          nextUpdated\n        );\n}\n\nfunction setIn$1(collection, keyPath, value) {\n  return updateIn(collection, keyPath, NOT_SET, function () { return value; });\n}\n\nfunction setIn$$1(keyPath, v) {\n  return setIn$1(this, keyPath, v);\n}\n\nfunction removeIn(collection, keyPath) {\n  return updateIn(collection, keyPath, function () { return NOT_SET; });\n}\n\nfunction deleteIn(keyPath) {\n  return removeIn(this, keyPath);\n}\n\nfunction update$1(collection, key, notSetValue, updater) {\n  return updateIn(collection, [key], notSetValue, updater);\n}\n\nfunction update$$1(key, notSetValue, updater) {\n  return arguments.length === 1\n    ? key(this)\n    : update$1(this, key, notSetValue, updater);\n}\n\nfunction updateIn$1(keyPath, notSetValue, updater) {\n  return updateIn(this, keyPath, notSetValue, updater);\n}\n\nfunction merge() {\n  var iters = [], len = arguments.length;\n  while ( len-- ) iters[ len ] = arguments[ len ];\n\n  return mergeIntoKeyedWith(this, iters);\n}\n\nfunction mergeWith(merger) {\n  var iters = [], len = arguments.length - 1;\n  while ( len-- > 0 ) iters[ len ] = arguments[ len + 1 ];\n\n  return mergeIntoKeyedWith(this, iters, merger);\n}\n\nfunction mergeIntoKeyedWith(collection, collections, merger) {\n  var iters = [];\n  for (var ii = 0; ii < collections.length; ii++) {\n    var collection$1 = KeyedCollection(collections[ii]);\n    if (collection$1.size !== 0) {\n      iters.push(collection$1);\n    }\n  }\n  if (iters.length === 0) {\n    return collection;\n  }\n  if (collection.size === 0 && !collection.__ownerID && iters.length === 1) {\n    return collection.constructor(iters[0]);\n  }\n  return collection.withMutations(function (collection) {\n    var mergeIntoCollection = merger\n      ? function (value, key) {\n          update$1(\n            collection,\n            key,\n            NOT_SET,\n            function (oldVal) { return (oldVal === NOT_SET ? value : merger(oldVal, value, key)); }\n          );\n        }\n      : function (value, key) {\n          collection.set(key, value);\n        };\n    for (var ii = 0; ii < iters.length; ii++) {\n      iters[ii].forEach(mergeIntoCollection);\n    }\n  });\n}\n\nfunction merge$1(collection) {\n  var sources = [], len = arguments.length - 1;\n  while ( len-- > 0 ) sources[ len ] = arguments[ len + 1 ];\n\n  return mergeWithSources(collection, sources);\n}\n\nfunction mergeWith$1(merger, collection) {\n  var sources = [], len = arguments.length - 2;\n  while ( len-- > 0 ) sources[ len ] = arguments[ len + 2 ];\n\n  return mergeWithSources(collection, sources, merger);\n}\n\nfunction mergeDeep$1(collection) {\n  var sources = [], len = arguments.length - 1;\n  while ( len-- > 0 ) sources[ len ] = arguments[ len + 1 ];\n\n  return mergeDeepWithSources(collection, sources);\n}\n\nfunction mergeDeepWith$1(merger, collection) {\n  var sources = [], len = arguments.length - 2;\n  while ( len-- > 0 ) sources[ len ] = arguments[ len + 2 ];\n\n  return mergeDeepWithSources(collection, sources, merger);\n}\n\nfunction mergeDeepWithSources(collection, sources, merger) {\n  return mergeWithSources(collection, sources, deepMergerWith(merger));\n}\n\nfunction mergeWithSources(collection, sources, merger) {\n  if (!isDataStructure(collection)) {\n    throw new TypeError(\n      \'Cannot merge into non-data-structure value: \' + collection\n    );\n  }\n  if (isImmutable(collection)) {\n    return collection.mergeWith\n      ? collection.mergeWith.apply(collection, [ merger ].concat( sources ))\n      : collection.concat.apply(collection, sources);\n  }\n  var isArray = Array.isArray(collection);\n  var merged = collection;\n  var Collection$$1 = isArray ? IndexedCollection : KeyedCollection;\n  var mergeItem = isArray\n    ? function (value) {\n        // Copy on write\n        if (merged === collection) {\n          merged = shallowCopy(merged);\n        }\n        merged.push(value);\n      }\n    : function (value, key) {\n        var hasVal = hasOwnProperty.call(merged, key);\n        var nextVal =\n          hasVal && merger ? merger(merged[key], value, key) : value;\n        if (!hasVal || nextVal !== merged[key]) {\n          // Copy on write\n          if (merged === collection) {\n            merged = shallowCopy(merged);\n          }\n          merged[key] = nextVal;\n        }\n      };\n  for (var i = 0; i < sources.length; i++) {\n    Collection$$1(sources[i]).forEach(mergeItem);\n  }\n  return merged;\n}\n\nfunction deepMergerWith(merger) {\n  function deepMerger(oldValue, newValue, key) {\n    return isDataStructure(oldValue) && isDataStructure(newValue)\n      ? mergeWithSources(oldValue, [newValue], deepMerger)\n      : merger ? merger(oldValue, newValue, key) : newValue;\n  }\n  return deepMerger;\n}\n\nfunction mergeDeep() {\n  var iters = [], len = arguments.length;\n  while ( len-- ) iters[ len ] = arguments[ len ];\n\n  return mergeDeepWithSources(this, iters);\n}\n\nfunction mergeDeepWith(merger) {\n  var iters = [], len = arguments.length - 1;\n  while ( len-- > 0 ) iters[ len ] = arguments[ len + 1 ];\n\n  return mergeDeepWithSources(this, iters, merger);\n}\n\nfunction mergeIn(keyPath) {\n  var iters = [], len = arguments.length - 1;\n  while ( len-- > 0 ) iters[ len ] = arguments[ len + 1 ];\n\n  return updateIn(this, keyPath, emptyMap(), function (m) { return mergeWithSources(m, iters); });\n}\n\nfunction mergeDeepIn(keyPath) {\n  var iters = [], len = arguments.length - 1;\n  while ( len-- > 0 ) iters[ len ] = arguments[ len + 1 ];\n\n  return updateIn(this, keyPath, emptyMap(), function (m) { return mergeDeepWithSources(m, iters); }\n  );\n}\n\nfunction withMutations(fn) {\n  var mutable = this.asMutable();\n  fn(mutable);\n  return mutable.wasAltered() ? mutable.__ensureOwner(this.__ownerID) : this;\n}\n\nfunction asMutable() {\n  return this.__ownerID ? this : this.__ensureOwner(new OwnerID());\n}\n\nfunction asImmutable() {\n  return this.__ensureOwner();\n}\n\nfunction wasAltered() {\n  return this.__altered;\n}\n\nvar Map = (function (KeyedCollection$$1) {\n  function Map(value) {\n    return value === null || value === undefined\n      ? emptyMap()\n      : isMap(value) && !isOrdered(value)\n        ? value\n        : emptyMap().withMutations(function (map) {\n            var iter = KeyedCollection$$1(value);\n            assertNotInfinite(iter.size);\n            iter.forEach(function (v, k) { return map.set(k, v); });\n          });\n  }\n\n  if ( KeyedCollection$$1 ) Map.__proto__ = KeyedCollection$$1;\n  Map.prototype = Object.create( KeyedCollection$$1 && KeyedCollection$$1.prototype );\n  Map.prototype.constructor = Map;\n\n  Map.of = function of () {\n    var keyValues = [], len = arguments.length;\n    while ( len-- ) keyValues[ len ] = arguments[ len ];\n\n    return emptyMap().withMutations(function (map) {\n      for (var i = 0; i < keyValues.length; i += 2) {\n        if (i + 1 >= keyValues.length) {\n          throw new Error(\'Missing value for key: \' + keyValues[i]);\n        }\n        map.set(keyValues[i], keyValues[i + 1]);\n      }\n    });\n  };\n\n  Map.prototype.toString = function toString () {\n    return this.__toString(\'Map {\', \'}\');\n  };\n\n  // @pragma Access\n\n  Map.prototype.get = function get (k, notSetValue) {\n    return this._root\n      ? this._root.get(0, undefined, k, notSetValue)\n      : notSetValue;\n  };\n\n  // @pragma Modification\n\n  Map.prototype.set = function set (k, v) {\n    return updateMap(this, k, v);\n  };\n\n  Map.prototype.remove = function remove (k) {\n    return updateMap(this, k, NOT_SET);\n  };\n\n  Map.prototype.deleteAll = function deleteAll (keys) {\n    var collection = Collection(keys);\n\n    if (collection.size === 0) {\n      return this;\n    }\n\n    return this.withMutations(function (map) {\n      collection.forEach(function (key) { return map.remove(key); });\n    });\n  };\n\n  Map.prototype.clear = function clear () {\n    if (this.size === 0) {\n      return this;\n    }\n    if (this.__ownerID) {\n      this.size = 0;\n      this._root = null;\n      this.__hash = undefined;\n      this.__altered = true;\n      return this;\n    }\n    return emptyMap();\n  };\n\n  // @pragma Composition\n\n  Map.prototype.sort = function sort (comparator) {\n    // Late binding\n    return OrderedMap(sortFactory(this, comparator));\n  };\n\n  Map.prototype.sortBy = function sortBy (mapper, comparator) {\n    // Late binding\n    return OrderedMap(sortFactory(this, comparator, mapper));\n  };\n\n  // @pragma Mutability\n\n  Map.prototype.__iterator = function __iterator (type, reverse) {\n    return new MapIterator(this, type, reverse);\n  };\n\n  Map.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    var iterations = 0;\n    this._root &&\n      this._root.iterate(function (entry) {\n        iterations++;\n        return fn(entry[1], entry[0], this$1);\n      }, reverse);\n    return iterations;\n  };\n\n  Map.prototype.__ensureOwner = function __ensureOwner (ownerID) {\n    if (ownerID === this.__ownerID) {\n      return this;\n    }\n    if (!ownerID) {\n      if (this.size === 0) {\n        return emptyMap();\n      }\n      this.__ownerID = ownerID;\n      this.__altered = false;\n      return this;\n    }\n    return makeMap(this.size, this._root, ownerID, this.__hash);\n  };\n\n  return Map;\n}(KeyedCollection));\n\nfunction isMap(maybeMap) {\n  return !!(maybeMap && maybeMap[IS_MAP_SENTINEL]);\n}\n\nMap.isMap = isMap;\n\nvar IS_MAP_SENTINEL = \'@@__IMMUTABLE_MAP__@@\';\n\nvar MapPrototype = Map.prototype;\nMapPrototype[IS_MAP_SENTINEL] = true;\nMapPrototype[DELETE] = MapPrototype.remove;\nMapPrototype.removeAll = MapPrototype.deleteAll;\nMapPrototype.concat = MapPrototype.merge;\nMapPrototype.setIn = setIn$$1;\nMapPrototype.removeIn = MapPrototype.deleteIn = deleteIn;\nMapPrototype.update = update$$1;\nMapPrototype.updateIn = updateIn$1;\nMapPrototype.merge = merge;\nMapPrototype.mergeWith = mergeWith;\nMapPrototype.mergeDeep = mergeDeep;\nMapPrototype.mergeDeepWith = mergeDeepWith;\nMapPrototype.mergeIn = mergeIn;\nMapPrototype.mergeDeepIn = mergeDeepIn;\nMapPrototype.withMutations = withMutations;\nMapPrototype.wasAltered = wasAltered;\nMapPrototype.asImmutable = asImmutable;\nMapPrototype[\'@@transducer/init\'] = MapPrototype.asMutable = asMutable;\nMapPrototype[\'@@transducer/step\'] = function(result, arr) {\n  return result.set(arr[0], arr[1]);\n};\nMapPrototype[\'@@transducer/result\'] = function(obj) {\n  return obj.asImmutable();\n};\n\n// #pragma Trie Nodes\n\nvar ArrayMapNode = function ArrayMapNode(ownerID, entries) {\n  this.ownerID = ownerID;\n  this.entries = entries;\n};\n\nArrayMapNode.prototype.get = function get (shift, keyHash, key, notSetValue) {\n  var entries = this.entries;\n  for (var ii = 0, len = entries.length; ii < len; ii++) {\n    if (is(key, entries[ii][0])) {\n      return entries[ii][1];\n    }\n  }\n  return notSetValue;\n};\n\nArrayMapNode.prototype.update = function update$$1 (ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n  var removed = value === NOT_SET;\n\n  var entries = this.entries;\n  var idx = 0;\n  var len = entries.length;\n  for (; idx < len; idx++) {\n    if (is(key, entries[idx][0])) {\n      break;\n    }\n  }\n  var exists = idx < len;\n\n  if (exists ? entries[idx][1] === value : removed) {\n    return this;\n  }\n\n  SetRef(didAlter);\n  (removed || !exists) && SetRef(didChangeSize);\n\n  if (removed && entries.length === 1) {\n    return; // undefined\n  }\n\n  if (!exists && !removed && entries.length >= MAX_ARRAY_MAP_SIZE) {\n    return createNodes(ownerID, entries, key, value);\n  }\n\n  var isEditable = ownerID && ownerID === this.ownerID;\n  var newEntries = isEditable ? entries : arrCopy(entries);\n\n  if (exists) {\n    if (removed) {\n      idx === len - 1\n        ? newEntries.pop()\n        : (newEntries[idx] = newEntries.pop());\n    } else {\n      newEntries[idx] = [key, value];\n    }\n  } else {\n    newEntries.push([key, value]);\n  }\n\n  if (isEditable) {\n    this.entries = newEntries;\n    return this;\n  }\n\n  return new ArrayMapNode(ownerID, newEntries);\n};\n\nvar BitmapIndexedNode = function BitmapIndexedNode(ownerID, bitmap, nodes) {\n  this.ownerID = ownerID;\n  this.bitmap = bitmap;\n  this.nodes = nodes;\n};\n\nBitmapIndexedNode.prototype.get = function get (shift, keyHash, key, notSetValue) {\n  if (keyHash === undefined) {\n    keyHash = hash(key);\n  }\n  var bit = 1 << ((shift === 0 ? keyHash : keyHash >>> shift) & MASK);\n  var bitmap = this.bitmap;\n  return (bitmap & bit) === 0\n    ? notSetValue\n    : this.nodes[popCount(bitmap & (bit - 1))].get(\n        shift + SHIFT,\n        keyHash,\n        key,\n        notSetValue\n      );\n};\n\nBitmapIndexedNode.prototype.update = function update$$1 (ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n  if (keyHash === undefined) {\n    keyHash = hash(key);\n  }\n  var keyHashFrag = (shift === 0 ? keyHash : keyHash >>> shift) & MASK;\n  var bit = 1 << keyHashFrag;\n  var bitmap = this.bitmap;\n  var exists = (bitmap & bit) !== 0;\n\n  if (!exists && value === NOT_SET) {\n    return this;\n  }\n\n  var idx = popCount(bitmap & (bit - 1));\n  var nodes = this.nodes;\n  var node = exists ? nodes[idx] : undefined;\n  var newNode = updateNode(\n    node,\n    ownerID,\n    shift + SHIFT,\n    keyHash,\n    key,\n    value,\n    didChangeSize,\n    didAlter\n  );\n\n  if (newNode === node) {\n    return this;\n  }\n\n  if (!exists && newNode && nodes.length >= MAX_BITMAP_INDEXED_SIZE) {\n    return expandNodes(ownerID, nodes, bitmap, keyHashFrag, newNode);\n  }\n\n  if (\n    exists &&\n    !newNode &&\n    nodes.length === 2 &&\n    isLeafNode(nodes[idx ^ 1])\n  ) {\n    return nodes[idx ^ 1];\n  }\n\n  if (exists && newNode && nodes.length === 1 && isLeafNode(newNode)) {\n    return newNode;\n  }\n\n  var isEditable = ownerID && ownerID === this.ownerID;\n  var newBitmap = exists ? (newNode ? bitmap : bitmap ^ bit) : bitmap | bit;\n  var newNodes = exists\n    ? newNode\n      ? setAt(nodes, idx, newNode, isEditable)\n      : spliceOut(nodes, idx, isEditable)\n    : spliceIn(nodes, idx, newNode, isEditable);\n\n  if (isEditable) {\n    this.bitmap = newBitmap;\n    this.nodes = newNodes;\n    return this;\n  }\n\n  return new BitmapIndexedNode(ownerID, newBitmap, newNodes);\n};\n\nvar HashArrayMapNode = function HashArrayMapNode(ownerID, count, nodes) {\n  this.ownerID = ownerID;\n  this.count = count;\n  this.nodes = nodes;\n};\n\nHashArrayMapNode.prototype.get = function get (shift, keyHash, key, notSetValue) {\n  if (keyHash === undefined) {\n    keyHash = hash(key);\n  }\n  var idx = (shift === 0 ? keyHash : keyHash >>> shift) & MASK;\n  var node = this.nodes[idx];\n  return node\n    ? node.get(shift + SHIFT, keyHash, key, notSetValue)\n    : notSetValue;\n};\n\nHashArrayMapNode.prototype.update = function update$$1 (ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n  if (keyHash === undefined) {\n    keyHash = hash(key);\n  }\n  var idx = (shift === 0 ? keyHash : keyHash >>> shift) & MASK;\n  var removed = value === NOT_SET;\n  var nodes = this.nodes;\n  var node = nodes[idx];\n\n  if (removed && !node) {\n    return this;\n  }\n\n  var newNode = updateNode(\n    node,\n    ownerID,\n    shift + SHIFT,\n    keyHash,\n    key,\n    value,\n    didChangeSize,\n    didAlter\n  );\n  if (newNode === node) {\n    return this;\n  }\n\n  var newCount = this.count;\n  if (!node) {\n    newCount++;\n  } else if (!newNode) {\n    newCount--;\n    if (newCount < MIN_HASH_ARRAY_MAP_SIZE) {\n      return packNodes(ownerID, nodes, newCount, idx);\n    }\n  }\n\n  var isEditable = ownerID && ownerID === this.ownerID;\n  var newNodes = setAt(nodes, idx, newNode, isEditable);\n\n  if (isEditable) {\n    this.count = newCount;\n    this.nodes = newNodes;\n    return this;\n  }\n\n  return new HashArrayMapNode(ownerID, newCount, newNodes);\n};\n\nvar HashCollisionNode = function HashCollisionNode(ownerID, keyHash, entries) {\n  this.ownerID = ownerID;\n  this.keyHash = keyHash;\n  this.entries = entries;\n};\n\nHashCollisionNode.prototype.get = function get (shift, keyHash, key, notSetValue) {\n  var entries = this.entries;\n  for (var ii = 0, len = entries.length; ii < len; ii++) {\n    if (is(key, entries[ii][0])) {\n      return entries[ii][1];\n    }\n  }\n  return notSetValue;\n};\n\nHashCollisionNode.prototype.update = function update$$1 (ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n  if (keyHash === undefined) {\n    keyHash = hash(key);\n  }\n\n  var removed = value === NOT_SET;\n\n  if (keyHash !== this.keyHash) {\n    if (removed) {\n      return this;\n    }\n    SetRef(didAlter);\n    SetRef(didChangeSize);\n    return mergeIntoNode(this, ownerID, shift, keyHash, [key, value]);\n  }\n\n  var entries = this.entries;\n  var idx = 0;\n  var len = entries.length;\n  for (; idx < len; idx++) {\n    if (is(key, entries[idx][0])) {\n      break;\n    }\n  }\n  var exists = idx < len;\n\n  if (exists ? entries[idx][1] === value : removed) {\n    return this;\n  }\n\n  SetRef(didAlter);\n  (removed || !exists) && SetRef(didChangeSize);\n\n  if (removed && len === 2) {\n    return new ValueNode(ownerID, this.keyHash, entries[idx ^ 1]);\n  }\n\n  var isEditable = ownerID && ownerID === this.ownerID;\n  var newEntries = isEditable ? entries : arrCopy(entries);\n\n  if (exists) {\n    if (removed) {\n      idx === len - 1\n        ? newEntries.pop()\n        : (newEntries[idx] = newEntries.pop());\n    } else {\n      newEntries[idx] = [key, value];\n    }\n  } else {\n    newEntries.push([key, value]);\n  }\n\n  if (isEditable) {\n    this.entries = newEntries;\n    return this;\n  }\n\n  return new HashCollisionNode(ownerID, this.keyHash, newEntries);\n};\n\nvar ValueNode = function ValueNode(ownerID, keyHash, entry) {\n  this.ownerID = ownerID;\n  this.keyHash = keyHash;\n  this.entry = entry;\n};\n\nValueNode.prototype.get = function get (shift, keyHash, key, notSetValue) {\n  return is(key, this.entry[0]) ? this.entry[1] : notSetValue;\n};\n\nValueNode.prototype.update = function update$$1 (ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n  var removed = value === NOT_SET;\n  var keyMatch = is(key, this.entry[0]);\n  if (keyMatch ? value === this.entry[1] : removed) {\n    return this;\n  }\n\n  SetRef(didAlter);\n\n  if (removed) {\n    SetRef(didChangeSize);\n    return; // undefined\n  }\n\n  if (keyMatch) {\n    if (ownerID && ownerID === this.ownerID) {\n      this.entry[1] = value;\n      return this;\n    }\n    return new ValueNode(ownerID, this.keyHash, [key, value]);\n  }\n\n  SetRef(didChangeSize);\n  return mergeIntoNode(this, ownerID, shift, hash(key), [key, value]);\n};\n\n// #pragma Iterators\n\nArrayMapNode.prototype.iterate = HashCollisionNode.prototype.iterate = function(\n  fn,\n  reverse\n) {\n  var entries = this.entries;\n  for (var ii = 0, maxIndex = entries.length - 1; ii <= maxIndex; ii++) {\n    if (fn(entries[reverse ? maxIndex - ii : ii]) === false) {\n      return false;\n    }\n  }\n};\n\nBitmapIndexedNode.prototype.iterate = HashArrayMapNode.prototype.iterate = function(\n  fn,\n  reverse\n) {\n  var nodes = this.nodes;\n  for (var ii = 0, maxIndex = nodes.length - 1; ii <= maxIndex; ii++) {\n    var node = nodes[reverse ? maxIndex - ii : ii];\n    if (node && node.iterate(fn, reverse) === false) {\n      return false;\n    }\n  }\n};\n\n// eslint-disable-next-line no-unused-vars\nValueNode.prototype.iterate = function(fn, reverse) {\n  return fn(this.entry);\n};\n\nvar MapIterator = (function (Iterator$$1) {\n  function MapIterator(map, type, reverse) {\n    this._type = type;\n    this._reverse = reverse;\n    this._stack = map._root && mapIteratorFrame(map._root);\n  }\n\n  if ( Iterator$$1 ) MapIterator.__proto__ = Iterator$$1;\n  MapIterator.prototype = Object.create( Iterator$$1 && Iterator$$1.prototype );\n  MapIterator.prototype.constructor = MapIterator;\n\n  MapIterator.prototype.next = function next () {\n    var this$1 = this;\n\n    var type = this._type;\n    var stack = this._stack;\n    while (stack) {\n      var node = stack.node;\n      var index = stack.index++;\n      var maxIndex = (void 0);\n      if (node.entry) {\n        if (index === 0) {\n          return mapIteratorValue(type, node.entry);\n        }\n      } else if (node.entries) {\n        maxIndex = node.entries.length - 1;\n        if (index <= maxIndex) {\n          return mapIteratorValue(\n            type,\n            node.entries[this$1._reverse ? maxIndex - index : index]\n          );\n        }\n      } else {\n        maxIndex = node.nodes.length - 1;\n        if (index <= maxIndex) {\n          var subNode = node.nodes[this$1._reverse ? maxIndex - index : index];\n          if (subNode) {\n            if (subNode.entry) {\n              return mapIteratorValue(type, subNode.entry);\n            }\n            stack = this$1._stack = mapIteratorFrame(subNode, stack);\n          }\n          continue;\n        }\n      }\n      stack = this$1._stack = this$1._stack.__prev;\n    }\n    return iteratorDone();\n  };\n\n  return MapIterator;\n}(Iterator));\n\nfunction mapIteratorValue(type, entry) {\n  return iteratorValue(type, entry[0], entry[1]);\n}\n\nfunction mapIteratorFrame(node, prev) {\n  return {\n    node: node,\n    index: 0,\n    __prev: prev\n  };\n}\n\nfunction makeMap(size, root, ownerID, hash$$1) {\n  var map = Object.create(MapPrototype);\n  map.size = size;\n  map._root = root;\n  map.__ownerID = ownerID;\n  map.__hash = hash$$1;\n  map.__altered = false;\n  return map;\n}\n\nvar EMPTY_MAP;\nfunction emptyMap() {\n  return EMPTY_MAP || (EMPTY_MAP = makeMap(0));\n}\n\nfunction updateMap(map, k, v) {\n  var newRoot;\n  var newSize;\n  if (!map._root) {\n    if (v === NOT_SET) {\n      return map;\n    }\n    newSize = 1;\n    newRoot = new ArrayMapNode(map.__ownerID, [[k, v]]);\n  } else {\n    var didChangeSize = MakeRef(CHANGE_LENGTH);\n    var didAlter = MakeRef(DID_ALTER);\n    newRoot = updateNode(\n      map._root,\n      map.__ownerID,\n      0,\n      undefined,\n      k,\n      v,\n      didChangeSize,\n      didAlter\n    );\n    if (!didAlter.value) {\n      return map;\n    }\n    newSize = map.size + (didChangeSize.value ? (v === NOT_SET ? -1 : 1) : 0);\n  }\n  if (map.__ownerID) {\n    map.size = newSize;\n    map._root = newRoot;\n    map.__hash = undefined;\n    map.__altered = true;\n    return map;\n  }\n  return newRoot ? makeMap(newSize, newRoot) : emptyMap();\n}\n\nfunction updateNode(\n  node,\n  ownerID,\n  shift,\n  keyHash,\n  key,\n  value,\n  didChangeSize,\n  didAlter\n) {\n  if (!node) {\n    if (value === NOT_SET) {\n      return node;\n    }\n    SetRef(didAlter);\n    SetRef(didChangeSize);\n    return new ValueNode(ownerID, keyHash, [key, value]);\n  }\n  return node.update(\n    ownerID,\n    shift,\n    keyHash,\n    key,\n    value,\n    didChangeSize,\n    didAlter\n  );\n}\n\nfunction isLeafNode(node) {\n  return (\n    node.constructor === ValueNode || node.constructor === HashCollisionNode\n  );\n}\n\nfunction mergeIntoNode(node, ownerID, shift, keyHash, entry) {\n  if (node.keyHash === keyHash) {\n    return new HashCollisionNode(ownerID, keyHash, [node.entry, entry]);\n  }\n\n  var idx1 = (shift === 0 ? node.keyHash : node.keyHash >>> shift) & MASK;\n  var idx2 = (shift === 0 ? keyHash : keyHash >>> shift) & MASK;\n\n  var newNode;\n  var nodes =\n    idx1 === idx2\n      ? [mergeIntoNode(node, ownerID, shift + SHIFT, keyHash, entry)]\n      : ((newNode = new ValueNode(ownerID, keyHash, entry)),\n        idx1 < idx2 ? [node, newNode] : [newNode, node]);\n\n  return new BitmapIndexedNode(ownerID, (1 << idx1) | (1 << idx2), nodes);\n}\n\nfunction createNodes(ownerID, entries, key, value) {\n  if (!ownerID) {\n    ownerID = new OwnerID();\n  }\n  var node = new ValueNode(ownerID, hash(key), [key, value]);\n  for (var ii = 0; ii < entries.length; ii++) {\n    var entry = entries[ii];\n    node = node.update(ownerID, 0, undefined, entry[0], entry[1]);\n  }\n  return node;\n}\n\nfunction packNodes(ownerID, nodes, count, excluding) {\n  var bitmap = 0;\n  var packedII = 0;\n  var packedNodes = new Array(count);\n  for (var ii = 0, bit = 1, len = nodes.length; ii < len; ii++, bit <<= 1) {\n    var node = nodes[ii];\n    if (node !== undefined && ii !== excluding) {\n      bitmap |= bit;\n      packedNodes[packedII++] = node;\n    }\n  }\n  return new BitmapIndexedNode(ownerID, bitmap, packedNodes);\n}\n\nfunction expandNodes(ownerID, nodes, bitmap, including, node) {\n  var count = 0;\n  var expandedNodes = new Array(SIZE);\n  for (var ii = 0; bitmap !== 0; ii++, bitmap >>>= 1) {\n    expandedNodes[ii] = bitmap & 1 ? nodes[count++] : undefined;\n  }\n  expandedNodes[including] = node;\n  return new HashArrayMapNode(ownerID, count + 1, expandedNodes);\n}\n\nfunction popCount(x) {\n  x -= (x >> 1) & 0x55555555;\n  x = (x & 0x33333333) + ((x >> 2) & 0x33333333);\n  x = (x + (x >> 4)) & 0x0f0f0f0f;\n  x += x >> 8;\n  x += x >> 16;\n  return x & 0x7f;\n}\n\nfunction setAt(array, idx, val, canEdit) {\n  var newArray = canEdit ? array : arrCopy(array);\n  newArray[idx] = val;\n  return newArray;\n}\n\nfunction spliceIn(array, idx, val, canEdit) {\n  var newLen = array.length + 1;\n  if (canEdit && idx + 1 === newLen) {\n    array[idx] = val;\n    return array;\n  }\n  var newArray = new Array(newLen);\n  var after = 0;\n  for (var ii = 0; ii < newLen; ii++) {\n    if (ii === idx) {\n      newArray[ii] = val;\n      after = -1;\n    } else {\n      newArray[ii] = array[ii + after];\n    }\n  }\n  return newArray;\n}\n\nfunction spliceOut(array, idx, canEdit) {\n  var newLen = array.length - 1;\n  if (canEdit && idx === newLen) {\n    array.pop();\n    return array;\n  }\n  var newArray = new Array(newLen);\n  var after = 0;\n  for (var ii = 0; ii < newLen; ii++) {\n    if (ii === idx) {\n      after = 1;\n    }\n    newArray[ii] = array[ii + after];\n  }\n  return newArray;\n}\n\nvar MAX_ARRAY_MAP_SIZE = SIZE / 4;\nvar MAX_BITMAP_INDEXED_SIZE = SIZE / 2;\nvar MIN_HASH_ARRAY_MAP_SIZE = SIZE / 4;\n\nvar List = (function (IndexedCollection$$1) {\n  function List(value) {\n    var empty = emptyList();\n    if (value === null || value === undefined) {\n      return empty;\n    }\n    if (isList(value)) {\n      return value;\n    }\n    var iter = IndexedCollection$$1(value);\n    var size = iter.size;\n    if (size === 0) {\n      return empty;\n    }\n    assertNotInfinite(size);\n    if (size > 0 && size < SIZE) {\n      return makeList(0, size, SHIFT, null, new VNode(iter.toArray()));\n    }\n    return empty.withMutations(function (list) {\n      list.setSize(size);\n      iter.forEach(function (v, i) { return list.set(i, v); });\n    });\n  }\n\n  if ( IndexedCollection$$1 ) List.__proto__ = IndexedCollection$$1;\n  List.prototype = Object.create( IndexedCollection$$1 && IndexedCollection$$1.prototype );\n  List.prototype.constructor = List;\n\n  List.of = function of (/*...values*/) {\n    return this(arguments);\n  };\n\n  List.prototype.toString = function toString () {\n    return this.__toString(\'List [\', \']\');\n  };\n\n  // @pragma Access\n\n  List.prototype.get = function get (index, notSetValue) {\n    index = wrapIndex(this, index);\n    if (index >= 0 && index < this.size) {\n      index += this._origin;\n      var node = listNodeFor(this, index);\n      return node && node.array[index & MASK];\n    }\n    return notSetValue;\n  };\n\n  // @pragma Modification\n\n  List.prototype.set = function set (index, value) {\n    return updateList(this, index, value);\n  };\n\n  List.prototype.remove = function remove (index) {\n    return !this.has(index)\n      ? this\n      : index === 0\n        ? this.shift()\n        : index === this.size - 1 ? this.pop() : this.splice(index, 1);\n  };\n\n  List.prototype.insert = function insert (index, value) {\n    return this.splice(index, 0, value);\n  };\n\n  List.prototype.clear = function clear () {\n    if (this.size === 0) {\n      return this;\n    }\n    if (this.__ownerID) {\n      this.size = this._origin = this._capacity = 0;\n      this._level = SHIFT;\n      this._root = this._tail = null;\n      this.__hash = undefined;\n      this.__altered = true;\n      return this;\n    }\n    return emptyList();\n  };\n\n  List.prototype.push = function push (/*...values*/) {\n    var values = arguments;\n    var oldSize = this.size;\n    return this.withMutations(function (list) {\n      setListBounds(list, 0, oldSize + values.length);\n      for (var ii = 0; ii < values.length; ii++) {\n        list.set(oldSize + ii, values[ii]);\n      }\n    });\n  };\n\n  List.prototype.pop = function pop () {\n    return setListBounds(this, 0, -1);\n  };\n\n  List.prototype.unshift = function unshift (/*...values*/) {\n    var values = arguments;\n    return this.withMutations(function (list) {\n      setListBounds(list, -values.length);\n      for (var ii = 0; ii < values.length; ii++) {\n        list.set(ii, values[ii]);\n      }\n    });\n  };\n\n  List.prototype.shift = function shift () {\n    return setListBounds(this, 1);\n  };\n\n  // @pragma Composition\n\n  List.prototype.concat = function concat (/*...collections*/) {\n    var arguments$1 = arguments;\n\n    var seqs = [];\n    for (var i = 0; i < arguments.length; i++) {\n      var argument = arguments$1[i];\n      var seq = IndexedCollection$$1(\n        typeof argument !== \'string\' && hasIterator(argument)\n          ? argument\n          : [argument]\n      );\n      if (seq.size !== 0) {\n        seqs.push(seq);\n      }\n    }\n    if (seqs.length === 0) {\n      return this;\n    }\n    if (this.size === 0 && !this.__ownerID && seqs.length === 1) {\n      return this.constructor(seqs[0]);\n    }\n    return this.withMutations(function (list) {\n      seqs.forEach(function (seq) { return seq.forEach(function (value) { return list.push(value); }); });\n    });\n  };\n\n  List.prototype.setSize = function setSize (size) {\n    return setListBounds(this, 0, size);\n  };\n\n  // @pragma Iteration\n\n  List.prototype.slice = function slice (begin, end) {\n    var size = this.size;\n    if (wholeSlice(begin, end, size)) {\n      return this;\n    }\n    return setListBounds(\n      this,\n      resolveBegin(begin, size),\n      resolveEnd(end, size)\n    );\n  };\n\n  List.prototype.__iterator = function __iterator (type, reverse) {\n    var index = reverse ? this.size : 0;\n    var values = iterateList(this, reverse);\n    return new Iterator(function () {\n      var value = values();\n      return value === DONE\n        ? iteratorDone()\n        : iteratorValue(type, reverse ? --index : index++, value);\n    });\n  };\n\n  List.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    var index = reverse ? this.size : 0;\n    var values = iterateList(this, reverse);\n    var value;\n    while ((value = values()) !== DONE) {\n      if (fn(value, reverse ? --index : index++, this$1) === false) {\n        break;\n      }\n    }\n    return index;\n  };\n\n  List.prototype.__ensureOwner = function __ensureOwner (ownerID) {\n    if (ownerID === this.__ownerID) {\n      return this;\n    }\n    if (!ownerID) {\n      if (this.size === 0) {\n        return emptyList();\n      }\n      this.__ownerID = ownerID;\n      this.__altered = false;\n      return this;\n    }\n    return makeList(\n      this._origin,\n      this._capacity,\n      this._level,\n      this._root,\n      this._tail,\n      ownerID,\n      this.__hash\n    );\n  };\n\n  return List;\n}(IndexedCollection));\n\nfunction isList(maybeList) {\n  return !!(maybeList && maybeList[IS_LIST_SENTINEL]);\n}\n\nList.isList = isList;\n\nvar IS_LIST_SENTINEL = \'@@__IMMUTABLE_LIST__@@\';\n\nvar ListPrototype = List.prototype;\nListPrototype[IS_LIST_SENTINEL] = true;\nListPrototype[DELETE] = ListPrototype.remove;\nListPrototype.merge = ListPrototype.concat;\nListPrototype.setIn = setIn$$1;\nListPrototype.deleteIn = ListPrototype.removeIn = deleteIn;\nListPrototype.update = update$$1;\nListPrototype.updateIn = updateIn$1;\nListPrototype.mergeIn = mergeIn;\nListPrototype.mergeDeepIn = mergeDeepIn;\nListPrototype.withMutations = withMutations;\nListPrototype.wasAltered = wasAltered;\nListPrototype.asImmutable = asImmutable;\nListPrototype[\'@@transducer/init\'] = ListPrototype.asMutable = asMutable;\nListPrototype[\'@@transducer/step\'] = function(result, arr) {\n  return result.push(arr);\n};\nListPrototype[\'@@transducer/result\'] = function(obj) {\n  return obj.asImmutable();\n};\n\nvar VNode = function VNode(array, ownerID) {\n  this.array = array;\n  this.ownerID = ownerID;\n};\n\n// TODO: seems like these methods are very similar\n\nVNode.prototype.removeBefore = function removeBefore (ownerID, level, index) {\n  if (index === level ? 1 << level : 0 || this.array.length === 0) {\n    return this;\n  }\n  var originIndex = (index >>> level) & MASK;\n  if (originIndex >= this.array.length) {\n    return new VNode([], ownerID);\n  }\n  var removingFirst = originIndex === 0;\n  var newChild;\n  if (level > 0) {\n    var oldChild = this.array[originIndex];\n    newChild =\n      oldChild && oldChild.removeBefore(ownerID, level - SHIFT, index);\n    if (newChild === oldChild && removingFirst) {\n      return this;\n    }\n  }\n  if (removingFirst && !newChild) {\n    return this;\n  }\n  var editable = editableVNode(this, ownerID);\n  if (!removingFirst) {\n    for (var ii = 0; ii < originIndex; ii++) {\n      editable.array[ii] = undefined;\n    }\n  }\n  if (newChild) {\n    editable.array[originIndex] = newChild;\n  }\n  return editable;\n};\n\nVNode.prototype.removeAfter = function removeAfter (ownerID, level, index) {\n  if (index === (level ? 1 << level : 0) || this.array.length === 0) {\n    return this;\n  }\n  var sizeIndex = ((index - 1) >>> level) & MASK;\n  if (sizeIndex >= this.array.length) {\n    return this;\n  }\n\n  var newChild;\n  if (level > 0) {\n    var oldChild = this.array[sizeIndex];\n    newChild =\n      oldChild && oldChild.removeAfter(ownerID, level - SHIFT, index);\n    if (newChild === oldChild && sizeIndex === this.array.length - 1) {\n      return this;\n    }\n  }\n\n  var editable = editableVNode(this, ownerID);\n  editable.array.splice(sizeIndex + 1);\n  if (newChild) {\n    editable.array[sizeIndex] = newChild;\n  }\n  return editable;\n};\n\nvar DONE = {};\n\nfunction iterateList(list, reverse) {\n  var left = list._origin;\n  var right = list._capacity;\n  var tailPos = getTailOffset(right);\n  var tail = list._tail;\n\n  return iterateNodeOrLeaf(list._root, list._level, 0);\n\n  function iterateNodeOrLeaf(node, level, offset) {\n    return level === 0\n      ? iterateLeaf(node, offset)\n      : iterateNode(node, level, offset);\n  }\n\n  function iterateLeaf(node, offset) {\n    var array = offset === tailPos ? tail && tail.array : node && node.array;\n    var from = offset > left ? 0 : left - offset;\n    var to = right - offset;\n    if (to > SIZE) {\n      to = SIZE;\n    }\n    return function () {\n      if (from === to) {\n        return DONE;\n      }\n      var idx = reverse ? --to : from++;\n      return array && array[idx];\n    };\n  }\n\n  function iterateNode(node, level, offset) {\n    var values;\n    var array = node && node.array;\n    var from = offset > left ? 0 : (left - offset) >> level;\n    var to = ((right - offset) >> level) + 1;\n    if (to > SIZE) {\n      to = SIZE;\n    }\n    return function () {\n      while (true) {\n        if (values) {\n          var value = values();\n          if (value !== DONE) {\n            return value;\n          }\n          values = null;\n        }\n        if (from === to) {\n          return DONE;\n        }\n        var idx = reverse ? --to : from++;\n        values = iterateNodeOrLeaf(\n          array && array[idx],\n          level - SHIFT,\n          offset + (idx << level)\n        );\n      }\n    };\n  }\n}\n\nfunction makeList(origin, capacity, level, root, tail, ownerID, hash) {\n  var list = Object.create(ListPrototype);\n  list.size = capacity - origin;\n  list._origin = origin;\n  list._capacity = capacity;\n  list._level = level;\n  list._root = root;\n  list._tail = tail;\n  list.__ownerID = ownerID;\n  list.__hash = hash;\n  list.__altered = false;\n  return list;\n}\n\nvar EMPTY_LIST;\nfunction emptyList() {\n  return EMPTY_LIST || (EMPTY_LIST = makeList(0, 0, SHIFT));\n}\n\nfunction updateList(list, index, value) {\n  index = wrapIndex(list, index);\n\n  if (index !== index) {\n    return list;\n  }\n\n  if (index >= list.size || index < 0) {\n    return list.withMutations(function (list) {\n      index < 0\n        ? setListBounds(list, index).set(0, value)\n        : setListBounds(list, 0, index + 1).set(index, value);\n    });\n  }\n\n  index += list._origin;\n\n  var newTail = list._tail;\n  var newRoot = list._root;\n  var didAlter = MakeRef(DID_ALTER);\n  if (index >= getTailOffset(list._capacity)) {\n    newTail = updateVNode(newTail, list.__ownerID, 0, index, value, didAlter);\n  } else {\n    newRoot = updateVNode(\n      newRoot,\n      list.__ownerID,\n      list._level,\n      index,\n      value,\n      didAlter\n    );\n  }\n\n  if (!didAlter.value) {\n    return list;\n  }\n\n  if (list.__ownerID) {\n    list._root = newRoot;\n    list._tail = newTail;\n    list.__hash = undefined;\n    list.__altered = true;\n    return list;\n  }\n  return makeList(list._origin, list._capacity, list._level, newRoot, newTail);\n}\n\nfunction updateVNode(node, ownerID, level, index, value, didAlter) {\n  var idx = (index >>> level) & MASK;\n  var nodeHas = node && idx < node.array.length;\n  if (!nodeHas && value === undefined) {\n    return node;\n  }\n\n  var newNode;\n\n  if (level > 0) {\n    var lowerNode = node && node.array[idx];\n    var newLowerNode = updateVNode(\n      lowerNode,\n      ownerID,\n      level - SHIFT,\n      index,\n      value,\n      didAlter\n    );\n    if (newLowerNode === lowerNode) {\n      return node;\n    }\n    newNode = editableVNode(node, ownerID);\n    newNode.array[idx] = newLowerNode;\n    return newNode;\n  }\n\n  if (nodeHas && node.array[idx] === value) {\n    return node;\n  }\n\n  SetRef(didAlter);\n\n  newNode = editableVNode(node, ownerID);\n  if (value === undefined && idx === newNode.array.length - 1) {\n    newNode.array.pop();\n  } else {\n    newNode.array[idx] = value;\n  }\n  return newNode;\n}\n\nfunction editableVNode(node, ownerID) {\n  if (ownerID && node && ownerID === node.ownerID) {\n    return node;\n  }\n  return new VNode(node ? node.array.slice() : [], ownerID);\n}\n\nfunction listNodeFor(list, rawIndex) {\n  if (rawIndex >= getTailOffset(list._capacity)) {\n    return list._tail;\n  }\n  if (rawIndex < 1 << (list._level + SHIFT)) {\n    var node = list._root;\n    var level = list._level;\n    while (node && level > 0) {\n      node = node.array[(rawIndex >>> level) & MASK];\n      level -= SHIFT;\n    }\n    return node;\n  }\n}\n\nfunction setListBounds(list, begin, end) {\n  // Sanitize begin & end using this shorthand for ToInt32(argument)\n  // http://www.ecma-international.org/ecma-262/6.0/#sec-toint32\n  if (begin !== undefined) {\n    begin |= 0;\n  }\n  if (end !== undefined) {\n    end |= 0;\n  }\n  var owner = list.__ownerID || new OwnerID();\n  var oldOrigin = list._origin;\n  var oldCapacity = list._capacity;\n  var newOrigin = oldOrigin + begin;\n  var newCapacity =\n    end === undefined\n      ? oldCapacity\n      : end < 0 ? oldCapacity + end : oldOrigin + end;\n  if (newOrigin === oldOrigin && newCapacity === oldCapacity) {\n    return list;\n  }\n\n  // If it\'s going to end after it starts, it\'s empty.\n  if (newOrigin >= newCapacity) {\n    return list.clear();\n  }\n\n  var newLevel = list._level;\n  var newRoot = list._root;\n\n  // New origin might need creating a higher root.\n  var offsetShift = 0;\n  while (newOrigin + offsetShift < 0) {\n    newRoot = new VNode(\n      newRoot && newRoot.array.length ? [undefined, newRoot] : [],\n      owner\n    );\n    newLevel += SHIFT;\n    offsetShift += 1 << newLevel;\n  }\n  if (offsetShift) {\n    newOrigin += offsetShift;\n    oldOrigin += offsetShift;\n    newCapacity += offsetShift;\n    oldCapacity += offsetShift;\n  }\n\n  var oldTailOffset = getTailOffset(oldCapacity);\n  var newTailOffset = getTailOffset(newCapacity);\n\n  // New size might need creating a higher root.\n  while (newTailOffset >= 1 << (newLevel + SHIFT)) {\n    newRoot = new VNode(\n      newRoot && newRoot.array.length ? [newRoot] : [],\n      owner\n    );\n    newLevel += SHIFT;\n  }\n\n  // Locate or create the new tail.\n  var oldTail = list._tail;\n  var newTail =\n    newTailOffset < oldTailOffset\n      ? listNodeFor(list, newCapacity - 1)\n      : newTailOffset > oldTailOffset ? new VNode([], owner) : oldTail;\n\n  // Merge Tail into tree.\n  if (\n    oldTail &&\n    newTailOffset > oldTailOffset &&\n    newOrigin < oldCapacity &&\n    oldTail.array.length\n  ) {\n    newRoot = editableVNode(newRoot, owner);\n    var node = newRoot;\n    for (var level = newLevel; level > SHIFT; level -= SHIFT) {\n      var idx = (oldTailOffset >>> level) & MASK;\n      node = node.array[idx] = editableVNode(node.array[idx], owner);\n    }\n    node.array[(oldTailOffset >>> SHIFT) & MASK] = oldTail;\n  }\n\n  // If the size has been reduced, there\'s a chance the tail needs to be trimmed.\n  if (newCapacity < oldCapacity) {\n    newTail = newTail && newTail.removeAfter(owner, 0, newCapacity);\n  }\n\n  // If the new origin is within the tail, then we do not need a root.\n  if (newOrigin >= newTailOffset) {\n    newOrigin -= newTailOffset;\n    newCapacity -= newTailOffset;\n    newLevel = SHIFT;\n    newRoot = null;\n    newTail = newTail && newTail.removeBefore(owner, 0, newOrigin);\n\n    // Otherwise, if the root has been trimmed, garbage collect.\n  } else if (newOrigin > oldOrigin || newTailOffset < oldTailOffset) {\n    offsetShift = 0;\n\n    // Identify the new top root node of the subtree of the old root.\n    while (newRoot) {\n      var beginIndex = (newOrigin >>> newLevel) & MASK;\n      if ((beginIndex !== newTailOffset >>> newLevel) & MASK) {\n        break;\n      }\n      if (beginIndex) {\n        offsetShift += (1 << newLevel) * beginIndex;\n      }\n      newLevel -= SHIFT;\n      newRoot = newRoot.array[beginIndex];\n    }\n\n    // Trim the new sides of the new root.\n    if (newRoot && newOrigin > oldOrigin) {\n      newRoot = newRoot.removeBefore(owner, newLevel, newOrigin - offsetShift);\n    }\n    if (newRoot && newTailOffset < oldTailOffset) {\n      newRoot = newRoot.removeAfter(\n        owner,\n        newLevel,\n        newTailOffset - offsetShift\n      );\n    }\n    if (offsetShift) {\n      newOrigin -= offsetShift;\n      newCapacity -= offsetShift;\n    }\n  }\n\n  if (list.__ownerID) {\n    list.size = newCapacity - newOrigin;\n    list._origin = newOrigin;\n    list._capacity = newCapacity;\n    list._level = newLevel;\n    list._root = newRoot;\n    list._tail = newTail;\n    list.__hash = undefined;\n    list.__altered = true;\n    return list;\n  }\n  return makeList(newOrigin, newCapacity, newLevel, newRoot, newTail);\n}\n\nfunction getTailOffset(size) {\n  return size < SIZE ? 0 : ((size - 1) >>> SHIFT) << SHIFT;\n}\n\nvar OrderedMap = (function (Map$$1) {\n  function OrderedMap(value) {\n    return value === null || value === undefined\n      ? emptyOrderedMap()\n      : isOrderedMap(value)\n        ? value\n        : emptyOrderedMap().withMutations(function (map) {\n            var iter = KeyedCollection(value);\n            assertNotInfinite(iter.size);\n            iter.forEach(function (v, k) { return map.set(k, v); });\n          });\n  }\n\n  if ( Map$$1 ) OrderedMap.__proto__ = Map$$1;\n  OrderedMap.prototype = Object.create( Map$$1 && Map$$1.prototype );\n  OrderedMap.prototype.constructor = OrderedMap;\n\n  OrderedMap.of = function of (/*...values*/) {\n    return this(arguments);\n  };\n\n  OrderedMap.prototype.toString = function toString () {\n    return this.__toString(\'OrderedMap {\', \'}\');\n  };\n\n  // @pragma Access\n\n  OrderedMap.prototype.get = function get (k, notSetValue) {\n    var index = this._map.get(k);\n    return index !== undefined ? this._list.get(index)[1] : notSetValue;\n  };\n\n  // @pragma Modification\n\n  OrderedMap.prototype.clear = function clear () {\n    if (this.size === 0) {\n      return this;\n    }\n    if (this.__ownerID) {\n      this.size = 0;\n      this._map.clear();\n      this._list.clear();\n      return this;\n    }\n    return emptyOrderedMap();\n  };\n\n  OrderedMap.prototype.set = function set (k, v) {\n    return updateOrderedMap(this, k, v);\n  };\n\n  OrderedMap.prototype.remove = function remove (k) {\n    return updateOrderedMap(this, k, NOT_SET);\n  };\n\n  OrderedMap.prototype.wasAltered = function wasAltered () {\n    return this._map.wasAltered() || this._list.wasAltered();\n  };\n\n  OrderedMap.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    return this._list.__iterate(\n      function (entry) { return entry && fn(entry[1], entry[0], this$1); },\n      reverse\n    );\n  };\n\n  OrderedMap.prototype.__iterator = function __iterator (type, reverse) {\n    return this._list.fromEntrySeq().__iterator(type, reverse);\n  };\n\n  OrderedMap.prototype.__ensureOwner = function __ensureOwner (ownerID) {\n    if (ownerID === this.__ownerID) {\n      return this;\n    }\n    var newMap = this._map.__ensureOwner(ownerID);\n    var newList = this._list.__ensureOwner(ownerID);\n    if (!ownerID) {\n      if (this.size === 0) {\n        return emptyOrderedMap();\n      }\n      this.__ownerID = ownerID;\n      this._map = newMap;\n      this._list = newList;\n      return this;\n    }\n    return makeOrderedMap(newMap, newList, ownerID, this.__hash);\n  };\n\n  return OrderedMap;\n}(Map));\n\nfunction isOrderedMap(maybeOrderedMap) {\n  return isMap(maybeOrderedMap) && isOrdered(maybeOrderedMap);\n}\n\nOrderedMap.isOrderedMap = isOrderedMap;\n\nOrderedMap.prototype[IS_ORDERED_SENTINEL] = true;\nOrderedMap.prototype[DELETE] = OrderedMap.prototype.remove;\n\nfunction makeOrderedMap(map, list, ownerID, hash) {\n  var omap = Object.create(OrderedMap.prototype);\n  omap.size = map ? map.size : 0;\n  omap._map = map;\n  omap._list = list;\n  omap.__ownerID = ownerID;\n  omap.__hash = hash;\n  return omap;\n}\n\nvar EMPTY_ORDERED_MAP;\nfunction emptyOrderedMap() {\n  return (\n    EMPTY_ORDERED_MAP ||\n    (EMPTY_ORDERED_MAP = makeOrderedMap(emptyMap(), emptyList()))\n  );\n}\n\nfunction updateOrderedMap(omap, k, v) {\n  var map = omap._map;\n  var list = omap._list;\n  var i = map.get(k);\n  var has = i !== undefined;\n  var newMap;\n  var newList;\n  if (v === NOT_SET) {\n    // removed\n    if (!has) {\n      return omap;\n    }\n    if (list.size >= SIZE && list.size >= map.size * 2) {\n      newList = list.filter(function (entry, idx) { return entry !== undefined && i !== idx; });\n      newMap = newList\n        .toKeyedSeq()\n        .map(function (entry) { return entry[0]; })\n        .flip()\n        .toMap();\n      if (omap.__ownerID) {\n        newMap.__ownerID = newList.__ownerID = omap.__ownerID;\n      }\n    } else {\n      newMap = map.remove(k);\n      newList = i === list.size - 1 ? list.pop() : list.set(i, undefined);\n    }\n  } else if (has) {\n    if (v === list.get(i)[1]) {\n      return omap;\n    }\n    newMap = map;\n    newList = list.set(i, [k, v]);\n  } else {\n    newMap = map.set(k, list.size);\n    newList = list.set(list.size, [k, v]);\n  }\n  if (omap.__ownerID) {\n    omap.size = newMap.size;\n    omap._map = newMap;\n    omap._list = newList;\n    omap.__hash = undefined;\n    return omap;\n  }\n  return makeOrderedMap(newMap, newList);\n}\n\nvar Stack = (function (IndexedCollection$$1) {\n  function Stack(value) {\n    return value === null || value === undefined\n      ? emptyStack()\n      : isStack(value) ? value : emptyStack().pushAll(value);\n  }\n\n  if ( IndexedCollection$$1 ) Stack.__proto__ = IndexedCollection$$1;\n  Stack.prototype = Object.create( IndexedCollection$$1 && IndexedCollection$$1.prototype );\n  Stack.prototype.constructor = Stack;\n\n  Stack.of = function of (/*...values*/) {\n    return this(arguments);\n  };\n\n  Stack.prototype.toString = function toString () {\n    return this.__toString(\'Stack [\', \']\');\n  };\n\n  // @pragma Access\n\n  Stack.prototype.get = function get (index, notSetValue) {\n    var head = this._head;\n    index = wrapIndex(this, index);\n    while (head && index--) {\n      head = head.next;\n    }\n    return head ? head.value : notSetValue;\n  };\n\n  Stack.prototype.peek = function peek () {\n    return this._head && this._head.value;\n  };\n\n  // @pragma Modification\n\n  Stack.prototype.push = function push (/*...values*/) {\n    var arguments$1 = arguments;\n\n    if (arguments.length === 0) {\n      return this;\n    }\n    var newSize = this.size + arguments.length;\n    var head = this._head;\n    for (var ii = arguments.length - 1; ii >= 0; ii--) {\n      head = {\n        value: arguments$1[ii],\n        next: head\n      };\n    }\n    if (this.__ownerID) {\n      this.size = newSize;\n      this._head = head;\n      this.__hash = undefined;\n      this.__altered = true;\n      return this;\n    }\n    return makeStack(newSize, head);\n  };\n\n  Stack.prototype.pushAll = function pushAll (iter) {\n    iter = IndexedCollection$$1(iter);\n    if (iter.size === 0) {\n      return this;\n    }\n    if (this.size === 0 && isStack(iter)) {\n      return iter;\n    }\n    assertNotInfinite(iter.size);\n    var newSize = this.size;\n    var head = this._head;\n    iter.__iterate(function (value) {\n      newSize++;\n      head = {\n        value: value,\n        next: head\n      };\n    }, /* reverse */ true);\n    if (this.__ownerID) {\n      this.size = newSize;\n      this._head = head;\n      this.__hash = undefined;\n      this.__altered = true;\n      return this;\n    }\n    return makeStack(newSize, head);\n  };\n\n  Stack.prototype.pop = function pop () {\n    return this.slice(1);\n  };\n\n  Stack.prototype.clear = function clear () {\n    if (this.size === 0) {\n      return this;\n    }\n    if (this.__ownerID) {\n      this.size = 0;\n      this._head = undefined;\n      this.__hash = undefined;\n      this.__altered = true;\n      return this;\n    }\n    return emptyStack();\n  };\n\n  Stack.prototype.slice = function slice (begin, end) {\n    if (wholeSlice(begin, end, this.size)) {\n      return this;\n    }\n    var resolvedBegin = resolveBegin(begin, this.size);\n    var resolvedEnd = resolveEnd(end, this.size);\n    if (resolvedEnd !== this.size) {\n      // super.slice(begin, end);\n      return IndexedCollection$$1.prototype.slice.call(this, begin, end);\n    }\n    var newSize = this.size - resolvedBegin;\n    var head = this._head;\n    while (resolvedBegin--) {\n      head = head.next;\n    }\n    if (this.__ownerID) {\n      this.size = newSize;\n      this._head = head;\n      this.__hash = undefined;\n      this.__altered = true;\n      return this;\n    }\n    return makeStack(newSize, head);\n  };\n\n  // @pragma Mutability\n\n  Stack.prototype.__ensureOwner = function __ensureOwner (ownerID) {\n    if (ownerID === this.__ownerID) {\n      return this;\n    }\n    if (!ownerID) {\n      if (this.size === 0) {\n        return emptyStack();\n      }\n      this.__ownerID = ownerID;\n      this.__altered = false;\n      return this;\n    }\n    return makeStack(this.size, this._head, ownerID, this.__hash);\n  };\n\n  // @pragma Iteration\n\n  Stack.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    if (reverse) {\n      return new ArraySeq(this.toArray()).__iterate(\n        function (v, k) { return fn(v, k, this$1); },\n        reverse\n      );\n    }\n    var iterations = 0;\n    var node = this._head;\n    while (node) {\n      if (fn(node.value, iterations++, this$1) === false) {\n        break;\n      }\n      node = node.next;\n    }\n    return iterations;\n  };\n\n  Stack.prototype.__iterator = function __iterator (type, reverse) {\n    if (reverse) {\n      return new ArraySeq(this.toArray()).__iterator(type, reverse);\n    }\n    var iterations = 0;\n    var node = this._head;\n    return new Iterator(function () {\n      if (node) {\n        var value = node.value;\n        node = node.next;\n        return iteratorValue(type, iterations++, value);\n      }\n      return iteratorDone();\n    });\n  };\n\n  return Stack;\n}(IndexedCollection));\n\nfunction isStack(maybeStack) {\n  return !!(maybeStack && maybeStack[IS_STACK_SENTINEL]);\n}\n\nStack.isStack = isStack;\n\nvar IS_STACK_SENTINEL = \'@@__IMMUTABLE_STACK__@@\';\n\nvar StackPrototype = Stack.prototype;\nStackPrototype[IS_STACK_SENTINEL] = true;\nStackPrototype.shift = StackPrototype.pop;\nStackPrototype.unshift = StackPrototype.push;\nStackPrototype.unshiftAll = StackPrototype.pushAll;\nStackPrototype.withMutations = withMutations;\nStackPrototype.wasAltered = wasAltered;\nStackPrototype.asImmutable = asImmutable;\nStackPrototype[\'@@transducer/init\'] = StackPrototype.asMutable = asMutable;\nStackPrototype[\'@@transducer/step\'] = function(result, arr) {\n  return result.unshift(arr);\n};\nStackPrototype[\'@@transducer/result\'] = function(obj) {\n  return obj.asImmutable();\n};\n\nfunction makeStack(size, head, ownerID, hash) {\n  var map = Object.create(StackPrototype);\n  map.size = size;\n  map._head = head;\n  map.__ownerID = ownerID;\n  map.__hash = hash;\n  map.__altered = false;\n  return map;\n}\n\nvar EMPTY_STACK;\nfunction emptyStack() {\n  return EMPTY_STACK || (EMPTY_STACK = makeStack(0));\n}\n\nfunction deepEqual(a, b) {\n  if (a === b) {\n    return true;\n  }\n\n  if (\n    !isCollection(b) ||\n    (a.size !== undefined && b.size !== undefined && a.size !== b.size) ||\n    (a.__hash !== undefined &&\n      b.__hash !== undefined &&\n      a.__hash !== b.__hash) ||\n    isKeyed(a) !== isKeyed(b) ||\n    isIndexed(a) !== isIndexed(b) ||\n    isOrdered(a) !== isOrdered(b)\n  ) {\n    return false;\n  }\n\n  if (a.size === 0 && b.size === 0) {\n    return true;\n  }\n\n  var notAssociative = !isAssociative(a);\n\n  if (isOrdered(a)) {\n    var entries = a.entries();\n    return (\n      b.every(function (v, k) {\n        var entry = entries.next().value;\n        return entry && is(entry[1], v) && (notAssociative || is(entry[0], k));\n      }) && entries.next().done\n    );\n  }\n\n  var flipped = false;\n\n  if (a.size === undefined) {\n    if (b.size === undefined) {\n      if (typeof a.cacheResult === \'function\') {\n        a.cacheResult();\n      }\n    } else {\n      flipped = true;\n      var _ = a;\n      a = b;\n      b = _;\n    }\n  }\n\n  var allEqual = true;\n  var bSize = b.__iterate(function (v, k) {\n    if (\n      notAssociative\n        ? !a.has(v)\n        : flipped ? !is(v, a.get(k, NOT_SET)) : !is(a.get(k, NOT_SET), v)\n    ) {\n      allEqual = false;\n      return false;\n    }\n  });\n\n  return allEqual && a.size === bSize;\n}\n\n/**\n * Contributes additional methods to a constructor\n */\nfunction mixin(ctor, methods) {\n  var keyCopier = function (key) {\n    ctor.prototype[key] = methods[key];\n  };\n  Object.keys(methods).forEach(keyCopier);\n  Object.getOwnPropertySymbols &&\n    Object.getOwnPropertySymbols(methods).forEach(keyCopier);\n  return ctor;\n}\n\nfunction toJS(value) {\n  return isDataStructure(value)\n    ? Seq(value)\n        .map(toJS)\n        .toJSON()\n    : value;\n}\n\nvar Set = (function (SetCollection$$1) {\n  function Set(value) {\n    return value === null || value === undefined\n      ? emptySet()\n      : isSet(value) && !isOrdered(value)\n        ? value\n        : emptySet().withMutations(function (set) {\n            var iter = SetCollection$$1(value);\n            assertNotInfinite(iter.size);\n            iter.forEach(function (v) { return set.add(v); });\n          });\n  }\n\n  if ( SetCollection$$1 ) Set.__proto__ = SetCollection$$1;\n  Set.prototype = Object.create( SetCollection$$1 && SetCollection$$1.prototype );\n  Set.prototype.constructor = Set;\n\n  Set.of = function of (/*...values*/) {\n    return this(arguments);\n  };\n\n  Set.fromKeys = function fromKeys (value) {\n    return this(KeyedCollection(value).keySeq());\n  };\n\n  Set.intersect = function intersect (sets) {\n    sets = Collection(sets).toArray();\n    return sets.length\n      ? SetPrototype.intersect.apply(Set(sets.pop()), sets)\n      : emptySet();\n  };\n\n  Set.union = function union (sets) {\n    sets = Collection(sets).toArray();\n    return sets.length\n      ? SetPrototype.union.apply(Set(sets.pop()), sets)\n      : emptySet();\n  };\n\n  Set.prototype.toString = function toString () {\n    return this.__toString(\'Set {\', \'}\');\n  };\n\n  // @pragma Access\n\n  Set.prototype.has = function has (value) {\n    return this._map.has(value);\n  };\n\n  // @pragma Modification\n\n  Set.prototype.add = function add (value) {\n    return updateSet(this, this._map.set(value, value));\n  };\n\n  Set.prototype.remove = function remove (value) {\n    return updateSet(this, this._map.remove(value));\n  };\n\n  Set.prototype.clear = function clear () {\n    return updateSet(this, this._map.clear());\n  };\n\n  // @pragma Composition\n\n  Set.prototype.union = function union () {\n    var iters = [], len = arguments.length;\n    while ( len-- ) iters[ len ] = arguments[ len ];\n\n    iters = iters.filter(function (x) { return x.size !== 0; });\n    if (iters.length === 0) {\n      return this;\n    }\n    if (this.size === 0 && !this.__ownerID && iters.length === 1) {\n      return this.constructor(iters[0]);\n    }\n    return this.withMutations(function (set) {\n      for (var ii = 0; ii < iters.length; ii++) {\n        SetCollection$$1(iters[ii]).forEach(function (value) { return set.add(value); });\n      }\n    });\n  };\n\n  Set.prototype.intersect = function intersect () {\n    var iters = [], len = arguments.length;\n    while ( len-- ) iters[ len ] = arguments[ len ];\n\n    if (iters.length === 0) {\n      return this;\n    }\n    iters = iters.map(function (iter) { return SetCollection$$1(iter); });\n    var toRemove = [];\n    this.forEach(function (value) {\n      if (!iters.every(function (iter) { return iter.includes(value); })) {\n        toRemove.push(value);\n      }\n    });\n    return this.withMutations(function (set) {\n      toRemove.forEach(function (value) {\n        set.remove(value);\n      });\n    });\n  };\n\n  Set.prototype.subtract = function subtract () {\n    var iters = [], len = arguments.length;\n    while ( len-- ) iters[ len ] = arguments[ len ];\n\n    if (iters.length === 0) {\n      return this;\n    }\n    iters = iters.map(function (iter) { return SetCollection$$1(iter); });\n    var toRemove = [];\n    this.forEach(function (value) {\n      if (iters.some(function (iter) { return iter.includes(value); })) {\n        toRemove.push(value);\n      }\n    });\n    return this.withMutations(function (set) {\n      toRemove.forEach(function (value) {\n        set.remove(value);\n      });\n    });\n  };\n\n  Set.prototype.sort = function sort (comparator) {\n    // Late binding\n    return OrderedSet(sortFactory(this, comparator));\n  };\n\n  Set.prototype.sortBy = function sortBy (mapper, comparator) {\n    // Late binding\n    return OrderedSet(sortFactory(this, comparator, mapper));\n  };\n\n  Set.prototype.wasAltered = function wasAltered () {\n    return this._map.wasAltered();\n  };\n\n  Set.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    return this._map.__iterate(function (k) { return fn(k, k, this$1); }, reverse);\n  };\n\n  Set.prototype.__iterator = function __iterator (type, reverse) {\n    return this._map.__iterator(type, reverse);\n  };\n\n  Set.prototype.__ensureOwner = function __ensureOwner (ownerID) {\n    if (ownerID === this.__ownerID) {\n      return this;\n    }\n    var newMap = this._map.__ensureOwner(ownerID);\n    if (!ownerID) {\n      if (this.size === 0) {\n        return this.__empty();\n      }\n      this.__ownerID = ownerID;\n      this._map = newMap;\n      return this;\n    }\n    return this.__make(newMap, ownerID);\n  };\n\n  return Set;\n}(SetCollection));\n\nfunction isSet(maybeSet) {\n  return !!(maybeSet && maybeSet[IS_SET_SENTINEL]);\n}\n\nSet.isSet = isSet;\n\nvar IS_SET_SENTINEL = \'@@__IMMUTABLE_SET__@@\';\n\nvar SetPrototype = Set.prototype;\nSetPrototype[IS_SET_SENTINEL] = true;\nSetPrototype[DELETE] = SetPrototype.remove;\nSetPrototype.merge = SetPrototype.concat = SetPrototype.union;\nSetPrototype.withMutations = withMutations;\nSetPrototype.asImmutable = asImmutable;\nSetPrototype[\'@@transducer/init\'] = SetPrototype.asMutable = asMutable;\nSetPrototype[\'@@transducer/step\'] = function(result, arr) {\n  return result.add(arr);\n};\nSetPrototype[\'@@transducer/result\'] = function(obj) {\n  return obj.asImmutable();\n};\n\nSetPrototype.__empty = emptySet;\nSetPrototype.__make = makeSet;\n\nfunction updateSet(set, newMap) {\n  if (set.__ownerID) {\n    set.size = newMap.size;\n    set._map = newMap;\n    return set;\n  }\n  return newMap === set._map\n    ? set\n    : newMap.size === 0 ? set.__empty() : set.__make(newMap);\n}\n\nfunction makeSet(map, ownerID) {\n  var set = Object.create(SetPrototype);\n  set.size = map ? map.size : 0;\n  set._map = map;\n  set.__ownerID = ownerID;\n  return set;\n}\n\nvar EMPTY_SET;\nfunction emptySet() {\n  return EMPTY_SET || (EMPTY_SET = makeSet(emptyMap()));\n}\n\n/**\n * Returns a lazy seq of nums from start (inclusive) to end\n * (exclusive), by step, where start defaults to 0, step to 1, and end to\n * infinity. When start is equal to end, returns empty list.\n */\nvar Range = (function (IndexedSeq$$1) {\n  function Range(start, end, step) {\n    if (!(this instanceof Range)) {\n      return new Range(start, end, step);\n    }\n    invariant(step !== 0, \'Cannot step a Range by 0\');\n    start = start || 0;\n    if (end === undefined) {\n      end = Infinity;\n    }\n    step = step === undefined ? 1 : Math.abs(step);\n    if (end < start) {\n      step = -step;\n    }\n    this._start = start;\n    this._end = end;\n    this._step = step;\n    this.size = Math.max(0, Math.ceil((end - start) / step - 1) + 1);\n    if (this.size === 0) {\n      if (EMPTY_RANGE) {\n        return EMPTY_RANGE;\n      }\n      EMPTY_RANGE = this;\n    }\n  }\n\n  if ( IndexedSeq$$1 ) Range.__proto__ = IndexedSeq$$1;\n  Range.prototype = Object.create( IndexedSeq$$1 && IndexedSeq$$1.prototype );\n  Range.prototype.constructor = Range;\n\n  Range.prototype.toString = function toString () {\n    if (this.size === 0) {\n      return \'Range []\';\n    }\n    return (\n      \'Range [ \' +\n      this._start +\n      \'...\' +\n      this._end +\n      (this._step !== 1 ? \' by \' + this._step : \'\') +\n      \' ]\'\n    );\n  };\n\n  Range.prototype.get = function get (index, notSetValue) {\n    return this.has(index)\n      ? this._start + wrapIndex(this, index) * this._step\n      : notSetValue;\n  };\n\n  Range.prototype.includes = function includes (searchValue) {\n    var possibleIndex = (searchValue - this._start) / this._step;\n    return (\n      possibleIndex >= 0 &&\n      possibleIndex < this.size &&\n      possibleIndex === Math.floor(possibleIndex)\n    );\n  };\n\n  Range.prototype.slice = function slice (begin, end) {\n    if (wholeSlice(begin, end, this.size)) {\n      return this;\n    }\n    begin = resolveBegin(begin, this.size);\n    end = resolveEnd(end, this.size);\n    if (end <= begin) {\n      return new Range(0, 0);\n    }\n    return new Range(\n      this.get(begin, this._end),\n      this.get(end, this._end),\n      this._step\n    );\n  };\n\n  Range.prototype.indexOf = function indexOf (searchValue) {\n    var offsetValue = searchValue - this._start;\n    if (offsetValue % this._step === 0) {\n      var index = offsetValue / this._step;\n      if (index >= 0 && index < this.size) {\n        return index;\n      }\n    }\n    return -1;\n  };\n\n  Range.prototype.lastIndexOf = function lastIndexOf (searchValue) {\n    return this.indexOf(searchValue);\n  };\n\n  Range.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    var size = this.size;\n    var step = this._step;\n    var value = reverse ? this._start + (size - 1) * step : this._start;\n    var i = 0;\n    while (i !== size) {\n      if (fn(value, reverse ? size - ++i : i++, this$1) === false) {\n        break;\n      }\n      value += reverse ? -step : step;\n    }\n    return i;\n  };\n\n  Range.prototype.__iterator = function __iterator (type, reverse) {\n    var size = this.size;\n    var step = this._step;\n    var value = reverse ? this._start + (size - 1) * step : this._start;\n    var i = 0;\n    return new Iterator(function () {\n      if (i === size) {\n        return iteratorDone();\n      }\n      var v = value;\n      value += reverse ? -step : step;\n      return iteratorValue(type, reverse ? size - ++i : i++, v);\n    });\n  };\n\n  Range.prototype.equals = function equals (other) {\n    return other instanceof Range\n      ? this._start === other._start &&\n          this._end === other._end &&\n          this._step === other._step\n      : deepEqual(this, other);\n  };\n\n  return Range;\n}(IndexedSeq));\n\nvar EMPTY_RANGE;\n\nfunction getIn$1(collection, searchKeyPath, notSetValue) {\n  var keyPath = coerceKeyPath(searchKeyPath);\n  var i = 0;\n  while (i !== keyPath.length) {\n    collection = get(collection, keyPath[i++], NOT_SET);\n    if (collection === NOT_SET) {\n      return notSetValue;\n    }\n  }\n  return collection;\n}\n\nfunction getIn$$1(searchKeyPath, notSetValue) {\n  return getIn$1(this, searchKeyPath, notSetValue);\n}\n\nfunction hasIn$1(collection, keyPath) {\n  return getIn$1(collection, keyPath, NOT_SET) !== NOT_SET;\n}\n\nfunction hasIn$$1(searchKeyPath) {\n  return hasIn$1(this, searchKeyPath);\n}\n\nfunction toObject() {\n  assertNotInfinite(this.size);\n  var object = {};\n  this.__iterate(function (v, k) {\n    object[k] = v;\n  });\n  return object;\n}\n\n// Note: all of these methods are deprecated.\nCollection.isIterable = isCollection;\nCollection.isKeyed = isKeyed;\nCollection.isIndexed = isIndexed;\nCollection.isAssociative = isAssociative;\nCollection.isOrdered = isOrdered;\n\nCollection.Iterator = Iterator;\n\nmixin(Collection, {\n  // ### Conversion to other types\n\n  toArray: function toArray() {\n    assertNotInfinite(this.size);\n    var array = new Array(this.size || 0);\n    var useTuples = isKeyed(this);\n    var i = 0;\n    this.__iterate(function (v, k) {\n      // Keyed collections produce an array of tuples.\n      array[i++] = useTuples ? [k, v] : v;\n    });\n    return array;\n  },\n\n  toIndexedSeq: function toIndexedSeq() {\n    return new ToIndexedSequence(this);\n  },\n\n  toJS: function toJS$1() {\n    return toJS(this);\n  },\n\n  toKeyedSeq: function toKeyedSeq() {\n    return new ToKeyedSequence(this, true);\n  },\n\n  toMap: function toMap() {\n    // Use Late Binding here to solve the circular dependency.\n    return Map(this.toKeyedSeq());\n  },\n\n  toObject: toObject,\n\n  toOrderedMap: function toOrderedMap() {\n    // Use Late Binding here to solve the circular dependency.\n    return OrderedMap(this.toKeyedSeq());\n  },\n\n  toOrderedSet: function toOrderedSet() {\n    // Use Late Binding here to solve the circular dependency.\n    return OrderedSet(isKeyed(this) ? this.valueSeq() : this);\n  },\n\n  toSet: function toSet() {\n    // Use Late Binding here to solve the circular dependency.\n    return Set(isKeyed(this) ? this.valueSeq() : this);\n  },\n\n  toSetSeq: function toSetSeq() {\n    return new ToSetSequence(this);\n  },\n\n  toSeq: function toSeq() {\n    return isIndexed(this)\n      ? this.toIndexedSeq()\n      : isKeyed(this) ? this.toKeyedSeq() : this.toSetSeq();\n  },\n\n  toStack: function toStack() {\n    // Use Late Binding here to solve the circular dependency.\n    return Stack(isKeyed(this) ? this.valueSeq() : this);\n  },\n\n  toList: function toList() {\n    // Use Late Binding here to solve the circular dependency.\n    return List(isKeyed(this) ? this.valueSeq() : this);\n  },\n\n  // ### Common JavaScript methods and properties\n\n  toString: function toString() {\n    return \'[Collection]\';\n  },\n\n  __toString: function __toString(head, tail) {\n    if (this.size === 0) {\n      return head + tail;\n    }\n    return (\n      head +\n      \' \' +\n      this.toSeq()\n        .map(this.__toStringMapper)\n        .join(\', \') +\n      \' \' +\n      tail\n    );\n  },\n\n  // ### ES6 Collection methods (ES6 Array and Map)\n\n  concat: function concat() {\n    var values = [], len = arguments.length;\n    while ( len-- ) values[ len ] = arguments[ len ];\n\n    return reify(this, concatFactory(this, values));\n  },\n\n  includes: function includes(searchValue) {\n    return this.some(function (value) { return is(value, searchValue); });\n  },\n\n  entries: function entries() {\n    return this.__iterator(ITERATE_ENTRIES);\n  },\n\n  every: function every(predicate, context) {\n    assertNotInfinite(this.size);\n    var returnValue = true;\n    this.__iterate(function (v, k, c) {\n      if (!predicate.call(context, v, k, c)) {\n        returnValue = false;\n        return false;\n      }\n    });\n    return returnValue;\n  },\n\n  filter: function filter(predicate, context) {\n    return reify(this, filterFactory(this, predicate, context, true));\n  },\n\n  find: function find(predicate, context, notSetValue) {\n    var entry = this.findEntry(predicate, context);\n    return entry ? entry[1] : notSetValue;\n  },\n\n  forEach: function forEach(sideEffect, context) {\n    assertNotInfinite(this.size);\n    return this.__iterate(context ? sideEffect.bind(context) : sideEffect);\n  },\n\n  join: function join(separator) {\n    assertNotInfinite(this.size);\n    separator = separator !== undefined ? \'\' + separator : \',\';\n    var joined = \'\';\n    var isFirst = true;\n    this.__iterate(function (v) {\n      isFirst ? (isFirst = false) : (joined += separator);\n      joined += v !== null && v !== undefined ? v.toString() : \'\';\n    });\n    return joined;\n  },\n\n  keys: function keys() {\n    return this.__iterator(ITERATE_KEYS);\n  },\n\n  map: function map(mapper, context) {\n    return reify(this, mapFactory(this, mapper, context));\n  },\n\n  reduce: function reduce$1(reducer, initialReduction, context) {\n    return reduce(\n      this,\n      reducer,\n      initialReduction,\n      context,\n      arguments.length < 2,\n      false\n    );\n  },\n\n  reduceRight: function reduceRight(reducer, initialReduction, context) {\n    return reduce(\n      this,\n      reducer,\n      initialReduction,\n      context,\n      arguments.length < 2,\n      true\n    );\n  },\n\n  reverse: function reverse() {\n    return reify(this, reverseFactory(this, true));\n  },\n\n  slice: function slice(begin, end) {\n    return reify(this, sliceFactory(this, begin, end, true));\n  },\n\n  some: function some(predicate, context) {\n    return !this.every(not(predicate), context);\n  },\n\n  sort: function sort(comparator) {\n    return reify(this, sortFactory(this, comparator));\n  },\n\n  values: function values() {\n    return this.__iterator(ITERATE_VALUES);\n  },\n\n  // ### More sequential methods\n\n  butLast: function butLast() {\n    return this.slice(0, -1);\n  },\n\n  isEmpty: function isEmpty() {\n    return this.size !== undefined ? this.size === 0 : !this.some(function () { return true; });\n  },\n\n  count: function count(predicate, context) {\n    return ensureSize(\n      predicate ? this.toSeq().filter(predicate, context) : this\n    );\n  },\n\n  countBy: function countBy(grouper, context) {\n    return countByFactory(this, grouper, context);\n  },\n\n  equals: function equals(other) {\n    return deepEqual(this, other);\n  },\n\n  entrySeq: function entrySeq() {\n    var collection = this;\n    if (collection._cache) {\n      // We cache as an entries array, so we can just return the cache!\n      return new ArraySeq(collection._cache);\n    }\n    var entriesSequence = collection\n      .toSeq()\n      .map(entryMapper)\n      .toIndexedSeq();\n    entriesSequence.fromEntrySeq = function () { return collection.toSeq(); };\n    return entriesSequence;\n  },\n\n  filterNot: function filterNot(predicate, context) {\n    return this.filter(not(predicate), context);\n  },\n\n  findEntry: function findEntry(predicate, context, notSetValue) {\n    var found = notSetValue;\n    this.__iterate(function (v, k, c) {\n      if (predicate.call(context, v, k, c)) {\n        found = [k, v];\n        return false;\n      }\n    });\n    return found;\n  },\n\n  findKey: function findKey(predicate, context) {\n    var entry = this.findEntry(predicate, context);\n    return entry && entry[0];\n  },\n\n  findLast: function findLast(predicate, context, notSetValue) {\n    return this.toKeyedSeq()\n      .reverse()\n      .find(predicate, context, notSetValue);\n  },\n\n  findLastEntry: function findLastEntry(predicate, context, notSetValue) {\n    return this.toKeyedSeq()\n      .reverse()\n      .findEntry(predicate, context, notSetValue);\n  },\n\n  findLastKey: function findLastKey(predicate, context) {\n    return this.toKeyedSeq()\n      .reverse()\n      .findKey(predicate, context);\n  },\n\n  first: function first() {\n    return this.find(returnTrue);\n  },\n\n  flatMap: function flatMap(mapper, context) {\n    return reify(this, flatMapFactory(this, mapper, context));\n  },\n\n  flatten: function flatten(depth) {\n    return reify(this, flattenFactory(this, depth, true));\n  },\n\n  fromEntrySeq: function fromEntrySeq() {\n    return new FromEntriesSequence(this);\n  },\n\n  get: function get(searchKey, notSetValue) {\n    return this.find(function (_, key) { return is(key, searchKey); }, undefined, notSetValue);\n  },\n\n  getIn: getIn$$1,\n\n  groupBy: function groupBy(grouper, context) {\n    return groupByFactory(this, grouper, context);\n  },\n\n  has: function has(searchKey) {\n    return this.get(searchKey, NOT_SET) !== NOT_SET;\n  },\n\n  hasIn: hasIn$$1,\n\n  isSubset: function isSubset(iter) {\n    iter = typeof iter.includes === \'function\' ? iter : Collection(iter);\n    return this.every(function (value) { return iter.includes(value); });\n  },\n\n  isSuperset: function isSuperset(iter) {\n    iter = typeof iter.isSubset === \'function\' ? iter : Collection(iter);\n    return iter.isSubset(this);\n  },\n\n  keyOf: function keyOf(searchValue) {\n    return this.findKey(function (value) { return is(value, searchValue); });\n  },\n\n  keySeq: function keySeq() {\n    return this.toSeq()\n      .map(keyMapper)\n      .toIndexedSeq();\n  },\n\n  last: function last() {\n    return this.toSeq()\n      .reverse()\n      .first();\n  },\n\n  lastKeyOf: function lastKeyOf(searchValue) {\n    return this.toKeyedSeq()\n      .reverse()\n      .keyOf(searchValue);\n  },\n\n  max: function max(comparator) {\n    return maxFactory(this, comparator);\n  },\n\n  maxBy: function maxBy(mapper, comparator) {\n    return maxFactory(this, comparator, mapper);\n  },\n\n  min: function min(comparator) {\n    return maxFactory(\n      this,\n      comparator ? neg(comparator) : defaultNegComparator\n    );\n  },\n\n  minBy: function minBy(mapper, comparator) {\n    return maxFactory(\n      this,\n      comparator ? neg(comparator) : defaultNegComparator,\n      mapper\n    );\n  },\n\n  rest: function rest() {\n    return this.slice(1);\n  },\n\n  skip: function skip(amount) {\n    return amount === 0 ? this : this.slice(Math.max(0, amount));\n  },\n\n  skipLast: function skipLast(amount) {\n    return amount === 0 ? this : this.slice(0, -Math.max(0, amount));\n  },\n\n  skipWhile: function skipWhile(predicate, context) {\n    return reify(this, skipWhileFactory(this, predicate, context, true));\n  },\n\n  skipUntil: function skipUntil(predicate, context) {\n    return this.skipWhile(not(predicate), context);\n  },\n\n  sortBy: function sortBy(mapper, comparator) {\n    return reify(this, sortFactory(this, comparator, mapper));\n  },\n\n  take: function take(amount) {\n    return this.slice(0, Math.max(0, amount));\n  },\n\n  takeLast: function takeLast(amount) {\n    return this.slice(-Math.max(0, amount));\n  },\n\n  takeWhile: function takeWhile(predicate, context) {\n    return reify(this, takeWhileFactory(this, predicate, context));\n  },\n\n  takeUntil: function takeUntil(predicate, context) {\n    return this.takeWhile(not(predicate), context);\n  },\n\n  update: function update(fn) {\n    return fn(this);\n  },\n\n  valueSeq: function valueSeq() {\n    return this.toIndexedSeq();\n  },\n\n  // ### Hashable Object\n\n  hashCode: function hashCode() {\n    return this.__hash || (this.__hash = hashCollection(this));\n  }\n\n  // ### Internal\n\n  // abstract __iterate(fn, reverse)\n\n  // abstract __iterator(type, reverse)\n});\n\nvar CollectionPrototype = Collection.prototype;\nCollectionPrototype[IS_ITERABLE_SENTINEL] = true;\nCollectionPrototype[ITERATOR_SYMBOL] = CollectionPrototype.values;\nCollectionPrototype.toJSON = CollectionPrototype.toArray;\nCollectionPrototype.__toStringMapper = quoteString;\nCollectionPrototype.inspect = CollectionPrototype.toSource = function() {\n  return this.toString();\n};\nCollectionPrototype.chain = CollectionPrototype.flatMap;\nCollectionPrototype.contains = CollectionPrototype.includes;\n\nmixin(KeyedCollection, {\n  // ### More sequential methods\n\n  flip: function flip() {\n    return reify(this, flipFactory(this));\n  },\n\n  mapEntries: function mapEntries(mapper, context) {\n    var this$1 = this;\n\n    var iterations = 0;\n    return reify(\n      this,\n      this.toSeq()\n        .map(function (v, k) { return mapper.call(context, [k, v], iterations++, this$1); })\n        .fromEntrySeq()\n    );\n  },\n\n  mapKeys: function mapKeys(mapper, context) {\n    var this$1 = this;\n\n    return reify(\n      this,\n      this.toSeq()\n        .flip()\n        .map(function (k, v) { return mapper.call(context, k, v, this$1); })\n        .flip()\n    );\n  }\n});\n\nvar KeyedCollectionPrototype = KeyedCollection.prototype;\nKeyedCollectionPrototype[IS_KEYED_SENTINEL] = true;\nKeyedCollectionPrototype[ITERATOR_SYMBOL] = CollectionPrototype.entries;\nKeyedCollectionPrototype.toJSON = toObject;\nKeyedCollectionPrototype.__toStringMapper = function (v, k) { return quoteString(k) + \': \' + quoteString(v); };\n\nmixin(IndexedCollection, {\n  // ### Conversion to other types\n\n  toKeyedSeq: function toKeyedSeq() {\n    return new ToKeyedSequence(this, false);\n  },\n\n  // ### ES6 Collection methods (ES6 Array and Map)\n\n  filter: function filter(predicate, context) {\n    return reify(this, filterFactory(this, predicate, context, false));\n  },\n\n  findIndex: function findIndex(predicate, context) {\n    var entry = this.findEntry(predicate, context);\n    return entry ? entry[0] : -1;\n  },\n\n  indexOf: function indexOf(searchValue) {\n    var key = this.keyOf(searchValue);\n    return key === undefined ? -1 : key;\n  },\n\n  lastIndexOf: function lastIndexOf(searchValue) {\n    var key = this.lastKeyOf(searchValue);\n    return key === undefined ? -1 : key;\n  },\n\n  reverse: function reverse() {\n    return reify(this, reverseFactory(this, false));\n  },\n\n  slice: function slice(begin, end) {\n    return reify(this, sliceFactory(this, begin, end, false));\n  },\n\n  splice: function splice(index, removeNum /*, ...values*/) {\n    var numArgs = arguments.length;\n    removeNum = Math.max(removeNum || 0, 0);\n    if (numArgs === 0 || (numArgs === 2 && !removeNum)) {\n      return this;\n    }\n    // If index is negative, it should resolve relative to the size of the\n    // collection. However size may be expensive to compute if not cached, so\n    // only call count() if the number is in fact negative.\n    index = resolveBegin(index, index < 0 ? this.count() : this.size);\n    var spliced = this.slice(0, index);\n    return reify(\n      this,\n      numArgs === 1\n        ? spliced\n        : spliced.concat(arrCopy(arguments, 2), this.slice(index + removeNum))\n    );\n  },\n\n  // ### More collection methods\n\n  findLastIndex: function findLastIndex(predicate, context) {\n    var entry = this.findLastEntry(predicate, context);\n    return entry ? entry[0] : -1;\n  },\n\n  first: function first() {\n    return this.get(0);\n  },\n\n  flatten: function flatten(depth) {\n    return reify(this, flattenFactory(this, depth, false));\n  },\n\n  get: function get(index, notSetValue) {\n    index = wrapIndex(this, index);\n    return index < 0 ||\n      (this.size === Infinity || (this.size !== undefined && index > this.size))\n      ? notSetValue\n      : this.find(function (_, key) { return key === index; }, undefined, notSetValue);\n  },\n\n  has: function has(index) {\n    index = wrapIndex(this, index);\n    return (\n      index >= 0 &&\n      (this.size !== undefined\n        ? this.size === Infinity || index < this.size\n        : this.indexOf(index) !== -1)\n    );\n  },\n\n  interpose: function interpose(separator) {\n    return reify(this, interposeFactory(this, separator));\n  },\n\n  interleave: function interleave(/*...collections*/) {\n    var collections = [this].concat(arrCopy(arguments));\n    var zipped = zipWithFactory(this.toSeq(), IndexedSeq.of, collections);\n    var interleaved = zipped.flatten(true);\n    if (zipped.size) {\n      interleaved.size = zipped.size * collections.length;\n    }\n    return reify(this, interleaved);\n  },\n\n  keySeq: function keySeq() {\n    return Range(0, this.size);\n  },\n\n  last: function last() {\n    return this.get(-1);\n  },\n\n  skipWhile: function skipWhile(predicate, context) {\n    return reify(this, skipWhileFactory(this, predicate, context, false));\n  },\n\n  zip: function zip(/*, ...collections */) {\n    var collections = [this].concat(arrCopy(arguments));\n    return reify(this, zipWithFactory(this, defaultZipper, collections));\n  },\n\n  zipAll: function zipAll(/*, ...collections */) {\n    var collections = [this].concat(arrCopy(arguments));\n    return reify(this, zipWithFactory(this, defaultZipper, collections, true));\n  },\n\n  zipWith: function zipWith(zipper /*, ...collections */) {\n    var collections = arrCopy(arguments);\n    collections[0] = this;\n    return reify(this, zipWithFactory(this, zipper, collections));\n  }\n});\n\nvar IndexedCollectionPrototype = IndexedCollection.prototype;\nIndexedCollectionPrototype[IS_INDEXED_SENTINEL] = true;\nIndexedCollectionPrototype[IS_ORDERED_SENTINEL] = true;\n\nmixin(SetCollection, {\n  // ### ES6 Collection methods (ES6 Array and Map)\n\n  get: function get(value, notSetValue) {\n    return this.has(value) ? value : notSetValue;\n  },\n\n  includes: function includes(value) {\n    return this.has(value);\n  },\n\n  // ### More sequential methods\n\n  keySeq: function keySeq() {\n    return this.valueSeq();\n  }\n});\n\nSetCollection.prototype.has = CollectionPrototype.includes;\nSetCollection.prototype.contains = SetCollection.prototype.includes;\n\n// Mixin subclasses\n\nmixin(KeyedSeq, KeyedCollection.prototype);\nmixin(IndexedSeq, IndexedCollection.prototype);\nmixin(SetSeq, SetCollection.prototype);\n\n// #pragma Helper functions\n\nfunction reduce(collection, reducer, reduction, context, useFirst, reverse) {\n  assertNotInfinite(collection.size);\n  collection.__iterate(function (v, k, c) {\n    if (useFirst) {\n      useFirst = false;\n      reduction = v;\n    } else {\n      reduction = reducer.call(context, reduction, v, k, c);\n    }\n  }, reverse);\n  return reduction;\n}\n\nfunction keyMapper(v, k) {\n  return k;\n}\n\nfunction entryMapper(v, k) {\n  return [k, v];\n}\n\nfunction not(predicate) {\n  return function() {\n    return !predicate.apply(this, arguments);\n  };\n}\n\nfunction neg(predicate) {\n  return function() {\n    return -predicate.apply(this, arguments);\n  };\n}\n\nfunction defaultZipper() {\n  return arrCopy(arguments);\n}\n\nfunction defaultNegComparator(a, b) {\n  return a < b ? 1 : a > b ? -1 : 0;\n}\n\nfunction hashCollection(collection) {\n  if (collection.size === Infinity) {\n    return 0;\n  }\n  var ordered = isOrdered(collection);\n  var keyed = isKeyed(collection);\n  var h = ordered ? 1 : 0;\n  var size = collection.__iterate(\n    keyed\n      ? ordered\n        ? function (v, k) {\n            h = (31 * h + hashMerge(hash(v), hash(k))) | 0;\n          }\n        : function (v, k) {\n            h = (h + hashMerge(hash(v), hash(k))) | 0;\n          }\n      : ordered\n        ? function (v) {\n            h = (31 * h + hash(v)) | 0;\n          }\n        : function (v) {\n            h = (h + hash(v)) | 0;\n          }\n  );\n  return murmurHashOfSize(size, h);\n}\n\nfunction murmurHashOfSize(size, h) {\n  h = imul(h, 0xcc9e2d51);\n  h = imul((h << 15) | (h >>> -15), 0x1b873593);\n  h = imul((h << 13) | (h >>> -13), 5);\n  h = ((h + 0xe6546b64) | 0) ^ size;\n  h = imul(h ^ (h >>> 16), 0x85ebca6b);\n  h = imul(h ^ (h >>> 13), 0xc2b2ae35);\n  h = smi(h ^ (h >>> 16));\n  return h;\n}\n\nfunction hashMerge(a, b) {\n  return (a ^ (b + 0x9e3779b9 + (a << 6) + (a >> 2))) | 0; // int\n}\n\nvar OrderedSet = (function (Set$$1) {\n  function OrderedSet(value) {\n    return value === null || value === undefined\n      ? emptyOrderedSet()\n      : isOrderedSet(value)\n        ? value\n        : emptyOrderedSet().withMutations(function (set) {\n            var iter = SetCollection(value);\n            assertNotInfinite(iter.size);\n            iter.forEach(function (v) { return set.add(v); });\n          });\n  }\n\n  if ( Set$$1 ) OrderedSet.__proto__ = Set$$1;\n  OrderedSet.prototype = Object.create( Set$$1 && Set$$1.prototype );\n  OrderedSet.prototype.constructor = OrderedSet;\n\n  OrderedSet.of = function of (/*...values*/) {\n    return this(arguments);\n  };\n\n  OrderedSet.fromKeys = function fromKeys (value) {\n    return this(KeyedCollection(value).keySeq());\n  };\n\n  OrderedSet.prototype.toString = function toString () {\n    return this.__toString(\'OrderedSet {\', \'}\');\n  };\n\n  return OrderedSet;\n}(Set));\n\nfunction isOrderedSet(maybeOrderedSet) {\n  return isSet(maybeOrderedSet) && isOrdered(maybeOrderedSet);\n}\n\nOrderedSet.isOrderedSet = isOrderedSet;\n\nvar OrderedSetPrototype = OrderedSet.prototype;\nOrderedSetPrototype[IS_ORDERED_SENTINEL] = true;\nOrderedSetPrototype.zip = IndexedCollectionPrototype.zip;\nOrderedSetPrototype.zipWith = IndexedCollectionPrototype.zipWith;\n\nOrderedSetPrototype.__empty = emptyOrderedSet;\nOrderedSetPrototype.__make = makeOrderedSet;\n\nfunction makeOrderedSet(map, ownerID) {\n  var set = Object.create(OrderedSetPrototype);\n  set.size = map ? map.size : 0;\n  set._map = map;\n  set.__ownerID = ownerID;\n  return set;\n}\n\nvar EMPTY_ORDERED_SET;\nfunction emptyOrderedSet() {\n  return (\n    EMPTY_ORDERED_SET || (EMPTY_ORDERED_SET = makeOrderedSet(emptyOrderedMap()))\n  );\n}\n\nvar Record = function Record(defaultValues, name) {\n  var hasInitialized;\n\n  var RecordType = function Record(values) {\n    var this$1 = this;\n\n    if (values instanceof RecordType) {\n      return values;\n    }\n    if (!(this instanceof RecordType)) {\n      return new RecordType(values);\n    }\n    if (!hasInitialized) {\n      hasInitialized = true;\n      var keys = Object.keys(defaultValues);\n      var indices = (RecordTypePrototype._indices = {});\n      RecordTypePrototype._name = name;\n      RecordTypePrototype._keys = keys;\n      RecordTypePrototype._defaultValues = defaultValues;\n      for (var i = 0; i < keys.length; i++) {\n        var propName = keys[i];\n        indices[propName] = i;\n        if (RecordTypePrototype[propName]) {\n          /* eslint-disable no-console */\n          typeof console === \'object\' &&\n            console.warn &&\n            console.warn(\n              \'Cannot define \' +\n                recordName(this$1) +\n                \' with property \"\' +\n                propName +\n                \'\" since that property name is part of the Record API.\'\n            );\n          /* eslint-enable no-console */\n        } else {\n          setProp(RecordTypePrototype, propName);\n        }\n      }\n    }\n    this.__ownerID = undefined;\n    this._values = List().withMutations(function (l) {\n      l.setSize(this$1._keys.length);\n      KeyedCollection(values).forEach(function (v, k) {\n        l.set(this$1._indices[k], v === this$1._defaultValues[k] ? undefined : v);\n      });\n    });\n  };\n\n  var RecordTypePrototype = (RecordType.prototype = Object.create(\n    RecordPrototype\n  ));\n  RecordTypePrototype.constructor = RecordType;\n\n  return RecordType;\n};\n\nRecord.prototype.toString = function toString () {\n    var this$1 = this;\n\n  var str = recordName(this) + \' { \';\n  var keys = this._keys;\n  var k;\n  for (var i = 0, l = keys.length; i !== l; i++) {\n    k = keys[i];\n    str += (i ? \', \' : \'\') + k + \': \' + quoteString(this$1.get(k));\n  }\n  return str + \' }\';\n};\n\nRecord.prototype.equals = function equals (other) {\n  return (\n    this === other ||\n    (other &&\n      this._keys === other._keys &&\n      recordSeq(this).equals(recordSeq(other)))\n  );\n};\n\nRecord.prototype.hashCode = function hashCode () {\n  return recordSeq(this).hashCode();\n};\n\n// @pragma Access\n\nRecord.prototype.has = function has (k) {\n  return this._indices.hasOwnProperty(k);\n};\n\nRecord.prototype.get = function get (k, notSetValue) {\n  if (!this.has(k)) {\n    return notSetValue;\n  }\n  var index = this._indices[k];\n  var value = this._values.get(index);\n  return value === undefined ? this._defaultValues[k] : value;\n};\n\n// @pragma Modification\n\nRecord.prototype.set = function set (k, v) {\n  if (this.has(k)) {\n    var newValues = this._values.set(\n      this._indices[k],\n      v === this._defaultValues[k] ? undefined : v\n    );\n    if (newValues !== this._values && !this.__ownerID) {\n      return makeRecord(this, newValues);\n    }\n  }\n  return this;\n};\n\nRecord.prototype.remove = function remove (k) {\n  return this.set(k);\n};\n\nRecord.prototype.clear = function clear () {\n  var newValues = this._values.clear().setSize(this._keys.length);\n  return this.__ownerID ? this : makeRecord(this, newValues);\n};\n\nRecord.prototype.wasAltered = function wasAltered () {\n  return this._values.wasAltered();\n};\n\nRecord.prototype.toSeq = function toSeq () {\n  return recordSeq(this);\n};\n\nRecord.prototype.toJS = function toJS$1 () {\n  return toJS(this);\n};\n\nRecord.prototype.entries = function entries () {\n  return this.__iterator(ITERATE_ENTRIES);\n};\n\nRecord.prototype.__iterator = function __iterator (type, reverse) {\n  return recordSeq(this).__iterator(type, reverse);\n};\n\nRecord.prototype.__iterate = function __iterate (fn, reverse) {\n  return recordSeq(this).__iterate(fn, reverse);\n};\n\nRecord.prototype.__ensureOwner = function __ensureOwner (ownerID) {\n  if (ownerID === this.__ownerID) {\n    return this;\n  }\n  var newValues = this._values.__ensureOwner(ownerID);\n  if (!ownerID) {\n    this.__ownerID = ownerID;\n    this._values = newValues;\n    return this;\n  }\n  return makeRecord(this, newValues, ownerID);\n};\n\nRecord.isRecord = isRecord;\nRecord.getDescriptiveName = recordName;\nvar RecordPrototype = Record.prototype;\nRecordPrototype[IS_RECORD_SENTINEL] = true;\nRecordPrototype[DELETE] = RecordPrototype.remove;\nRecordPrototype.deleteIn = RecordPrototype.removeIn = deleteIn;\nRecordPrototype.getIn = getIn$$1;\nRecordPrototype.hasIn = CollectionPrototype.hasIn;\nRecordPrototype.merge = merge;\nRecordPrototype.mergeWith = mergeWith;\nRecordPrototype.mergeIn = mergeIn;\nRecordPrototype.mergeDeep = mergeDeep;\nRecordPrototype.mergeDeepWith = mergeDeepWith;\nRecordPrototype.mergeDeepIn = mergeDeepIn;\nRecordPrototype.setIn = setIn$$1;\nRecordPrototype.update = update$$1;\nRecordPrototype.updateIn = updateIn$1;\nRecordPrototype.withMutations = withMutations;\nRecordPrototype.asMutable = asMutable;\nRecordPrototype.asImmutable = asImmutable;\nRecordPrototype[ITERATOR_SYMBOL] = RecordPrototype.entries;\nRecordPrototype.toJSON = RecordPrototype.toObject =\n  CollectionPrototype.toObject;\nRecordPrototype.inspect = RecordPrototype.toSource = function() {\n  return this.toString();\n};\n\nfunction makeRecord(likeRecord, values, ownerID) {\n  var record = Object.create(Object.getPrototypeOf(likeRecord));\n  record._values = values;\n  record.__ownerID = ownerID;\n  return record;\n}\n\nfunction recordName(record) {\n  return record._name || record.constructor.name || \'Record\';\n}\n\nfunction recordSeq(record) {\n  return keyedSeqFromValue(record._keys.map(function (k) { return [k, record.get(k)]; }));\n}\n\nfunction setProp(prototype, name) {\n  try {\n    Object.defineProperty(prototype, name, {\n      get: function() {\n        return this.get(name);\n      },\n      set: function(value) {\n        invariant(this.__ownerID, \'Cannot set on an immutable record.\');\n        this.set(name, value);\n      }\n    });\n  } catch (error) {\n    // Object.defineProperty failed. Probably IE8.\n  }\n}\n\n/**\n * Returns a lazy Seq of `value` repeated `times` times. When `times` is\n * undefined, returns an infinite sequence of `value`.\n */\nvar Repeat = (function (IndexedSeq$$1) {\n  function Repeat(value, times) {\n    if (!(this instanceof Repeat)) {\n      return new Repeat(value, times);\n    }\n    this._value = value;\n    this.size = times === undefined ? Infinity : Math.max(0, times);\n    if (this.size === 0) {\n      if (EMPTY_REPEAT) {\n        return EMPTY_REPEAT;\n      }\n      EMPTY_REPEAT = this;\n    }\n  }\n\n  if ( IndexedSeq$$1 ) Repeat.__proto__ = IndexedSeq$$1;\n  Repeat.prototype = Object.create( IndexedSeq$$1 && IndexedSeq$$1.prototype );\n  Repeat.prototype.constructor = Repeat;\n\n  Repeat.prototype.toString = function toString () {\n    if (this.size === 0) {\n      return \'Repeat []\';\n    }\n    return \'Repeat [ \' + this._value + \' \' + this.size + \' times ]\';\n  };\n\n  Repeat.prototype.get = function get (index, notSetValue) {\n    return this.has(index) ? this._value : notSetValue;\n  };\n\n  Repeat.prototype.includes = function includes (searchValue) {\n    return is(this._value, searchValue);\n  };\n\n  Repeat.prototype.slice = function slice (begin, end) {\n    var size = this.size;\n    return wholeSlice(begin, end, size)\n      ? this\n      : new Repeat(\n          this._value,\n          resolveEnd(end, size) - resolveBegin(begin, size)\n        );\n  };\n\n  Repeat.prototype.reverse = function reverse () {\n    return this;\n  };\n\n  Repeat.prototype.indexOf = function indexOf (searchValue) {\n    if (is(this._value, searchValue)) {\n      return 0;\n    }\n    return -1;\n  };\n\n  Repeat.prototype.lastIndexOf = function lastIndexOf (searchValue) {\n    if (is(this._value, searchValue)) {\n      return this.size;\n    }\n    return -1;\n  };\n\n  Repeat.prototype.__iterate = function __iterate (fn, reverse) {\n    var this$1 = this;\n\n    var size = this.size;\n    var i = 0;\n    while (i !== size) {\n      if (fn(this$1._value, reverse ? size - ++i : i++, this$1) === false) {\n        break;\n      }\n    }\n    return i;\n  };\n\n  Repeat.prototype.__iterator = function __iterator (type, reverse) {\n    var this$1 = this;\n\n    var size = this.size;\n    var i = 0;\n    return new Iterator(\n      function () { return i === size\n          ? iteratorDone()\n          : iteratorValue(type, reverse ? size - ++i : i++, this$1._value); }\n    );\n  };\n\n  Repeat.prototype.equals = function equals (other) {\n    return other instanceof Repeat\n      ? is(this._value, other._value)\n      : deepEqual(other);\n  };\n\n  return Repeat;\n}(IndexedSeq));\n\nvar EMPTY_REPEAT;\n\nfunction fromJS(value, converter) {\n  return fromJSWith(\n    [],\n    converter || defaultConverter,\n    value,\n    \'\',\n    converter && converter.length > 2 ? [] : undefined,\n    { \'\': value }\n  );\n}\n\nfunction fromJSWith(stack, converter, value, key, keyPath, parentValue) {\n  var toSeq = Array.isArray(value)\n    ? IndexedSeq\n    : isPlainObj(value) ? KeyedSeq : null;\n  if (toSeq) {\n    if (~stack.indexOf(value)) {\n      throw new TypeError(\'Cannot convert circular structure to Immutable\');\n    }\n    stack.push(value);\n    keyPath && key !== \'\' && keyPath.push(key);\n    var converted = converter.call(\n      parentValue,\n      key,\n      toSeq(value).map(function (v, k) { return fromJSWith(stack, converter, v, k, keyPath, value); }\n      ),\n      keyPath && keyPath.slice()\n    );\n    stack.pop();\n    keyPath && keyPath.pop();\n    return converted;\n  }\n  return value;\n}\n\nfunction defaultConverter(k, v) {\n  return isKeyed(v) ? v.toMap() : v.toList();\n}\n\nvar version = \"4.0.0-rc.9\";\n\n// Functional read/write API\nvar Immutable = {\n  version: version,\n\n  Collection: Collection,\n  // Note: Iterable is deprecated\n  Iterable: Collection,\n\n  Seq: Seq,\n  Map: Map,\n  OrderedMap: OrderedMap,\n  List: List,\n  Stack: Stack,\n  Set: Set,\n  OrderedSet: OrderedSet,\n\n  Record: Record,\n  Range: Range,\n  Repeat: Repeat,\n\n  is: is,\n  fromJS: fromJS,\n  hash: hash,\n\n  isImmutable: isImmutable,\n  isCollection: isCollection,\n  isKeyed: isKeyed,\n  isIndexed: isIndexed,\n  isAssociative: isAssociative,\n  isOrdered: isOrdered,\n  isValueObject: isValueObject,\n\n  get: get,\n  getIn: getIn$1,\n  has: has,\n  hasIn: hasIn$1,\n  merge: merge$1,\n  mergeDeep: mergeDeep$1,\n  mergeWith: mergeWith$1,\n  mergeDeepWith: mergeDeepWith$1,\n  remove: remove,\n  removeIn: removeIn,\n  set: set,\n  setIn: setIn$1,\n  update: update$1,\n  updateIn: updateIn\n};\n\n// Note: Iterable is deprecated\nvar Iterable = Collection;\n\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (Immutable);\n\n\n/***/ }),\n\n/***/ \"./node_modules/minimatch-capture/index.js\":\n/*!*************************************************!*\\\n  !*** ./node_modules/minimatch-capture/index.js ***!\n  \\*************************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nconst minimatch = __webpack_require__(/*! minimatch */ \"./node_modules/minimatch/minimatch.js\")\nconst splitRe = /([!?+*@]\\([^)]+\\)|\\*{1,2}|\\?)/\nconst endWithNegRe = /!\\([^)]+\\)$/\n\nclass Capture {\n	constructor(pattern, options) {\n		this.pattern = pattern\n		this.options = options || {}\n	}\n\n	makeRe() {\n		if (!this.regexp && this.regexp !== false) {\n			this.regexp = makeRe(this.pattern, this.options)\n		}\n		return this.regexp\n	}\n\n	capture(path) {\n		let result = false\n		let match = path.match(this.makeRe())\n		if (match) {\n			match = match.filter(isDef)\n			result = match[1] || match[0]\n			if (!this.options.notrim && result !== \"/\") {\n				result = result.replace(/^\\/|\\/$/g, \"\")\n			}\n		}\n		return result\n	}\n}\n\nfunction split(pattern) {\n	const parts = pattern.split(splitRe)\n	if (parts.length === 1) {\n		return [\"\", parts[0], \"\"]\n	}\n	return [parts[0], parts.slice(1, -1).join(\"\"), parts[parts.length - 1]]\n}\n\nconst nonegate = {nonegate: true}\n\nfunction _makeRe(pattern, options) {\n	const flags = options && options.nocase ? \"i\" : \"\"\n	const subpatterns = minimatch.braceExpand(pattern, options)\n	const expressions = subpatterns.map(subpattern => {\n		const parts = split(subpattern)\n		const left = parts[0]\n		const middle = parts[1]\n		const right = parts[2]\n		const opts = left ? Object.assign({}, options, nonegate) : options\n		const re = minimatch.makeRe(middle, opts)\n		let capture = re.source.slice(4, -2)\n		if (endWithNegRe.test(middle)) {\n			capture = capture.replace(/\\)\\$\\)/g,\n				\"(?\" + (right.startsWith(\"/\") ? \"=\" : \"!\") + \"/)))\"\n			)\n		}\n		return regExpEscape(left) + \"(\" + capture + \")\" + regExpEscape(right)\n	})\n	return new RegExp(\"^(?:\" + expressions.join(\"|\") + \")$\", flags)\n}\n\nfunction makeRe(pattern, options) {\n	try {\n		return _makeRe(pattern, options)\n	} catch (e) {\n		return false\n	}\n}\n\nfunction match(list, pattern, options) {\n	const cap = new Capture(pattern, options)\n	const result = []\n	for (let i = 0; i < list.length; i++) {\n		const path = list[i]\n		const match = cap.capture(path)\n		if (match) {\n			result.push([path, match])\n		}\n	}\n	return result\n}\n\nmodule.exports = function(path, pattern, options) {\n	return new Capture(pattern, options).capture(path)\n}\n\nObject.assign(module.exports, {\n	Capture,\n	split,\n	makeRe,\n	match,\n})\n\nfunction isDef(v) {\n	return v !== undefined\n}\n\n// private function copied from https://github.com/isaacs/minimatch\nfunction regExpEscape(s) {\n	return s.replace(/[-[\\]{}()*+?.,\\\\^$|#\\s]/g, \"\\\\$&\")\n}\n\n\n/***/ }),\n\n/***/ \"./node_modules/minimatch/minimatch.js\":\n/*!*********************************************!*\\\n  !*** ./node_modules/minimatch/minimatch.js ***!\n  \\*********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\nmodule.exports = minimatch\nminimatch.Minimatch = Minimatch\n\nvar path = { sep: \'/\' }\ntry {\n  path = __webpack_require__(/*! path */ \"./node_modules/path-browserify/index.js\")\n} catch (er) {}\n\nvar GLOBSTAR = minimatch.GLOBSTAR = Minimatch.GLOBSTAR = {}\nvar expand = __webpack_require__(/*! brace-expansion */ \"./node_modules/brace-expansion/index.js\")\n\nvar plTypes = {\n  \'!\': { open: \'(?:(?!(?:\', close: \'))[^/]*?)\'},\n  \'?\': { open: \'(?:\', close: \')?\' },\n  \'+\': { open: \'(?:\', close: \')+\' },\n  \'*\': { open: \'(?:\', close: \')*\' },\n  \'@\': { open: \'(?:\', close: \')\' }\n}\n\n// any single thing other than /\n// don\'t need to escape / when using new RegExp()\nvar qmark = \'[^/]\'\n\n// * => any number of characters\nvar star = qmark + \'*?\'\n\n// ** when dots are allowed.  Anything goes, except .. and .\n// not (^ or / followed by one or two dots followed by $ or /),\n// followed by anything, any number of times.\nvar twoStarDot = \'(?:(?!(?:\\\\\\/|^)(?:\\\\.{1,2})($|\\\\\\/)).)*?\'\n\n// not a ^ or / followed by a dot,\n// followed by anything, any number of times.\nvar twoStarNoDot = \'(?:(?!(?:\\\\\\/|^)\\\\.).)*?\'\n\n// characters that need to be escaped in RegExp.\nvar reSpecials = charSet(\'().*{}+?[]^$\\\\!\')\n\n// \"abc\" -> { a:true, b:true, c:true }\nfunction charSet (s) {\n  return s.split(\'\').reduce(function (set, c) {\n    set[c] = true\n    return set\n  }, {})\n}\n\n// normalizes slashes.\nvar slashSplit = /\\/+/\n\nminimatch.filter = filter\nfunction filter (pattern, options) {\n  options = options || {}\n  return function (p, i, list) {\n    return minimatch(p, pattern, options)\n  }\n}\n\nfunction ext (a, b) {\n  a = a || {}\n  b = b || {}\n  var t = {}\n  Object.keys(b).forEach(function (k) {\n    t[k] = b[k]\n  })\n  Object.keys(a).forEach(function (k) {\n    t[k] = a[k]\n  })\n  return t\n}\n\nminimatch.defaults = function (def) {\n  if (!def || !Object.keys(def).length) return minimatch\n\n  var orig = minimatch\n\n  var m = function minimatch (p, pattern, options) {\n    return orig.minimatch(p, pattern, ext(def, options))\n  }\n\n  m.Minimatch = function Minimatch (pattern, options) {\n    return new orig.Minimatch(pattern, ext(def, options))\n  }\n\n  return m\n}\n\nMinimatch.defaults = function (def) {\n  if (!def || !Object.keys(def).length) return Minimatch\n  return minimatch.defaults(def).Minimatch\n}\n\nfunction minimatch (p, pattern, options) {\n  if (typeof pattern !== \'string\') {\n    throw new TypeError(\'glob pattern string required\')\n  }\n\n  if (!options) options = {}\n\n  // shortcut: comments match nothing.\n  if (!options.nocomment && pattern.charAt(0) === \'#\') {\n    return false\n  }\n\n  // \"\" only matches \"\"\n  if (pattern.trim() === \'\') return p === \'\'\n\n  return new Minimatch(pattern, options).match(p)\n}\n\nfunction Minimatch (pattern, options) {\n  if (!(this instanceof Minimatch)) {\n    return new Minimatch(pattern, options)\n  }\n\n  if (typeof pattern !== \'string\') {\n    throw new TypeError(\'glob pattern string required\')\n  }\n\n  if (!options) options = {}\n  pattern = pattern.trim()\n\n  // windows support: need to use /, not \\\n  if (path.sep !== \'/\') {\n    pattern = pattern.split(path.sep).join(\'/\')\n  }\n\n  this.options = options\n  this.set = []\n  this.pattern = pattern\n  this.regexp = null\n  this.negate = false\n  this.comment = false\n  this.empty = false\n\n  // make the set of regexps etc.\n  this.make()\n}\n\nMinimatch.prototype.debug = function () {}\n\nMinimatch.prototype.make = make\nfunction make () {\n  // don\'t do it more than once.\n  if (this._made) return\n\n  var pattern = this.pattern\n  var options = this.options\n\n  // empty patterns and comments match nothing.\n  if (!options.nocomment && pattern.charAt(0) === \'#\') {\n    this.comment = true\n    return\n  }\n  if (!pattern) {\n    this.empty = true\n    return\n  }\n\n  // step 1: figure out negation, etc.\n  this.parseNegate()\n\n  // step 2: expand braces\n  var set = this.globSet = this.braceExpand()\n\n  if (options.debug) this.debug = console.error\n\n  this.debug(this.pattern, set)\n\n  // step 3: now we have a set, so turn each one into a series of path-portion\n  // matching patterns.\n  // These will be regexps, except in the case of \"**\", which is\n  // set to the GLOBSTAR object for globstar behavior,\n  // and will not contain any / characters\n  set = this.globParts = set.map(function (s) {\n    return s.split(slashSplit)\n  })\n\n  this.debug(this.pattern, set)\n\n  // glob --> regexps\n  set = set.map(function (s, si, set) {\n    return s.map(this.parse, this)\n  }, this)\n\n  this.debug(this.pattern, set)\n\n  // filter out everything that didn\'t compile properly.\n  set = set.filter(function (s) {\n    return s.indexOf(false) === -1\n  })\n\n  this.debug(this.pattern, set)\n\n  this.set = set\n}\n\nMinimatch.prototype.parseNegate = parseNegate\nfunction parseNegate () {\n  var pattern = this.pattern\n  var negate = false\n  var options = this.options\n  var negateOffset = 0\n\n  if (options.nonegate) return\n\n  for (var i = 0, l = pattern.length\n    ; i < l && pattern.charAt(i) === \'!\'\n    ; i++) {\n    negate = !negate\n    negateOffset++\n  }\n\n  if (negateOffset) this.pattern = pattern.substr(negateOffset)\n  this.negate = negate\n}\n\n// Brace expansion:\n// a{b,c}d -> abd acd\n// a{b,}c -> abc ac\n// a{0..3}d -> a0d a1d a2d a3d\n// a{b,c{d,e}f}g -> abg acdfg acefg\n// a{b,c}d{e,f}g -> abdeg acdeg abdeg abdfg\n//\n// Invalid sets are not expanded.\n// a{2..}b -> a{2..}b\n// a{b}c -> a{b}c\nminimatch.braceExpand = function (pattern, options) {\n  return braceExpand(pattern, options)\n}\n\nMinimatch.prototype.braceExpand = braceExpand\n\nfunction braceExpand (pattern, options) {\n  if (!options) {\n    if (this instanceof Minimatch) {\n      options = this.options\n    } else {\n      options = {}\n    }\n  }\n\n  pattern = typeof pattern === \'undefined\'\n    ? this.pattern : pattern\n\n  if (typeof pattern === \'undefined\') {\n    throw new TypeError(\'undefined pattern\')\n  }\n\n  if (options.nobrace ||\n    !pattern.match(/\\{.*\\}/)) {\n    // shortcut. no need to expand.\n    return [pattern]\n  }\n\n  return expand(pattern)\n}\n\n// parse a component of the expanded set.\n// At this point, no pattern may contain \"/\" in it\n// so we\'re going to return a 2d array, where each entry is the full\n// pattern, split on \'/\', and then turned into a regular expression.\n// A regexp is made at the end which joins each array with an\n// escaped /, and another full one which joins each regexp with |.\n//\n// Following the lead of Bash 4.1, note that \"**\" only has special meaning\n// when it is the *only* thing in a path portion.  Otherwise, any series\n// of * is equivalent to a single *.  Globstar behavior is enabled by\n// default, and can be disabled by setting options.noglobstar.\nMinimatch.prototype.parse = parse\nvar SUBPARSE = {}\nfunction parse (pattern, isSub) {\n  if (pattern.length > 1024 * 64) {\n    throw new TypeError(\'pattern is too long\')\n  }\n\n  var options = this.options\n\n  // shortcuts\n  if (!options.noglobstar && pattern === \'**\') return GLOBSTAR\n  if (pattern === \'\') return \'\'\n\n  var re = \'\'\n  var hasMagic = !!options.nocase\n  var escaping = false\n  // ? => one single character\n  var patternListStack = []\n  var negativeLists = []\n  var stateChar\n  var inClass = false\n  var reClassStart = -1\n  var classStart = -1\n  // . and .. never match anything that doesn\'t start with .,\n  // even when options.dot is set.\n  var patternStart = pattern.charAt(0) === \'.\' ? \'\' // anything\n  // not (start or / followed by . or .. followed by / or end)\n  : options.dot ? \'(?!(?:^|\\\\\\/)\\\\.{1,2}(?:$|\\\\\\/))\'\n  : \'(?!\\\\.)\'\n  var self = this\n\n  function clearStateChar () {\n    if (stateChar) {\n      // we had some state-tracking character\n      // that wasn\'t consumed by this pass.\n      switch (stateChar) {\n        case \'*\':\n          re += star\n          hasMagic = true\n        break\n        case \'?\':\n          re += qmark\n          hasMagic = true\n        break\n        default:\n          re += \'\\\\\' + stateChar\n        break\n      }\n      self.debug(\'clearStateChar %j %j\', stateChar, re)\n      stateChar = false\n    }\n  }\n\n  for (var i = 0, len = pattern.length, c\n    ; (i < len) && (c = pattern.charAt(i))\n    ; i++) {\n    this.debug(\'%s\\t%s %s %j\', pattern, i, re, c)\n\n    // skip over any that are escaped.\n    if (escaping && reSpecials[c]) {\n      re += \'\\\\\' + c\n      escaping = false\n      continue\n    }\n\n    switch (c) {\n      case \'/\':\n        // completely not allowed, even escaped.\n        // Should already be path-split by now.\n        return false\n\n      case \'\\\\\':\n        clearStateChar()\n        escaping = true\n      continue\n\n      // the various stateChar values\n      // for the \"extglob\" stuff.\n      case \'?\':\n      case \'*\':\n      case \'+\':\n      case \'@\':\n      case \'!\':\n        this.debug(\'%s\\t%s %s %j <-- stateChar\', pattern, i, re, c)\n\n        // all of those are literals inside a class, except that\n        // the glob [!a] means [^a] in regexp\n        if (inClass) {\n          this.debug(\'  in class\')\n          if (c === \'!\' && i === classStart + 1) c = \'^\'\n          re += c\n          continue\n        }\n\n        // if we already have a stateChar, then it means\n        // that there was something like ** or +? in there.\n        // Handle the stateChar, then proceed with this one.\n        self.debug(\'call clearStateChar %j\', stateChar)\n        clearStateChar()\n        stateChar = c\n        // if extglob is disabled, then +(asdf|foo) isn\'t a thing.\n        // just clear the statechar *now*, rather than even diving into\n        // the patternList stuff.\n        if (options.noext) clearStateChar()\n      continue\n\n      case \'(\':\n        if (inClass) {\n          re += \'(\'\n          continue\n        }\n\n        if (!stateChar) {\n          re += \'\\\\(\'\n          continue\n        }\n\n        patternListStack.push({\n          type: stateChar,\n          start: i - 1,\n          reStart: re.length,\n          open: plTypes[stateChar].open,\n          close: plTypes[stateChar].close\n        })\n        // negation is (?:(?!js)[^/]*)\n        re += stateChar === \'!\' ? \'(?:(?!(?:\' : \'(?:\'\n        this.debug(\'plType %j %j\', stateChar, re)\n        stateChar = false\n      continue\n\n      case \')\':\n        if (inClass || !patternListStack.length) {\n          re += \'\\\\)\'\n          continue\n        }\n\n        clearStateChar()\n        hasMagic = true\n        var pl = patternListStack.pop()\n        // negation is (?:(?!js)[^/]*)\n        // The others are (?:<pattern>)<type>\n        re += pl.close\n        if (pl.type === \'!\') {\n          negativeLists.push(pl)\n        }\n        pl.reEnd = re.length\n      continue\n\n      case \'|\':\n        if (inClass || !patternListStack.length || escaping) {\n          re += \'\\\\|\'\n          escaping = false\n          continue\n        }\n\n        clearStateChar()\n        re += \'|\'\n      continue\n\n      // these are mostly the same in regexp and glob\n      case \'[\':\n        // swallow any state-tracking char before the [\n        clearStateChar()\n\n        if (inClass) {\n          re += \'\\\\\' + c\n          continue\n        }\n\n        inClass = true\n        classStart = i\n        reClassStart = re.length\n        re += c\n      continue\n\n      case \']\':\n        //  a right bracket shall lose its special\n        //  meaning and represent itself in\n        //  a bracket expression if it occurs\n        //  first in the list.  -- POSIX.2 2.8.3.2\n        if (i === classStart + 1 || !inClass) {\n          re += \'\\\\\' + c\n          escaping = false\n          continue\n        }\n\n        // handle the case where we left a class open.\n        // \"[z-a]\" is valid, equivalent to \"\\[z-a\\]\"\n        if (inClass) {\n          // split where the last [ was, make sure we don\'t have\n          // an invalid re. if so, re-walk the contents of the\n          // would-be class to re-translate any characters that\n          // were passed through as-is\n          // TODO: It would probably be faster to determine this\n          // without a try/catch and a new RegExp, but it\'s tricky\n          // to do safely.  For now, this is safe and works.\n          var cs = pattern.substring(classStart + 1, i)\n          try {\n            RegExp(\'[\' + cs + \']\')\n          } catch (er) {\n            // not a valid class!\n            var sp = this.parse(cs, SUBPARSE)\n            re = re.substr(0, reClassStart) + \'\\\\[\' + sp[0] + \'\\\\]\'\n            hasMagic = hasMagic || sp[1]\n            inClass = false\n            continue\n          }\n        }\n\n        // finish up the class.\n        hasMagic = true\n        inClass = false\n        re += c\n      continue\n\n      default:\n        // swallow any state char that wasn\'t consumed\n        clearStateChar()\n\n        if (escaping) {\n          // no need\n          escaping = false\n        } else if (reSpecials[c]\n          && !(c === \'^\' && inClass)) {\n          re += \'\\\\\'\n        }\n\n        re += c\n\n    } // switch\n  } // for\n\n  // handle the case where we left a class open.\n  // \"[abc\" is valid, equivalent to \"\\[abc\"\n  if (inClass) {\n    // split where the last [ was, and escape it\n    // this is a huge pita.  We now have to re-walk\n    // the contents of the would-be class to re-translate\n    // any characters that were passed through as-is\n    cs = pattern.substr(classStart + 1)\n    sp = this.parse(cs, SUBPARSE)\n    re = re.substr(0, reClassStart) + \'\\\\[\' + sp[0]\n    hasMagic = hasMagic || sp[1]\n  }\n\n  // handle the case where we had a +( thing at the *end*\n  // of the pattern.\n  // each pattern list stack adds 3 chars, and we need to go through\n  // and escape any | chars that were passed through as-is for the regexp.\n  // Go through and escape them, taking care not to double-escape any\n  // | chars that were already escaped.\n  for (pl = patternListStack.pop(); pl; pl = patternListStack.pop()) {\n    var tail = re.slice(pl.reStart + pl.open.length)\n    this.debug(\'setting tail\', re, pl)\n    // maybe some even number of \\, then maybe 1 \\, followed by a |\n    tail = tail.replace(/((?:\\\\{2}){0,64})(\\\\?)\\|/g, function (_, $1, $2) {\n      if (!$2) {\n        // the | isn\'t already escaped, so escape it.\n        $2 = \'\\\\\'\n      }\n\n      // need to escape all those slashes *again*, without escaping the\n      // one that we need for escaping the | character.  As it works out,\n      // escaping an even number of slashes can be done by simply repeating\n      // it exactly after itself.  That\'s why this trick works.\n      //\n      // I am sorry that you have to see this.\n      return $1 + $1 + $2 + \'|\'\n    })\n\n    this.debug(\'tail=%j\\n   %s\', tail, tail, pl, re)\n    var t = pl.type === \'*\' ? star\n      : pl.type === \'?\' ? qmark\n      : \'\\\\\' + pl.type\n\n    hasMagic = true\n    re = re.slice(0, pl.reStart) + t + \'\\\\(\' + tail\n  }\n\n  // handle trailing things that only matter at the very end.\n  clearStateChar()\n  if (escaping) {\n    // trailing \\\\\n    re += \'\\\\\\\\\'\n  }\n\n  // only need to apply the nodot start if the re starts with\n  // something that could conceivably capture a dot\n  var addPatternStart = false\n  switch (re.charAt(0)) {\n    case \'.\':\n    case \'[\':\n    case \'(\': addPatternStart = true\n  }\n\n  // Hack to work around lack of negative lookbehind in JS\n  // A pattern like: *.!(x).!(y|z) needs to ensure that a name\n  // like \'a.xyz.yz\' doesn\'t match.  So, the first negative\n  // lookahead, has to look ALL the way ahead, to the end of\n  // the pattern.\n  for (var n = negativeLists.length - 1; n > -1; n--) {\n    var nl = negativeLists[n]\n\n    var nlBefore = re.slice(0, nl.reStart)\n    var nlFirst = re.slice(nl.reStart, nl.reEnd - 8)\n    var nlLast = re.slice(nl.reEnd - 8, nl.reEnd)\n    var nlAfter = re.slice(nl.reEnd)\n\n    nlLast += nlAfter\n\n    // Handle nested stuff like *(*.js|!(*.json)), where open parens\n    // mean that we should *not* include the ) in the bit that is considered\n    // \"after\" the negated section.\n    var openParensBefore = nlBefore.split(\'(\').length - 1\n    var cleanAfter = nlAfter\n    for (i = 0; i < openParensBefore; i++) {\n      cleanAfter = cleanAfter.replace(/\\)[+*?]?/, \'\')\n    }\n    nlAfter = cleanAfter\n\n    var dollar = \'\'\n    if (nlAfter === \'\' && isSub !== SUBPARSE) {\n      dollar = \'$\'\n    }\n    var newRe = nlBefore + nlFirst + nlAfter + dollar + nlLast\n    re = newRe\n  }\n\n  // if the re is not \"\" at this point, then we need to make sure\n  // it doesn\'t match against an empty path part.\n  // Otherwise a/* will match a/, which it should not.\n  if (re !== \'\' && hasMagic) {\n    re = \'(?=.)\' + re\n  }\n\n  if (addPatternStart) {\n    re = patternStart + re\n  }\n\n  // parsing just a piece of a larger pattern.\n  if (isSub === SUBPARSE) {\n    return [re, hasMagic]\n  }\n\n  // skip the regexp for non-magical patterns\n  // unescape anything in it, though, so that it\'ll be\n  // an exact match against a file etc.\n  if (!hasMagic) {\n    return globUnescape(pattern)\n  }\n\n  var flags = options.nocase ? \'i\' : \'\'\n  try {\n    var regExp = new RegExp(\'^\' + re + \'$\', flags)\n  } catch (er) {\n    // If it was an invalid regular expression, then it can\'t match\n    // anything.  This trick looks for a character after the end of\n    // the string, which is of course impossible, except in multi-line\n    // mode, but it\'s not a /m regex.\n    return new RegExp(\'$.\')\n  }\n\n  regExp._glob = pattern\n  regExp._src = re\n\n  return regExp\n}\n\nminimatch.makeRe = function (pattern, options) {\n  return new Minimatch(pattern, options || {}).makeRe()\n}\n\nMinimatch.prototype.makeRe = makeRe\nfunction makeRe () {\n  if (this.regexp || this.regexp === false) return this.regexp\n\n  // at this point, this.set is a 2d array of partial\n  // pattern strings, or \"**\".\n  //\n  // It\'s better to use .match().  This function shouldn\'t\n  // be used, really, but it\'s pretty convenient sometimes,\n  // when you just want to work with a regex.\n  var set = this.set\n\n  if (!set.length) {\n    this.regexp = false\n    return this.regexp\n  }\n  var options = this.options\n\n  var twoStar = options.noglobstar ? star\n    : options.dot ? twoStarDot\n    : twoStarNoDot\n  var flags = options.nocase ? \'i\' : \'\'\n\n  var re = set.map(function (pattern) {\n    return pattern.map(function (p) {\n      return (p === GLOBSTAR) ? twoStar\n      : (typeof p === \'string\') ? regExpEscape(p)\n      : p._src\n    }).join(\'\\\\\\/\')\n  }).join(\'|\')\n\n  // must match entire pattern\n  // ending in a * or ** will make it less strict.\n  re = \'^(?:\' + re + \')$\'\n\n  // can match anything, as long as it\'s not this.\n  if (this.negate) re = \'^(?!\' + re + \').*$\'\n\n  try {\n    this.regexp = new RegExp(re, flags)\n  } catch (ex) {\n    this.regexp = false\n  }\n  return this.regexp\n}\n\nminimatch.match = function (list, pattern, options) {\n  options = options || {}\n  var mm = new Minimatch(pattern, options)\n  list = list.filter(function (f) {\n    return mm.match(f)\n  })\n  if (mm.options.nonull && !list.length) {\n    list.push(pattern)\n  }\n  return list\n}\n\nMinimatch.prototype.match = match\nfunction match (f, partial) {\n  this.debug(\'match\', f, this.pattern)\n  // short-circuit in the case of busted things.\n  // comments, etc.\n  if (this.comment) return false\n  if (this.empty) return f === \'\'\n\n  if (f === \'/\' && partial) return true\n\n  var options = this.options\n\n  // windows: need to use /, not \\\n  if (path.sep !== \'/\') {\n    f = f.split(path.sep).join(\'/\')\n  }\n\n  // treat the test path as a set of pathparts.\n  f = f.split(slashSplit)\n  this.debug(this.pattern, \'split\', f)\n\n  // just ONE of the pattern sets in this.set needs to match\n  // in order for it to be valid.  If negating, then just one\n  // match means that we have failed.\n  // Either way, return on the first hit.\n\n  var set = this.set\n  this.debug(this.pattern, \'set\', set)\n\n  // Find the basename of the path by looking for the last non-empty segment\n  var filename\n  var i\n  for (i = f.length - 1; i >= 0; i--) {\n    filename = f[i]\n    if (filename) break\n  }\n\n  for (i = 0; i < set.length; i++) {\n    var pattern = set[i]\n    var file = f\n    if (options.matchBase && pattern.length === 1) {\n      file = [filename]\n    }\n    var hit = this.matchOne(file, pattern, partial)\n    if (hit) {\n      if (options.flipNegate) return true\n      return !this.negate\n    }\n  }\n\n  // didn\'t get any hits.  this is success if it\'s a negative\n  // pattern, failure otherwise.\n  if (options.flipNegate) return false\n  return this.negate\n}\n\n// set partial to true to test if, for example,\n// \"/a/b\" matches the start of \"/*/b/*/d\"\n// Partial means, if you run out of file before you run\n// out of pattern, then that\'s fine, as long as all\n// the parts match.\nMinimatch.prototype.matchOne = function (file, pattern, partial) {\n  var options = this.options\n\n  this.debug(\'matchOne\',\n    { \'this\': this, file: file, pattern: pattern })\n\n  this.debug(\'matchOne\', file.length, pattern.length)\n\n  for (var fi = 0,\n      pi = 0,\n      fl = file.length,\n      pl = pattern.length\n      ; (fi < fl) && (pi < pl)\n      ; fi++, pi++) {\n    this.debug(\'matchOne loop\')\n    var p = pattern[pi]\n    var f = file[fi]\n\n    this.debug(pattern, p, f)\n\n    // should be impossible.\n    // some invalid regexp stuff in the set.\n    if (p === false) return false\n\n    if (p === GLOBSTAR) {\n      this.debug(\'GLOBSTAR\', [pattern, p, f])\n\n      // \"**\"\n      // a/**/b/**/c would match the following:\n      // a/b/x/y/z/c\n      // a/x/y/z/b/c\n      // a/b/x/b/x/c\n      // a/b/c\n      // To do this, take the rest of the pattern after\n      // the **, and see if it would match the file remainder.\n      // If so, return success.\n      // If not, the ** \"swallows\" a segment, and try again.\n      // This is recursively awful.\n      //\n      // a/**/b/**/c matching a/b/x/y/z/c\n      // - a matches a\n      // - doublestar\n      //   - matchOne(b/x/y/z/c, b/**/c)\n      //     - b matches b\n      //     - doublestar\n      //       - matchOne(x/y/z/c, c) -> no\n      //       - matchOne(y/z/c, c) -> no\n      //       - matchOne(z/c, c) -> no\n      //       - matchOne(c, c) yes, hit\n      var fr = fi\n      var pr = pi + 1\n      if (pr === pl) {\n        this.debug(\'** at the end\')\n        // a ** at the end will just swallow the rest.\n        // We have found a match.\n        // however, it will not swallow /.x, unless\n        // options.dot is set.\n        // . and .. are *never* matched by **, for explosively\n        // exponential reasons.\n        for (; fi < fl; fi++) {\n          if (file[fi] === \'.\' || file[fi] === \'..\' ||\n            (!options.dot && file[fi].charAt(0) === \'.\')) return false\n        }\n        return true\n      }\n\n      // ok, let\'s see if we can swallow whatever we can.\n      while (fr < fl) {\n        var swallowee = file[fr]\n\n        this.debug(\'\\nglobstar while\', file, fr, pattern, pr, swallowee)\n\n        // XXX remove this slice.  Just pass the start index.\n        if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {\n          this.debug(\'globstar found match!\', fr, fl, swallowee)\n          // found a match.\n          return true\n        } else {\n          // can\'t swallow \".\" or \"..\" ever.\n          // can only swallow \".foo\" when explicitly asked.\n          if (swallowee === \'.\' || swallowee === \'..\' ||\n            (!options.dot && swallowee.charAt(0) === \'.\')) {\n            this.debug(\'dot detected!\', file, fr, pattern, pr)\n            break\n          }\n\n          // ** swallows a segment, and continue.\n          this.debug(\'globstar swallow a segment, and continue\')\n          fr++\n        }\n      }\n\n      // no match was found.\n      // However, in partial mode, we can\'t say this is necessarily over.\n      // If there\'s more *pattern* left, then\n      if (partial) {\n        // ran out of file\n        this.debug(\'\\n>>> no match, partial?\', file, fr, pattern, pr)\n        if (fr === fl) return true\n      }\n      return false\n    }\n\n    // something other than **\n    // non-magic patterns just have to match exactly\n    // patterns with magic have been turned into regexps.\n    var hit\n    if (typeof p === \'string\') {\n      if (options.nocase) {\n        hit = f.toLowerCase() === p.toLowerCase()\n      } else {\n        hit = f === p\n      }\n      this.debug(\'string match\', p, f, hit)\n    } else {\n      hit = f.match(p)\n      this.debug(\'pattern match\', p, f, hit)\n    }\n\n    if (!hit) return false\n  }\n\n  // Note: ending in / means that we\'ll get a final \"\"\n  // at the end of the pattern.  This can only match a\n  // corresponding \"\" at the end of the file.\n  // If the file ends in /, then it can only match a\n  // a pattern that ends in /, unless the pattern just\n  // doesn\'t have any more for it. But, a/b/ should *not*\n  // match \"a/b/*\", even though \"\" matches against the\n  // [^/]*? pattern, except in partial mode, where it might\n  // simply not be reached yet.\n  // However, a/b/ should still satisfy a/*\n\n  // now either we fell off the end of the pattern, or we\'re done.\n  if (fi === fl && pi === pl) {\n    // ran out of pattern and filename at the same time.\n    // an exact hit!\n    return true\n  } else if (fi === fl) {\n    // ran out of file, but still had pattern left.\n    // this is ok if we\'re doing the match as part of\n    // a glob fs traversal.\n    return partial\n  } else if (pi === pl) {\n    // ran out of pattern, still have file left.\n    // this is only acceptable if we\'re on the very last\n    // empty segment of a file with a trailing slash.\n    // a/* should match a/b/\n    var emptyFileEnd = (fi === fl - 1) && (file[fi] === \'\')\n    return emptyFileEnd\n  }\n\n  // should be unreachable.\n  throw new Error(\'wtf?\')\n}\n\n// replace stuff like \\* with *\nfunction globUnescape (s) {\n  return s.replace(/\\\\(.)/g, \'$1\')\n}\n\nfunction regExpEscape (s) {\n  return s.replace(/[-[\\]{}()*+?.,\\\\^$|#\\s]/g, \'\\\\$&\')\n}\n\n\n/***/ }),\n\n/***/ \"./node_modules/path-browserify/index.js\":\n/*!***********************************************!*\\\n  !*** ./node_modules/path-browserify/index.js ***!\n  \\***********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n/* WEBPACK VAR INJECTION */(function(process) {// Copyright Joyent, Inc. and other Node contributors.\n//\n// Permission is hereby granted, free of charge, to any person obtaining a\n// copy of this software and associated documentation files (the\n// \"Software\"), to deal in the Software without restriction, including\n// without limitation the rights to use, copy, modify, merge, publish,\n// distribute, sublicense, and/or sell copies of the Software, and to permit\n// persons to whom the Software is furnished to do so, subject to the\n// following conditions:\n//\n// The above copyright notice and this permission notice shall be included\n// in all copies or substantial portions of the Software.\n//\n// THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,\n// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR\n// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE\n// USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n// resolves . and .. elements in a path array with directory names there\n// must be no slashes, empty elements, or device names (c:\\) in the array\n// (so also no leading and trailing slashes - it does not distinguish\n// relative and absolute paths)\nfunction normalizeArray(parts, allowAboveRoot) {\n  // if the path tries to go above the root, `up` ends up > 0\n  var up = 0;\n  for (var i = parts.length - 1; i >= 0; i--) {\n    var last = parts[i];\n    if (last === \'.\') {\n      parts.splice(i, 1);\n    } else if (last === \'..\') {\n      parts.splice(i, 1);\n      up++;\n    } else if (up) {\n      parts.splice(i, 1);\n      up--;\n    }\n  }\n\n  // if the path is allowed to go above the root, restore leading ..s\n  if (allowAboveRoot) {\n    for (; up--; up) {\n      parts.unshift(\'..\');\n    }\n  }\n\n  return parts;\n}\n\n// Split a filename into [root, dir, basename, ext], unix version\n// \'root\' is just a slash, or nothing.\nvar splitPathRe =\n    /^(\\/?|)([\\s\\S]*?)((?:\\.{1,2}|[^\\/]+?|)(\\.[^.\\/]*|))(?:[\\/]*)$/;\nvar splitPath = function(filename) {\n  return splitPathRe.exec(filename).slice(1);\n};\n\n// path.resolve([from ...], to)\n// posix version\nexports.resolve = function() {\n  var resolvedPath = \'\',\n      resolvedAbsolute = false;\n\n  for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {\n    var path = (i >= 0) ? arguments[i] : process.cwd();\n\n    // Skip empty and invalid entries\n    if (typeof path !== \'string\') {\n      throw new TypeError(\'Arguments to path.resolve must be strings\');\n    } else if (!path) {\n      continue;\n    }\n\n    resolvedPath = path + \'/\' + resolvedPath;\n    resolvedAbsolute = path.charAt(0) === \'/\';\n  }\n\n  // At this point the path should be resolved to a full absolute path, but\n  // handle relative paths to be safe (might happen when process.cwd() fails)\n\n  // Normalize the path\n  resolvedPath = normalizeArray(filter(resolvedPath.split(\'/\'), function(p) {\n    return !!p;\n  }), !resolvedAbsolute).join(\'/\');\n\n  return ((resolvedAbsolute ? \'/\' : \'\') + resolvedPath) || \'.\';\n};\n\n// path.normalize(path)\n// posix version\nexports.normalize = function(path) {\n  var isAbsolute = exports.isAbsolute(path),\n      trailingSlash = substr(path, -1) === \'/\';\n\n  // Normalize the path\n  path = normalizeArray(filter(path.split(\'/\'), function(p) {\n    return !!p;\n  }), !isAbsolute).join(\'/\');\n\n  if (!path && !isAbsolute) {\n    path = \'.\';\n  }\n  if (path && trailingSlash) {\n    path += \'/\';\n  }\n\n  return (isAbsolute ? \'/\' : \'\') + path;\n};\n\n// posix version\nexports.isAbsolute = function(path) {\n  return path.charAt(0) === \'/\';\n};\n\n// posix version\nexports.join = function() {\n  var paths = Array.prototype.slice.call(arguments, 0);\n  return exports.normalize(filter(paths, function(p, index) {\n    if (typeof p !== \'string\') {\n      throw new TypeError(\'Arguments to path.join must be strings\');\n    }\n    return p;\n  }).join(\'/\'));\n};\n\n\n// path.relative(from, to)\n// posix version\nexports.relative = function(from, to) {\n  from = exports.resolve(from).substr(1);\n  to = exports.resolve(to).substr(1);\n\n  function trim(arr) {\n    var start = 0;\n    for (; start < arr.length; start++) {\n      if (arr[start] !== \'\') break;\n    }\n\n    var end = arr.length - 1;\n    for (; end >= 0; end--) {\n      if (arr[end] !== \'\') break;\n    }\n\n    if (start > end) return [];\n    return arr.slice(start, end - start + 1);\n  }\n\n  var fromParts = trim(from.split(\'/\'));\n  var toParts = trim(to.split(\'/\'));\n\n  var length = Math.min(fromParts.length, toParts.length);\n  var samePartsLength = length;\n  for (var i = 0; i < length; i++) {\n    if (fromParts[i] !== toParts[i]) {\n      samePartsLength = i;\n      break;\n    }\n  }\n\n  var outputParts = [];\n  for (var i = samePartsLength; i < fromParts.length; i++) {\n    outputParts.push(\'..\');\n  }\n\n  outputParts = outputParts.concat(toParts.slice(samePartsLength));\n\n  return outputParts.join(\'/\');\n};\n\nexports.sep = \'/\';\nexports.delimiter = \':\';\n\nexports.dirname = function(path) {\n  var result = splitPath(path),\n      root = result[0],\n      dir = result[1];\n\n  if (!root && !dir) {\n    // No dirname whatsoever\n    return \'.\';\n  }\n\n  if (dir) {\n    // It has a dirname, strip trailing slash\n    dir = dir.substr(0, dir.length - 1);\n  }\n\n  return root + dir;\n};\n\n\nexports.basename = function(path, ext) {\n  var f = splitPath(path)[2];\n  // TODO: make this comparison case-insensitive on windows?\n  if (ext && f.substr(-1 * ext.length) === ext) {\n    f = f.substr(0, f.length - ext.length);\n  }\n  return f;\n};\n\n\nexports.extname = function(path) {\n  return splitPath(path)[3];\n};\n\nfunction filter (xs, f) {\n    if (xs.filter) return xs.filter(f);\n    var res = [];\n    for (var i = 0; i < xs.length; i++) {\n        if (f(xs[i], i, xs)) res.push(xs[i]);\n    }\n    return res;\n}\n\n// String.prototype.substr - negative index don\'t work in IE8\nvar substr = \'ab\'.substr(-1) === \'b\'\n    ? function (str, start, len) { return str.substr(start, len) }\n    : function (str, start, len) {\n        if (start < 0) start = str.length + start;\n        return str.substr(start, len);\n    }\n;\n\n/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(/*! ./../process/browser.js */ \"./node_modules/process/browser.js\")))\n\n/***/ }),\n\n/***/ \"./node_modules/process/browser.js\":\n/*!*****************************************!*\\\n  !*** ./node_modules/process/browser.js ***!\n  \\*****************************************/\n/*! no static exports found */\n/***/ (function(module, exports) {\n\n// shim for using process in browser\nvar process = module.exports = {};\n\n// cached from whatever global is present so that test runners that stub it\n// don\'t break things.  But we need to wrap it in a try catch in case it is\n// wrapped in strict mode code which doesn\'t define any globals.  It\'s inside a\n// function because try/catches deoptimize in certain engines.\n\nvar cachedSetTimeout;\nvar cachedClearTimeout;\n\nfunction defaultSetTimout() {\n    throw new Error(\'setTimeout has not been defined\');\n}\nfunction defaultClearTimeout () {\n    throw new Error(\'clearTimeout has not been defined\');\n}\n(function () {\n    try {\n        if (typeof setTimeout === \'function\') {\n            cachedSetTimeout = setTimeout;\n        } else {\n            cachedSetTimeout = defaultSetTimout;\n        }\n    } catch (e) {\n        cachedSetTimeout = defaultSetTimout;\n    }\n    try {\n        if (typeof clearTimeout === \'function\') {\n            cachedClearTimeout = clearTimeout;\n        } else {\n            cachedClearTimeout = defaultClearTimeout;\n        }\n    } catch (e) {\n        cachedClearTimeout = defaultClearTimeout;\n    }\n} ())\nfunction runTimeout(fun) {\n    if (cachedSetTimeout === setTimeout) {\n        //normal enviroments in sane situations\n        return setTimeout(fun, 0);\n    }\n    // if setTimeout wasn\'t available but was latter defined\n    if ((cachedSetTimeout === defaultSetTimout || !cachedSetTimeout) && setTimeout) {\n        cachedSetTimeout = setTimeout;\n        return setTimeout(fun, 0);\n    }\n    try {\n        // when when somebody has screwed with setTimeout but no I.E. maddness\n        return cachedSetTimeout(fun, 0);\n    } catch(e){\n        try {\n            // When we are in I.E. but the script has been evaled so I.E. doesn\'t trust the global object when called normally\n            return cachedSetTimeout.call(null, fun, 0);\n        } catch(e){\n            // same as above but when it\'s a version of I.E. that must have the global object for \'this\', hopfully our context correct otherwise it will throw a global error\n            return cachedSetTimeout.call(this, fun, 0);\n        }\n    }\n\n\n}\nfunction runClearTimeout(marker) {\n    if (cachedClearTimeout === clearTimeout) {\n        //normal enviroments in sane situations\n        return clearTimeout(marker);\n    }\n    // if clearTimeout wasn\'t available but was latter defined\n    if ((cachedClearTimeout === defaultClearTimeout || !cachedClearTimeout) && clearTimeout) {\n        cachedClearTimeout = clearTimeout;\n        return clearTimeout(marker);\n    }\n    try {\n        // when when somebody has screwed with setTimeout but no I.E. maddness\n        return cachedClearTimeout(marker);\n    } catch (e){\n        try {\n            // When we are in I.E. but the script has been evaled so I.E. doesn\'t  trust the global object when called normally\n            return cachedClearTimeout.call(null, marker);\n        } catch (e){\n            // same as above but when it\'s a version of I.E. that must have the global object for \'this\', hopfully our context correct otherwise it will throw a global error.\n            // Some versions of I.E. have different rules for clearTimeout vs setTimeout\n            return cachedClearTimeout.call(this, marker);\n        }\n    }\n\n\n\n}\nvar queue = [];\nvar draining = false;\nvar currentQueue;\nvar queueIndex = -1;\n\nfunction cleanUpNextTick() {\n    if (!draining || !currentQueue) {\n        return;\n    }\n    draining = false;\n    if (currentQueue.length) {\n        queue = currentQueue.concat(queue);\n    } else {\n        queueIndex = -1;\n    }\n    if (queue.length) {\n        drainQueue();\n    }\n}\n\nfunction drainQueue() {\n    if (draining) {\n        return;\n    }\n    var timeout = runTimeout(cleanUpNextTick);\n    draining = true;\n\n    var len = queue.length;\n    while(len) {\n        currentQueue = queue;\n        queue = [];\n        while (++queueIndex < len) {\n            if (currentQueue) {\n                currentQueue[queueIndex].run();\n            }\n        }\n        queueIndex = -1;\n        len = queue.length;\n    }\n    currentQueue = null;\n    draining = false;\n    runClearTimeout(timeout);\n}\n\nprocess.nextTick = function (fun) {\n    var args = new Array(arguments.length - 1);\n    if (arguments.length > 1) {\n        for (var i = 1; i < arguments.length; i++) {\n            args[i - 1] = arguments[i];\n        }\n    }\n    queue.push(new Item(fun, args));\n    if (queue.length === 1 && !draining) {\n        runTimeout(drainQueue);\n    }\n};\n\n// v8 likes predictible objects\nfunction Item(fun, array) {\n    this.fun = fun;\n    this.array = array;\n}\nItem.prototype.run = function () {\n    this.fun.apply(null, this.array);\n};\nprocess.title = \'browser\';\nprocess.browser = true;\nprocess.env = {};\nprocess.argv = [];\nprocess.version = \'\'; // empty string to avoid regexp issues\nprocess.versions = {};\n\nfunction noop() {}\n\nprocess.on = noop;\nprocess.addListener = noop;\nprocess.once = noop;\nprocess.off = noop;\nprocess.removeListener = noop;\nprocess.removeAllListeners = noop;\nprocess.emit = noop;\nprocess.prependListener = noop;\nprocess.prependOnceListener = noop;\n\nprocess.listeners = function (name) { return [] }\n\nprocess.binding = function (name) {\n    throw new Error(\'process.binding is not supported\');\n};\n\nprocess.cwd = function () { return \'/\' };\nprocess.chdir = function (dir) {\n    throw new Error(\'process.chdir is not supported\');\n};\nprocess.umask = function() { return 0; };\n\n\n/***/ }),\n\n/***/ \"./src/commands sync recursive ^\\\\.\\\\/.*$\":\n/*!************************************!*\\\n  !*** ./src/commands sync ^\\.\\/.*$ ***!\n  \\************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\nvar map = {\n	\"./\": \"./src/commands/index.js\",\n	\"./cat\": \"./src/commands/cat.js\",\n	\"./cat.js\": \"./src/commands/cat.js\",\n	\"./cd\": \"./src/commands/cd.js\",\n	\"./cd.js\": \"./src/commands/cd.js\",\n	\"./clear\": \"./src/commands/clear.js\",\n	\"./clear.js\": \"./src/commands/clear.js\",\n	\"./cp\": \"./src/commands/cp.js\",\n	\"./cp.js\": \"./src/commands/cp.js\",\n	\"./echo\": \"./src/commands/echo.js\",\n	\"./echo.js\": \"./src/commands/echo.js\",\n	\"./head\": \"./src/commands/head.js\",\n	\"./head.js\": \"./src/commands/head.js\",\n	\"./history\": \"./src/commands/history.js\",\n	\"./history.js\": \"./src/commands/history.js\",\n	\"./index\": \"./src/commands/index.js\",\n	\"./index.js\": \"./src/commands/index.js\",\n	\"./ls\": \"./src/commands/ls.js\",\n	\"./ls.js\": \"./src/commands/ls.js\",\n	\"./mkdir\": \"./src/commands/mkdir.js\",\n	\"./mkdir.js\": \"./src/commands/mkdir.js\",\n	\"./printenv\": \"./src/commands/printenv.js\",\n	\"./printenv.js\": \"./src/commands/printenv.js\",\n	\"./pwd\": \"./src/commands/pwd.js\",\n	\"./pwd.js\": \"./src/commands/pwd.js\",\n	\"./rm\": \"./src/commands/rm.js\",\n	\"./rm.js\": \"./src/commands/rm.js\",\n	\"./rmdir\": \"./src/commands/rmdir.js\",\n	\"./rmdir.js\": \"./src/commands/rmdir.js\",\n	\"./tail\": \"./src/commands/tail.js\",\n	\"./tail.js\": \"./src/commands/tail.js\",\n	\"./touch\": \"./src/commands/touch.js\",\n	\"./touch.js\": \"./src/commands/touch.js\",\n	\"./util/_head_tail_util\": \"./src/commands/util/_head_tail_util.js\",\n	\"./util/_head_tail_util.js\": \"./src/commands/util/_head_tail_util.js\",\n	\"./whoami\": \"./src/commands/whoami.js\",\n	\"./whoami.js\": \"./src/commands/whoami.js\"\n};\n\n\nfunction webpackContext(req) {\n	var id = webpackContextResolve(req);\n	var module = __webpack_require__(id);\n	return module;\n}\nfunction webpackContextResolve(req) {\n	var id = map[req];\n	if(!(id + 1)) { // check for number or string\n		var e = new Error(\'Cannot find module \"\' + req + \'\".\');\n		e.code = \'MODULE_NOT_FOUND\';\n		throw e;\n	}\n	return id;\n}\nwebpackContext.keys = function webpackContextKeys() {\n	return Object.keys(map);\n};\nwebpackContext.resolve = webpackContextResolve;\nmodule.exports = webpackContext;\nwebpackContext.id = \"./src/commands sync recursive ^\\\\.\\\\/.*$\";\n\n/***/ }),\n\n/***/ \"./src/commands/cat.js\":\n/*!*****************************!*\\\n  !*** ./src/commands/cat.js ***!\n  \\*****************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _fileOperations = __webpack_require__(/*! fs/operations-with-permissions/file-operations */ \"./src/fs/operations-with-permissions/file-operations.js\");\n\nvar FileOp = _interopRequireWildcard(_fileOperations);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _util = __webpack_require__(/*! emulator-state/util */ \"./src/emulator-state/util.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Combines one or more files to display in the terminal output\n * Usage: cat file1.txt file2.txt\n */\nvar fileToTextOutput = function fileToTextOutput(fs, filePath) {\n  var _FileOp$readFile = FileOp.readFile(fs, filePath),\n      err = _FileOp$readFile.err,\n      file = _FileOp$readFile.file;\n\n  if (err) {\n    return OutputFactory.makeErrorOutput(err);\n  };\n\n  return OutputFactory.makeTextOutput(file.get(\'content\'));\n};\n\nvar optDef = exports.optDef = {};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv;\n\n  if (argv.length === 0) {\n    return {};\n  }\n\n  var filePaths = argv.map(function (pathArg) {\n    return (0, _util.resolvePath)(state, pathArg);\n  });\n\n  return {\n    outputs: filePaths.map(function (path) {\n      return fileToTextOutput(state.getFileSystem(), path);\n    })\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/cd.js\":\n/*!****************************!*\\\n  !*** ./src/commands/cd.js ***!\n  \\****************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations-with-permissions/directory-operations */ \"./src/fs/operations-with-permissions/directory-operations.js\");\n\nvar DirectoryOp = _interopRequireWildcard(_directoryOperations);\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nvar EnvVariableUtil = _interopRequireWildcard(_environmentVariables);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _fsError = __webpack_require__(/*! fs/fs-error */ \"./src/fs/fs-error.js\");\n\nvar _util = __webpack_require__(/*! emulator-state/util */ \"./src/emulator-state/util.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Changes the current working directory to another directory\n * Usage: cd /newDirectory\n */\nvar updateStateCwd = function updateStateCwd(state, newCwdPath) {\n  return EnvVariableUtil.setEnvironmentVariable(state.getEnvVariables(), \'cwd\', newCwdPath);\n};\n\nvar optDef = exports.optDef = {};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv;\n\n  var newCwdPath = argv[0] ? (0, _util.resolvePath)(state, argv[0]) : \'/\';\n\n  if (!DirectoryOp.hasDirectory(state.getFileSystem(), newCwdPath)) {\n    var newCwdPathDoesNotExistErr = (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_DIRECTORY);\n\n    return {\n      output: OutputFactory.makeErrorOutput(newCwdPathDoesNotExistErr)\n    };\n  }\n\n  return {\n    state: state.setEnvVariables(updateStateCwd(state, newCwdPath))\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/clear.js\":\n/*!*******************************!*\\\n  !*** ./src/commands/clear.js ***!\n  \\*******************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _outputs = __webpack_require__(/*! emulator-state/outputs */ \"./src/emulator-state/outputs.js\");\n\nvar optDef = exports.optDef = {}; /**\n                                   * Removes all terminal output\n                                   * Usage: clear\n                                   */\n\nexports.default = function (state, commandOptions) {\n  return {\n    state: state.setOutputs((0, _outputs.create)())\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/cp.js\":\n/*!****************************!*\\\n  !*** ./src/commands/cp.js ***!\n  \\****************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _fileOperations = __webpack_require__(/*! fs/operations-with-permissions/file-operations */ \"./src/fs/operations-with-permissions/file-operations.js\");\n\nvar FileOp = _interopRequireWildcard(_fileOperations);\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations-with-permissions/directory-operations */ \"./src/fs/operations-with-permissions/directory-operations.js\");\n\nvar DirectoryOp = _interopRequireWildcard(_directoryOperations);\n\nvar _pathUtil = __webpack_require__(/*! fs/util/path-util */ \"./src/fs/util/path-util.js\");\n\nvar PathUtil = _interopRequireWildcard(_pathUtil);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _fileUtil = __webpack_require__(/*! fs/util/file-util */ \"./src/fs/util/file-util.js\");\n\nvar FileUtil = _interopRequireWildcard(_fileUtil);\n\nvar _fsError = __webpack_require__(/*! fs/fs-error */ \"./src/fs/fs-error.js\");\n\nvar _util = __webpack_require__(/*! emulator-state/util */ \"./src/emulator-state/util.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Copy from a source file into a directory or another file.\n *\n * A trailing slash / can be used in the destination to explictly state the\n * destination is a directory and not a file.\n * @param  {Map}     state              emulator state\n * @param  {string}  srcPath            source file path\n * @param  {string}  destPath           destination file or destination directory path\n * @param  {Boolean} isTrailingPathDest true if the destPath ended in a /\n * @return {object}                     cp command return object\n */\n/**\n * Copies a file/directory to another file/directory\n * Usage: cp file new-file\n */\nvar copySourceFile = function copySourceFile(state, srcPath, destPath, isTrailingPathDest) {\n  var fs = state.getFileSystem();\n\n  if (isTrailingPathDest && !DirectoryOp.hasDirectory(fs, destPath)) {\n    var dirAtTrailingPathNonExistentErr = (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_DIRECTORY);\n\n    return {\n      output: OutputFactory.makeErrorOutput(dirAtTrailingPathNonExistentErr)\n    };\n  }\n\n  var _FileOp$copyFile = FileOp.copyFile(fs, srcPath, destPath),\n      copiedFS = _FileOp$copyFile.fs,\n      err = _FileOp$copyFile.err;\n\n  if (err) {\n    return {\n      output: OutputFactory.makeErrorOutput(err)\n    };\n  }\n\n  return {\n    state: state.setFileSystem(copiedFS)\n  };\n};\n\n/**\n * Copies a directory into another directory\n *\n * When the destination path exists, cp copies the source FOLDER into the\n * destination.\n *\n * When the destination DOES NOT exist, cp copies the source FILES into the\n * destination.\n * @param  {Map}    state      emulator state\n * @param  {string} srcPath    source directory path (copy from)\n * @param  {string} destPath   destination directory path (copy to)\n * @return {object}            cp command return object\n */\nvar copySourceDirectory = function copySourceDirectory(state, srcPath, destPath) {\n  if (DirectoryOp.hasDirectory(state.getFileSystem(), destPath)) {\n    var lastPathComponent = PathUtil.getLastPathPart(srcPath);\n\n    // Remap dest to copy source FOLDER, as destination path exists\n    if (lastPathComponent !== \'/\') {\n      destPath = destPath + \'/\' + lastPathComponent;\n    }\n  }\n\n  // Make directory to copy into, if it doesn\'t already exist\n  if (!DirectoryOp.hasDirectory(state.getFileSystem(), destPath)) {\n    var emptyDir = FileUtil.makeDirectory();\n\n    var _DirectoryOp$addDirec = DirectoryOp.addDirectory(state.getFileSystem(), destPath, emptyDir, false),\n        _fs = _DirectoryOp$addDirec.fs,\n        _err = _DirectoryOp$addDirec.err;\n\n    state = state.setFileSystem(_fs);\n\n    if (_err) {\n      return {\n        output: OutputFactory.makeErrorOutput(_err)\n      };\n    }\n  }\n\n  var _DirectoryOp$copyDire = DirectoryOp.copyDirectory(state.getFileSystem(), srcPath, destPath),\n      fs = _DirectoryOp$copyDire.fs,\n      err = _DirectoryOp$copyDire.err;\n\n  if (err) {\n    return {\n      output: OutputFactory.makeErrorOutput(err)\n    };\n  }\n\n  return {\n    state: state.setFileSystem(fs)\n  };\n};\n\nvar optDef = exports.optDef = {\n  \'-r, --recursive\': \'\' // required to copy directories\n};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv,\n      options = _parseOptions.options;\n\n  if (argv.length < 2) {\n    return {};\n  }\n\n  var srcPath = (0, _util.resolvePath)(state, argv[0]);\n  var destPath = (0, _util.resolvePath)(state, argv[1]);\n  var isTrailingDestPath = PathUtil.isTrailingPath(argv[1]);\n\n  if (srcPath === destPath) {\n    return {\n      output: OutputFactory.makeTextOutput(\'Source and destination are the same (not copied).\')\n    };\n  }\n\n  if (options.recursive) {\n    return copySourceDirectory(state, srcPath, destPath);\n  }\n\n  return copySourceFile(state, srcPath, destPath, isTrailingDestPath);\n};\n\n/***/ }),\n\n/***/ \"./src/commands/echo.js\":\n/*!******************************!*\\\n  !*** ./src/commands/echo.js ***!\n  \\******************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\n/**\n * Prints arguments to text output\n * Usage: echo \'hello world\'\n */\nvar VARIABLE_GROUP_REGEX = /\\$(\\w+)/g;\nvar DOUBLE_SPACE_REGEX = /\\s\\s+/g;\n\nvar substituteEnvVariables = function substituteEnvVariables(environmentVariables, inputStr) {\n  return inputStr.replace(VARIABLE_GROUP_REGEX, function (match, varName) {\n    return (0, _environmentVariables.getEnvironmentVariable)(environmentVariables, varName) || \'\';\n  });\n};\n\nvar optDef = exports.optDef = {};\n\nexports.default = function (state, commandOptions) {\n  var input = commandOptions.join(\' \');\n  var outputStr = substituteEnvVariables(state.getEnvVariables(), input);\n  var cleanStr = outputStr.trim().replace(DOUBLE_SPACE_REGEX, \' \');\n\n  return {\n    output: OutputFactory.makeTextOutput(cleanStr)\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/head.js\":\n/*!******************************!*\\\n  !*** ./src/commands/head.js ***!\n  \\******************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _head_tail_util = __webpack_require__(/*! commands/util/_head_tail_util.js */ \"./src/commands/util/_head_tail_util.js\");\n\nvar _util = __webpack_require__(/*! emulator-state/util */ \"./src/emulator-state/util.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Prints the first n lines of a file\n * Usage: head -n 5 file.txt\n */\nvar optDef = exports.optDef = {\n  \'-n, --lines\': \'<count>\'\n};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv,\n      options = _parseOptions.options;\n\n  if (argv.length === 0) {\n    return {};\n  }\n\n  var filePath = (0, _util.resolvePath)(state, argv[0]);\n  var headTrimmingFn = function headTrimmingFn(lines, lineCount) {\n    return lines.slice(0, lineCount);\n  };\n\n  var _trimFileContent = (0, _head_tail_util.trimFileContent)(state.getFileSystem(), filePath, options, headTrimmingFn),\n      content = _trimFileContent.content,\n      err = _trimFileContent.err;\n\n  if (err) {\n    return {\n      output: OutputFactory.makeErrorOutput(err)\n    };\n  }\n\n  return {\n    output: OutputFactory.makeTextOutput(content)\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/history.js\":\n/*!*********************************!*\\\n  !*** ./src/commands/history.js ***!\n  \\*********************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _history = __webpack_require__(/*! emulator-state/history */ \"./src/emulator-state/history.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nvar clearStateHistory = function clearStateHistory(state) {\n  return state.setHistory((0, _history.create)());\n}; /**\n    * Lists or clears commands executed in the terminal\n    * Usage: history -c\n    */\n\n\nvar stringifyStateHistory = function stringifyStateHistory(state) {\n  return state.getHistory().join(\'\\n\');\n};\n\nvar optDef = exports.optDef = {\n  \'-c, --clear\': \'\' // remove history entries\n};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      options = _parseOptions.options;\n\n  if (options.clear) {\n    return {\n      state: clearStateHistory(state)\n    };\n  };\n\n  return {\n    output: OutputFactory.makeTextOutput(stringifyStateHistory(state))\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/index.js\":\n/*!*******************************!*\\\n  !*** ./src/commands/index.js ***!\n  \\*******************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nfunction _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }\n\nvar commandNames = exports.commandNames = [\'cat\', \'cd\', \'clear\', \'cp\', \'echo\', \'head\', \'history\', \'ls\', \'mkdir\', \'printenv\', \'pwd\', \'rm\', \'rmdir\', \'tail\', \'touch\', \'whoami\'];\n\nexports.default = commandNames.reduce(function (mapping, commandName) {\n  return _extends({}, mapping, _defineProperty({}, commandName, {\n    function: __webpack_require__(\"./src/commands sync recursive ^\\\\.\\\\/.*$\")(\"./\" + commandName).default,\n    optDef: __webpack_require__(\"./src/commands sync recursive ^\\\\.\\\\/.*$\")(\"./\" + commandName).optDef\n  }));\n}, {});\n\n/***/ }),\n\n/***/ \"./src/commands/ls.js\":\n/*!****************************!*\\\n  !*** ./src/commands/ls.js ***!\n  \\****************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations-with-permissions/directory-operations */ \"./src/fs/operations-with-permissions/directory-operations.js\");\n\nvar DirectoryOp = _interopRequireWildcard(_directoryOperations);\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nvar EnvVariableUtil = _interopRequireWildcard(_environmentVariables);\n\nvar _pathUtil = __webpack_require__(/*! fs/util/path-util */ \"./src/fs/util/path-util.js\");\n\nvar PathUtil = _interopRequireWildcard(_pathUtil);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Lists the contents of a directory\n * Usage: ls /folderName\n */\nvar IMPLIED_DIRECTORY_ENTRIES = (0, _immutable.Seq)([\'.\', \'..\']); // . = listed folder, .. = parent folder\n\n/**\n * Finds the directory path to list entries in.\n *\n * If ls has an argument passed in (example: ls /home/user/directory-to-list),\n * use the first argument as the directory to list.\n *\n * If ls is used without any path arguments (example: ls), the cwd (current\n * working directory) should be listed by ls.\n * @param  {Map}    envVariables  environment variables\n * @param  {array}  argv          argument vector\n * @return {string}               directory path to list\n */\nvar resolveDirectoryToList = function resolveDirectoryToList(envVariables, argv) {\n  var cwd = EnvVariableUtil.getEnvironmentVariable(envVariables, \'cwd\');\n\n  if (argv.length > 0) {\n    return PathUtil.toAbsolutePath(argv[0], cwd);\n  }\n\n  return cwd;\n};\n\n/**\n * Alphabetically sorts the ls listing for display to the user\n * @param  {array}  listing list of files/directories to present to the user\n * @return {object}         return object of ls\n */\nvar makeSortedReturn = function makeSortedReturn(listing) {\n  var sortedListing = listing.sort();\n\n  return {\n    output: OutputFactory.makeTextOutput(sortedListing.join(\'\\n\'))\n  };\n};\n\nvar removeHiddenFilesFilter = function removeHiddenFilesFilter(record) {\n  return !record.startsWith(\'.\');\n};\n\nvar optDef = exports.optDef = {\n  \'-a, --all\': \'\', // Include hidden directory entries starting with .\n  \'-A, --almost-all\': \'\' // Do not include . and .. as implied directory entries\n};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      options = _parseOptions.options,\n      argv = _parseOptions.argv;\n\n  var dirPath = resolveDirectoryToList(state.getEnvVariables(), argv);\n\n  var _DirectoryOp$listDire = DirectoryOp.listDirectory(state.getFileSystem(), dirPath),\n      err = _DirectoryOp$listDire.err,\n      dirList = _DirectoryOp$listDire.list;\n\n  if (err) {\n    return {\n      output: OutputFactory.makeErrorOutput(err)\n    };\n  }\n\n  if (options.all) {\n    return makeSortedReturn(IMPLIED_DIRECTORY_ENTRIES.concat(dirList));\n  } else if (options.almostAll) {\n    return makeSortedReturn(dirList);\n  }\n\n  return makeSortedReturn(dirList.filter(removeHiddenFilesFilter));\n};\n\n/***/ }),\n\n/***/ \"./src/commands/mkdir.js\":\n/*!*******************************!*\\\n  !*** ./src/commands/mkdir.js ***!\n  \\*******************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations-with-permissions/directory-operations */ \"./src/fs/operations-with-permissions/directory-operations.js\");\n\nvar DirOp = _interopRequireWildcard(_directoryOperations);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _fileUtil = __webpack_require__(/*! fs/util/file-util */ \"./src/fs/util/file-util.js\");\n\nvar FileUtil = _interopRequireWildcard(_fileUtil);\n\nvar _util = __webpack_require__(/*! emulator-state/util */ \"./src/emulator-state/util.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nvar EMPTY_DIR = FileUtil.makeDirectory(); /**\n                                           * Creates an empty directory\n                                           * Usage: mkdir /newDir\n                                           */\nvar optDef = exports.optDef = {};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv;\n\n  if (argv.length === 0) {\n    return {}; // do nothing if no arguments are given\n  }\n\n  var newFolderPath = (0, _util.resolvePath)(state, argv[0]);\n\n  var _DirOp$addDirectory = DirOp.addDirectory(state.getFileSystem(), newFolderPath, EMPTY_DIR, false),\n      fs = _DirOp$addDirectory.fs,\n      err = _DirOp$addDirectory.err;\n\n  if (err) {\n    return {\n      output: OutputFactory.makeErrorOutput(err)\n    };\n  }\n\n  return {\n    state: state.setFileSystem(fs)\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/printenv.js\":\n/*!**********************************!*\\\n  !*** ./src/commands/printenv.js ***!\n  \\**********************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nfunction _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } } /**\n                                                                                                                                                                                                     * Prints environment variable values\n                                                                                                                                                                                                     * Usage: printenv cwd\n                                                                                                                                                                                                     */\n\n\n// Converts all key-value pairs of the environment variables to a printable format\nvar stringifyEnvVariables = function stringifyEnvVariables(envVariables) {\n  var outputs = envVariables.reduce(function (outputs, varVal, varKey) {\n    return [].concat(_toConsumableArray(outputs), [varKey + \'=\' + varVal]);\n  }, []);\n\n  return outputs.join(\'\\n\');\n};\n\nvar optDef = exports.optDef = {};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv;\n\n  var envVariables = state.getEnvVariables();\n\n  if (argv.length === 0) {\n    return {\n      output: OutputFactory.makeTextOutput(stringifyEnvVariables(envVariables))\n    };\n  }\n\n  // An argument has been passed to printenv; printenv will only print the first\n  // argument provided\n  var varValue = (0, _environmentVariables.getEnvironmentVariable)(envVariables, argv[0]);\n\n  if (varValue) {\n    return {\n      output: OutputFactory.makeTextOutput(varValue)\n    };\n  }\n\n  return {};\n};\n\n/***/ }),\n\n/***/ \"./src/commands/pwd.js\":\n/*!*****************************!*\\\n  !*** ./src/commands/pwd.js ***!\n  \\*****************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\n/**\n * Prints out the current working directory (cwd).\n * Usage: pwd\n */\nvar optDef = exports.optDef = {};\n\nexports.default = function (state, commandOptions) {\n  return {\n    output: OutputFactory.makeTextOutput((0, _environmentVariables.getEnvironmentVariable)(state.getEnvVariables(), \'cwd\'))\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/rm.js\":\n/*!****************************!*\\\n  !*** ./src/commands/rm.js ***!\n  \\****************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _fileOperations = __webpack_require__(/*! fs/operations-with-permissions/file-operations */ \"./src/fs/operations-with-permissions/file-operations.js\");\n\nvar FileOp = _interopRequireWildcard(_fileOperations);\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations-with-permissions/directory-operations */ \"./src/fs/operations-with-permissions/directory-operations.js\");\n\nvar DirOp = _interopRequireWildcard(_directoryOperations);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _util = __webpack_require__(/*! emulator-state/util */ \"./src/emulator-state/util.js\");\n\nvar _fsError = __webpack_require__(/*! fs/fs-error */ \"./src/fs/fs-error.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Removes a directory or a file\n * Usage: rm /existingDir\n */\nvar optDef = exports.optDef = {\n  \'--no-preserve-root, --noPreserveRoot\': \'\',\n  \'-r, --recursive\': \'\'\n};\n\nvar makeNoPathErrorOutput = function makeNoPathErrorOutput() {\n  var noSuchFileOrDirError = (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_FILE_OR_DIRECTORY);\n\n  return {\n    output: OutputFactory.makeErrorOutput(noSuchFileOrDirError)\n  };\n};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv,\n      options = _parseOptions.options;\n\n  if (argv.length === 0) {\n    return {}; // do nothing if no arguments are given\n  }\n\n  var deletionPath = (0, _util.resolvePath)(state, argv[0]);\n  var fs = state.getFileSystem();\n\n  if (deletionPath === \'/\' && options.noPreserveRoot !== true) {\n    return {}; // do nothing as cannot safely delete the root\n  }\n\n  if (!fs.has(deletionPath)) {\n    return makeNoPathErrorOutput();\n  }\n\n  var _ref = options.recursive === true ? DirOp.deleteDirectory(fs, deletionPath, true) : FileOp.deleteFile(fs, deletionPath),\n      deletedPathFS = _ref.fs,\n      err = _ref.err;\n\n  if (err) {\n    return {\n      output: OutputFactory.makeErrorOutput(err)\n    };\n  }\n\n  return {\n    state: state.setFileSystem(deletedPathFS)\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/rmdir.js\":\n/*!*******************************!*\\\n  !*** ./src/commands/rmdir.js ***!\n  \\*******************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations-with-permissions/directory-operations */ \"./src/fs/operations-with-permissions/directory-operations.js\");\n\nvar DirOp = _interopRequireWildcard(_directoryOperations);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _util = __webpack_require__(/*! emulator-state/util */ \"./src/emulator-state/util.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Removes an empty directory\n * Usage: rmdir /emptyDir\n */\nvar optDef = exports.optDef = {};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv;\n\n  if (argv.length === 0) {\n    return {}; // do nothing if no arguments are given\n  }\n\n  var pathToDelete = (0, _util.resolvePath)(state, argv[0]);\n\n  var _DirOp$deleteDirector = DirOp.deleteDirectory(state.getFileSystem(), pathToDelete, false),\n      fs = _DirOp$deleteDirector.fs,\n      err = _DirOp$deleteDirector.err;\n\n  if (err) {\n    return {\n      output: OutputFactory.makeErrorOutput(err)\n    };\n  }\n\n  return {\n    state: state.setFileSystem(fs)\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/tail.js\":\n/*!******************************!*\\\n  !*** ./src/commands/tail.js ***!\n  \\******************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _head_tail_util = __webpack_require__(/*! commands/util/_head_tail_util.js */ \"./src/commands/util/_head_tail_util.js\");\n\nvar _util = __webpack_require__(/*! emulator-state/util */ \"./src/emulator-state/util.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Prints the last n lines of a file\n * Usage: tail -n 5 file.txt\n */\nvar optDef = exports.optDef = {\n  \'-n, --lines\': \'<count>\'\n};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv,\n      options = _parseOptions.options;\n\n  if (argv.length === 0) {\n    return {};\n  }\n\n  var filePath = (0, _util.resolvePath)(state, argv[0]);\n  var tailTrimmingFn = function tailTrimmingFn(lines, lineCount) {\n    return lines.slice(-1 * lineCount);\n  };\n\n  var _trimFileContent = (0, _head_tail_util.trimFileContent)(state.getFileSystem(), filePath, options, tailTrimmingFn),\n      content = _trimFileContent.content,\n      err = _trimFileContent.err;\n\n  if (err) {\n    return {\n      output: OutputFactory.makeErrorOutput(err)\n    };\n  }\n\n  return {\n    output: OutputFactory.makeTextOutput(content)\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/touch.js\":\n/*!*******************************!*\\\n  !*** ./src/commands/touch.js ***!\n  \\*******************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar _optionParser2 = _interopRequireDefault(_optionParser);\n\nvar _fileOperations = __webpack_require__(/*! fs/operations-with-permissions/file-operations */ \"./src/fs/operations-with-permissions/file-operations.js\");\n\nvar FileOp = _interopRequireWildcard(_fileOperations);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _fileUtil = __webpack_require__(/*! fs/util/file-util */ \"./src/fs/util/file-util.js\");\n\nvar FileUtil = _interopRequireWildcard(_fileUtil);\n\nvar _util = __webpack_require__(/*! emulator-state/util */ \"./src/emulator-state/util.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nvar EMPTY_FILE = FileUtil.makeFile(); /**\n                                       * Creates an empty file.\n                                       * Usage: touch new_file.txt\n                                       */\nvar optDef = exports.optDef = {};\n\nexports.default = function (state, commandOptions) {\n  var _parseOptions = (0, _optionParser2.default)(commandOptions, optDef),\n      argv = _parseOptions.argv;\n\n  if (argv.length === 0) {\n    return {}; // do nothing if no arguments are given\n  }\n\n  var filePath = (0, _util.resolvePath)(state, argv[0]);\n\n  if (state.getFileSystem().has(filePath)) {\n    return {}; // do nothing if already has a file at the provided path\n  }\n\n  var _FileOp$writeFile = FileOp.writeFile(state.getFileSystem(), filePath, EMPTY_FILE),\n      fs = _FileOp$writeFile.fs,\n      err = _FileOp$writeFile.err;\n\n  if (err) {\n    return {\n      output: OutputFactory.makeErrorOutput(err)\n    };\n  }\n\n  return {\n    state: state.setFileSystem(fs)\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/util/_head_tail_util.js\":\n/*!**********************************************!*\\\n  !*** ./src/commands/util/_head_tail_util.js ***!\n  \\**********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.trimFileContent = undefined;\n\nvar _fileOperations = __webpack_require__(/*! fs/operations-with-permissions/file-operations */ \"./src/fs/operations-with-permissions/file-operations.js\");\n\nvar FileOp = _interopRequireWildcard(_fileOperations);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nvar DEFAULT_LINE_COUNT = 10;\n\nvar trimFileContent = exports.trimFileContent = function trimFileContent(fs, filePath, options, trimmingFn) {\n  var _FileOp$readFile = FileOp.readFile(fs, filePath),\n      file = _FileOp$readFile.file,\n      err = _FileOp$readFile.err;\n\n  if (err) {\n    return {\n      err: OutputFactory.makeErrorOutput(err)\n    };\n  };\n\n  var linesCount = options.lines ? Number(options.lines) : DEFAULT_LINE_COUNT;\n  var trimmedLines = trimmingFn(file.get(\'content\').split(\'\\n\'), linesCount);\n\n  return {\n    content: trimmedLines.join(\'\\n\')\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/commands/whoami.js\":\n/*!********************************!*\\\n  !*** ./src/commands/whoami.js ***!\n  \\********************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.optDef = undefined;\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\n/**\n * Prints the username of the logged in user\n * Usage: whoami\n */\nvar FALLBACK_USERNAME = \'root\';\n\nvar optDef = exports.optDef = {};\n\nexports.default = function (state, commandOptions) {\n  return {\n    output: OutputFactory.makeTextOutput((0, _environmentVariables.getEnvironmentVariable)(state.getEnvVariables(), \'user\') || FALLBACK_USERNAME)\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/emulator-output/index.js\":\n/*!**************************************!*\\\n  !*** ./src/emulator-output/index.js ***!\n  \\**************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar OutputFactory = _interopRequireWildcard(_outputFactory);\n\nvar _outputType = __webpack_require__(/*! emulator-output/output-type */ \"./src/emulator-output/output-type.js\");\n\nvar OutputType = _interopRequireWildcard(_outputType);\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nexports.default = {\n  OutputFactory: OutputFactory, OutputType: OutputType\n};\nmodule.exports = exports[\'default\'];\n\n/***/ }),\n\n/***/ \"./src/emulator-output/output-factory.js\":\n/*!***********************************************!*\\\n  !*** ./src/emulator-output/output-factory.js ***!\n  \\***********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.makeErrorOutput = exports.makeTextOutput = exports.makeHeaderOutput = exports.OutputRecord = undefined;\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\nvar _outputType = __webpack_require__(/*! emulator-output/output-type */ \"./src/emulator-output/output-type.js\");\n\n/**\n * Output from a command or emulator used for display to the user\n * @type {OutputRecord}\n */\nvar OutputRecord = exports.OutputRecord = (0, _immutable.Record)({\n  type: undefined,\n  content: undefined\n});\n\n/**\n * A terminal header containing metadata\n * @param  {string} cwd   the current working directory path\n * @return {OutputRecord} output record\n */\nvar makeHeaderOutput = exports.makeHeaderOutput = function makeHeaderOutput(cwd, command) {\n  return new OutputRecord({\n    type: _outputType.HEADER_OUTPUT_TYPE,\n    content: { cwd: cwd, command: command }\n  });\n};\n\n/**\n * Unstyled text output\n * @param  {string} content plain string output from a command or the emulator\n * @return {OutputRecord}   output record\n */\nvar makeTextOutput = exports.makeTextOutput = function makeTextOutput(content) {\n  return new OutputRecord({\n    type: _outputType.TEXT_OUTPUT_TYPE,\n    content: content\n  });\n};\n\n/**\n * Error text output\n * @param  {object} err internal error object\n * @return {OutputRecord}   output record\n */\nvar makeErrorOutput = exports.makeErrorOutput = function makeErrorOutput(err) {\n  return new OutputRecord({\n    type: _outputType.TEXT_ERROR_OUTPUT_TYPE,\n    content: err.source + \': \' + err.type\n  });\n};\n\n/***/ }),\n\n/***/ \"./src/emulator-output/output-type.js\":\n/*!********************************************!*\\\n  !*** ./src/emulator-output/output-type.js ***!\n  \\********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n/**\n * Types of output which can be used to display content to the user\n * @type {String}\n */\nvar TEXT_OUTPUT_TYPE = exports.TEXT_OUTPUT_TYPE = \'TEXT_OUTPUT\';\nvar TEXT_ERROR_OUTPUT_TYPE = exports.TEXT_ERROR_OUTPUT_TYPE = \'TEXT_ERROR_OUTPUT\';\nvar HEADER_OUTPUT_TYPE = exports.HEADER_OUTPUT_TYPE = \'HEADER_OUTPUT_TYPE\';\n\n/***/ }),\n\n/***/ \"./src/emulator-state/EmulatorState.js\":\n/*!*********************************************!*\\\n  !*** ./src/emulator-state/EmulatorState.js ***!\n  \\*********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\nvar _commandMapping = __webpack_require__(/*! emulator-state/command-mapping */ \"./src/emulator-state/command-mapping.js\");\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nvar _fileSystem = __webpack_require__(/*! emulator-state/file-system */ \"./src/emulator-state/file-system.js\");\n\nvar _history = __webpack_require__(/*! emulator-state/history */ \"./src/emulator-state/history.js\");\n\nvar _outputs = __webpack_require__(/*! emulator-state/outputs */ \"./src/emulator-state/outputs.js\");\n\nfunction _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nvar FS_KEY = \'fs\';\nvar ENVIRONMENT_VARIABLES_KEY = \'environmentVariables\';\nvar HISTORY_KEY = \'history\';\nvar OUTPUTS_KEY = \'outputs\';\nvar COMMAND_MAPPING_KEY = \'commandMapping\';\n\nvar EmulatorState = function () {\n  function EmulatorState(immutable) {\n    _classCallCheck(this, EmulatorState);\n\n    if (!immutable || !(immutable instanceof _immutable.Map)) {\n      throw new Error(\'Do not use the constructor directly. Use the static create method.\');\n    }\n\n    this._immutable = immutable;\n  }\n\n  /**\n   * Creates emulator state with defaults\n   * @return {EmulatorState} default emulator state\n   */\n\n\n  _createClass(EmulatorState, [{\n    key: \'getFileSystem\',\n    value: function getFileSystem() {\n      return this.getImmutable().get(FS_KEY);\n    }\n  }, {\n    key: \'setFileSystem\',\n    value: function setFileSystem(newFileSystem) {\n      return new EmulatorState(this.getImmutable().set(FS_KEY, newFileSystem));\n    }\n  }, {\n    key: \'getEnvVariables\',\n    value: function getEnvVariables() {\n      return this.getImmutable().get(ENVIRONMENT_VARIABLES_KEY);\n    }\n  }, {\n    key: \'setEnvVariables\',\n    value: function setEnvVariables(newEnvVariables) {\n      return new EmulatorState(this.getImmutable().set(ENVIRONMENT_VARIABLES_KEY, newEnvVariables));\n    }\n  }, {\n    key: \'getHistory\',\n    value: function getHistory() {\n      return this.getImmutable().get(HISTORY_KEY);\n    }\n  }, {\n    key: \'setHistory\',\n    value: function setHistory(newHistory) {\n      return new EmulatorState(this.getImmutable().set(HISTORY_KEY, newHistory));\n    }\n  }, {\n    key: \'getOutputs\',\n    value: function getOutputs() {\n      return this.getImmutable().get(OUTPUTS_KEY);\n    }\n  }, {\n    key: \'setOutputs\',\n    value: function setOutputs(newOutputs) {\n      return new EmulatorState(this.getImmutable().set(OUTPUTS_KEY, newOutputs));\n    }\n  }, {\n    key: \'getCommandMapping\',\n    value: function getCommandMapping() {\n      return this.getImmutable().get(COMMAND_MAPPING_KEY);\n    }\n  }, {\n    key: \'setCommandMapping\',\n    value: function setCommandMapping(newCommandMapping) {\n      return new EmulatorState(this.getImmutable().set(COMMAND_MAPPING_KEY, newCommandMapping));\n    }\n  }, {\n    key: \'getImmutable\',\n    value: function getImmutable() {\n      return this._immutable;\n    }\n  }, {\n    key: \'toJS\',\n    value: function toJS() {\n      return this._immutable.toJS();\n    }\n  }], [{\n    key: \'createEmpty\',\n    value: function createEmpty() {\n      return EmulatorState.create({});\n    }\n\n    /**\n     * Creates emulator state using the user\'s state components, or a default\n     * fallback if none is provided\n     * @param  {object} optionally contains each component as a key and the component as a value\n     * @return {EmulatorState}     emulator state\n     */\n\n  }, {\n    key: \'create\',\n    value: function create(_ref) {\n      var _ref2;\n\n      var _ref$fs = _ref.fs,\n          fs = _ref$fs === undefined ? (0, _fileSystem.create)() : _ref$fs,\n          _ref$environmentVaria = _ref.environmentVariables,\n          environmentVariables = _ref$environmentVaria === undefined ? (0, _environmentVariables.create)() : _ref$environmentVaria,\n          _ref$history = _ref.history,\n          history = _ref$history === undefined ? (0, _history.create)() : _ref$history,\n          _ref$outputs = _ref.outputs,\n          outputs = _ref$outputs === undefined ? (0, _outputs.create)() : _ref$outputs,\n          _ref$commandMapping = _ref.commandMapping,\n          commandMapping = _ref$commandMapping === undefined ? (0, _commandMapping.create)() : _ref$commandMapping;\n\n      var stateMap = new _immutable.Map((_ref2 = {}, _defineProperty(_ref2, FS_KEY, fs), _defineProperty(_ref2, ENVIRONMENT_VARIABLES_KEY, environmentVariables), _defineProperty(_ref2, HISTORY_KEY, history), _defineProperty(_ref2, OUTPUTS_KEY, outputs), _defineProperty(_ref2, COMMAND_MAPPING_KEY, commandMapping), _ref2));\n\n      return new EmulatorState(stateMap);\n    }\n  }]);\n\n  return EmulatorState;\n}();\n\nexports.default = EmulatorState;\nmodule.exports = exports[\'default\'];\n\n/***/ }),\n\n/***/ \"./src/emulator-state/command-mapping.js\":\n/*!***********************************************!*\\\n  !*** ./src/emulator-state/command-mapping.js ***!\n  \\***********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.getCommandNames = exports.getCommandOptDef = exports.getCommandFn = exports.unsetCommand = exports.setCommand = exports.isCommandSet = exports.create = undefined;\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\nvar _commands = __webpack_require__(/*! commands */ \"./src/commands/index.js\");\n\nvar _commands2 = _interopRequireDefault(_commands);\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Links a command name to a function\n * @param  {Object} [commandMapping={}] default command map\n * @return {Map}                        command mapping\n */\nvar create = exports.create = function create() {\n  var commandMapping = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _commands2.default;\n  var _iteratorNormalCompletion = true;\n  var _didIteratorError = false;\n  var _iteratorError = undefined;\n\n  try {\n    for (var _iterator = Object.keys(commandMapping)[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {\n      var commandName = _step.value;\n\n      var command = commandMapping[commandName];\n\n      if (!command.hasOwnProperty(\'function\')) {\n        throw new Error(\'Failed to create command mapping: missing command function for \' + commandName);\n      }\n\n      if (!command.hasOwnProperty(\'optDef\')) {\n        throw new Error(\'Failed to create command mapping: missing option definition (optDef) for \' + commandName);\n      }\n    }\n  } catch (err) {\n    _didIteratorError = true;\n    _iteratorError = err;\n  } finally {\n    try {\n      if (!_iteratorNormalCompletion && _iterator.return) {\n        _iterator.return();\n      }\n    } finally {\n      if (_didIteratorError) {\n        throw _iteratorError;\n      }\n    }\n  }\n\n  return (0, _immutable.fromJS)(commandMapping);\n};\n\n/**\n * Checks if a comand has been defined with a function in the command mapping\n * @param  {Map}     commandMapping command mapping\n * @param  {string}  commandName    command name to check if available\n * @return {Boolean}                true, if the command is available\n */\nvar isCommandSet = exports.isCommandSet = function isCommandSet(commandMapping, commandName) {\n  return commandMapping.has(commandName);\n};\n\n/**\n * Set a command function with a key of the command name into the command mapping\n * @param  {Map}      commandMapping command mapping\n * @param  {string}   commandName    name of the function\n * @param  {function} commandFn      command function\n * @param  {object}   optDef         option definition (optional)\n * @return {Map}                     command mapping\n */\nvar setCommand = exports.setCommand = function setCommand(commandMapping, commandName, commandFn, optDef) {\n  if (commandFn === undefined) {\n    throw new Error(\'Cannot set \' + commandName + \' command without function\');\n  }\n\n  if (optDef === undefined) {\n    throw new Error(\'Cannot set \' + commandName + \' command without optDef (pass in {} if the command takes no options)\');\n  }\n\n  return commandMapping.set(commandName, (0, _immutable.fromJS)({\n    \'function\': commandFn,\n    \'optDef\': optDef\n  }));\n};\n\n/**\n * Removes a command name and its function from a command mapping\n * @param  {Map}    commandMapping command mapping\n * @param  {string} commandName    name of command to remove\n * @return {Map}                   command mapping\n */\nvar unsetCommand = exports.unsetCommand = function unsetCommand(commandMapping, commandName) {\n  return commandMapping.delete(commandName);\n};\n\n/**\n * Gets the function of a command based on its command name (the key) from the\n * command mapping\n * @param  {Map}      commandMapping command mapping\n * @param  {string}   commandName    name of command\n * @return {function}                command function\n */\nvar getCommandFn = exports.getCommandFn = function getCommandFn(commandMapping, commandName) {\n  if (commandMapping.has(commandName)) {\n    return commandMapping.get(commandName).get(\'function\');\n  }\n\n  return undefined;\n};\n\n/**\n * Gets the option definition of a command based on its command name\n * @param  {Map}      commandMapping command mapping\n * @param  {string}   commandName    name of command\n * @return {Map}                     option definition\n */\nvar getCommandOptDef = exports.getCommandOptDef = function getCommandOptDef(commandMapping, commandName) {\n  if (commandMapping.has(commandName)) {\n    return commandMapping.get(commandName).get(\'optDef\');\n  }\n\n  return undefined;\n};\n\n/**\n * Gets command names\n * @param  {Map}      commandMapping command mapping\n * @return {Seq}                     sequence of command names\n */\nvar getCommandNames = exports.getCommandNames = function getCommandNames(commandMapping) {\n  return commandMapping.keySeq();\n};\n\n/***/ }),\n\n/***/ \"./src/emulator-state/environment-variables.js\":\n/*!*****************************************************!*\\\n  !*** ./src/emulator-state/environment-variables.js ***!\n  \\*****************************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.unsetEnvironmentVariable = exports.setEnvironmentVariable = exports.getEnvironmentVariable = exports.create = undefined;\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\n/**\n * Environment variable mapping containing arbitary data accessed by any\n * command or the emulator as a key-value pair\n * @param  {Object} [defaultVariables={}] default environment variables\n * @return {Map}                          environment variables\n */\nvar create = exports.create = function create() {\n  var defaultVariables = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};\n  var cwd = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : \'/\';\n\n  if (!cwd && !defaultVariables.hasOwnProperty(\'cwd\')) {\n    throw new Error(\"Failed to create environment variables. Missing \'cwd\' (current working directory).\");\n  }\n\n  return (0, _immutable.Map)(_extends({\n    \'cwd\': cwd }, defaultVariables));\n};\n\n/**\n * Gets the value of an environment variable\n * @param  {Map} environmentVariables environment variables\n * @param  {string} key               name of the environment variable\n * @return {T}                        the value stored in the environment variable\n */\nvar getEnvironmentVariable = exports.getEnvironmentVariable = function getEnvironmentVariable(environmentVariables, key) {\n  return environmentVariables.get(key);\n};\n\n/**\n * Sets the value of an environment variable\n * @param {Map} environmentVariables environment variables\n * @param {string} key               name of the environment variable\n * @param {T} val                    value to store in the environment variable\n * @return {Map}                     environment variables\n */\nvar setEnvironmentVariable = exports.setEnvironmentVariable = function setEnvironmentVariable(environmentVariables, key, val) {\n  return environmentVariables.set(key, val);\n};\n\n/**\n * Removes an environment variable\n * @param {Map} environmentVariables environment variables\n * @param {string} key               name of the environment variable\n * @return {Map}                     environment variables\n */\nvar unsetEnvironmentVariable = exports.unsetEnvironmentVariable = function unsetEnvironmentVariable(environmentVariables, key) {\n  return environmentVariables.delete(key);\n};\n\n/***/ }),\n\n/***/ \"./src/emulator-state/file-system.js\":\n/*!*******************************************!*\\\n  !*** ./src/emulator-state/file-system.js ***!\n  \\*******************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.create = undefined;\n\nvar _fileUtil = __webpack_require__(/*! fs/util/file-util */ \"./src/fs/util/file-util.js\");\n\nvar FileUtil = _interopRequireWildcard(_fileUtil);\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations/directory-operations */ \"./src/fs/operations/directory-operations.js\");\n\nvar DirOp = _interopRequireWildcard(_directoryOperations);\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nvar DEFAULT_FILE_SYSTEM = {\n  \'/\': FileUtil.makeDirectory()\n};\n\n/**\n * Creates an immutable data structure for a file system\n * @param  {object} jsFs a file system in a simple JavaScript object\n * @return {Map}         an immutable file system\n */\nvar create = exports.create = function create() {\n  var jsFs = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : DEFAULT_FILE_SYSTEM;\n\n  return DirOp.fillGaps((0, _immutable.fromJS)(jsFs));\n};\n\n/***/ }),\n\n/***/ \"./src/emulator-state/history.js\":\n/*!***************************************!*\\\n  !*** ./src/emulator-state/history.js ***!\n  \\***************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.recordCommand = exports.create = undefined;\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\nfunction _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }\n\n/**\n * Creates a new history stack of previous commands that have been run in the\n * emulator\n * @param  {array}  [entries=[]] commands which have already been run (if any)\n * @return {Stack}               history list\n */\nvar create = exports.create = function create() {\n  var entries = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];\n\n  return _immutable.Stack.of.apply(_immutable.Stack, _toConsumableArray(entries));\n};\n\n/**\n * Stores a command in history in a stack (i.e., the latest command is on top of\n * the history stack)\n * @param  {Stack} history     history\n * @param  {string} commandRun the command to store\n * @return {Stack}             history\n */\nvar recordCommand = exports.recordCommand = function recordCommand(history, commandRun) {\n  return history.push(commandRun);\n};\n\n/***/ }),\n\n/***/ \"./src/emulator-state/index.js\":\n/*!*************************************!*\\\n  !*** ./src/emulator-state/index.js ***!\n  \\*************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nvar _commandMapping = __webpack_require__(/*! emulator-state/command-mapping */ \"./src/emulator-state/command-mapping.js\");\n\nvar CommandMapping = _interopRequireWildcard(_commandMapping);\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nvar EnvironmentVariables = _interopRequireWildcard(_environmentVariables);\n\nvar _fileSystem = __webpack_require__(/*! emulator-state/file-system */ \"./src/emulator-state/file-system.js\");\n\nvar FileSystem = _interopRequireWildcard(_fileSystem);\n\nvar _history = __webpack_require__(/*! emulator-state/history */ \"./src/emulator-state/history.js\");\n\nvar History = _interopRequireWildcard(_history);\n\nvar _outputs = __webpack_require__(/*! emulator-state/outputs */ \"./src/emulator-state/outputs.js\");\n\nvar Outputs = _interopRequireWildcard(_outputs);\n\nvar _EmulatorState = __webpack_require__(/*! emulator-state/EmulatorState */ \"./src/emulator-state/EmulatorState.js\");\n\nvar _EmulatorState2 = _interopRequireDefault(_EmulatorState);\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nexports.default = {\n  EmulatorState: _EmulatorState2.default,\n  CommandMapping: CommandMapping,\n  EnvironmentVariables: EnvironmentVariables,\n  FileSystem: FileSystem,\n  History: History,\n  Outputs: Outputs\n};\nmodule.exports = exports[\'default\'];\n\n/***/ }),\n\n/***/ \"./src/emulator-state/outputs.js\":\n/*!***************************************!*\\\n  !*** ./src/emulator-state/outputs.js ***!\n  \\***************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.addRecord = exports.create = undefined;\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\n/**\n * Stores outputs from the emulator (e.g. text to display after running a command)\n * @param  {Array}  [outputs=[]] Previous outputs\n * @return {List}               List of outputs objects\n */\nvar create = exports.create = function create() {\n  var outputs = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];\n\n  return (0, _immutable.List)(outputs);\n};\n\n/**\n * Adds a new output record\n * @param {List}         outputs      outputs list\n * @param {OutputRecord} outputRecord record conforming to output schema\n */\nvar addRecord = exports.addRecord = function addRecord(outputs, outputRecord) {\n  if (!_immutable.Record.isRecord(outputRecord)) {\n    throw new Error(\'Only records of type OutputRecord can be added to outputs\');\n  }\n\n  if (!outputRecord.has(\'type\')) {\n    throw new Error(\'Output record must include a type\');\n  }\n\n  if (!outputRecord.has(\'content\')) {\n    throw new Error(\'Output record must include content\');\n  }\n\n  return outputs.push(outputRecord);\n};\n\n/***/ }),\n\n/***/ \"./src/emulator-state/util.js\":\n/*!************************************!*\\\n  !*** ./src/emulator-state/util.js ***!\n  \\************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.resolvePath = undefined;\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nvar EnvVariableUtil = _interopRequireWildcard(_environmentVariables);\n\nvar _pathUtil = __webpack_require__(/*! fs/util/path-util */ \"./src/fs/util/path-util.js\");\n\nvar PathUtil = _interopRequireWildcard(_pathUtil);\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\n/**\n * Converts a given path to an absolute path using the\n * current working directory\n * @param  {EmulatorState} state emulator state\n * @param  {string} path         path (relative or absolute)\n * @return {string}              absolute path\n */\nvar resolvePath = exports.resolvePath = function resolvePath(state, path) {\n  var cwd = EnvVariableUtil.getEnvironmentVariable(state.getEnvVariables(), \'cwd\');\n\n  return PathUtil.toAbsolutePath(path, cwd);\n};\n\n/***/ }),\n\n/***/ \"./src/emulator/auto-complete.js\":\n/*!***************************************!*\\\n  !*** ./src/emulator/auto-complete.js ***!\n  \\***************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.suggestFileSystemNames = exports.suggestCommandOptions = exports.suggestCommands = undefined;\n\nvar _pathUtil = __webpack_require__(/*! fs/util/path-util */ \"./src/fs/util/path-util.js\");\n\nvar PathUtil = _interopRequireWildcard(_pathUtil);\n\nvar _globUtil = __webpack_require__(/*! fs/util/glob-util */ \"./src/fs/util/glob-util.js\");\n\nvar GlobUtil = _interopRequireWildcard(_globUtil);\n\nvar _commandMapping = __webpack_require__(/*! emulator-state/command-mapping */ \"./src/emulator-state/command-mapping.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }\n\n/**\n * Suggest command names\n * @param  {Map}    cmdMapping     command mapping\n * @param  {string} partialStr     partial user input of a command\n * @return {array}                 list of possible text suggestions\n */\nvar suggestCommands = exports.suggestCommands = function suggestCommands(cmdMapping, partialStr) {\n  var commandNameSeq = (0, _commandMapping.getCommandNames)(cmdMapping);\n\n  return [].concat(_toConsumableArray(GlobUtil.globSeq(commandNameSeq, partialStr + \'*\')));\n};\n\n/**\n * Suggest command options\n * @param  {Map}    cmdMapping     command mapping\n * @param  {string} commandName    name of the command user is running\n * @param  {string} partialStr     partial user input of a command (excluding the command name)\n * @return {array}                 list of possible text suggestions\n */\nvar suggestCommandOptions = exports.suggestCommandOptions = function suggestCommandOptions(cmdMapping, commandName, partialStr) {\n  if (!(0, _commandMapping.isCommandSet)(cmdMapping, commandName)) {\n    return [];\n  }\n\n  var optDefSeq = (0, _commandMapping.getCommandOptDef)(cmdMapping, commandName).keySeq().flatMap(function (opts) {\n    return opts.split(\',\').map(function (opt) {\n      return opt.trim();\n    });\n  });\n\n  return [].concat(_toConsumableArray(GlobUtil.globSeq(optDefSeq, partialStr + \'*\')));\n};\n\n/**\n * Suggest file and folder names from partially completed user input\n * @param  {Map}    fileSystem file system\n * @param  {string} cwd        current working directory\n * @param  {string} partialStr partial string to base suggestions on (excluding the command name)\n * @return {array}             list of possible text suggestions\n */\nvar suggestFileSystemNames = exports.suggestFileSystemNames = function suggestFileSystemNames(fileSystem, cwd, partialStr) {\n  var path = PathUtil.toAbsolutePath(partialStr, cwd);\n\n  // complete name of a folder or file\n  var completeNamePattern = path + \'*\';\n  // complete child folder name\n  var completeSubfolderPattern = path === \'/\' ? \'/*\' : path + \'*/*\';\n  // only complete child folders when the path ends with / (which marks a directory path)\n  var globPattern = partialStr.endsWith(\'/\') ? completeSubfolderPattern : completeNamePattern;\n\n  var childPaths = GlobUtil.globPaths(fileSystem, globPattern);\n\n  if (PathUtil.isAbsPath(partialStr)) {\n    return [].concat(_toConsumableArray(childPaths)); // absolute paths\n  }\n\n  return [].concat(_toConsumableArray(childPaths.map(function (path) {\n    var pathPartsWithoutTail = PathUtil.toPathParts(partialStr).slice(0, -1);\n    var newTail = PathUtil.getLastPathPart(path);\n\n    return PathUtil.toPath(pathPartsWithoutTail.concat(newTail));\n  }))); // relative paths\n};\n\n/***/ }),\n\n/***/ \"./src/emulator/command-runner.js\":\n/*!****************************************!*\\\n  !*** ./src/emulator/command-runner.js ***!\n  \\****************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.run = undefined;\n\nvar _emulatorError = __webpack_require__(/*! emulator/emulator-error */ \"./src/emulator/emulator-error.js\");\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar _commandMapping = __webpack_require__(/*! emulator-state/command-mapping */ \"./src/emulator-state/command-mapping.js\");\n\nvar CommandMappingUtil = _interopRequireWildcard(_commandMapping);\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }\n\n/**\n * Makes an internal emulator error for emulator output. Error output may be\n * visible to the user.\n * @param  {string} errorType type of emulator error\n * @return {object}           error output object\n */\nvar makeRunnerErrorOutput = function makeRunnerErrorOutput(errorType) {\n  return (0, _outputFactory.makeErrorOutput)((0, _emulatorError.makeError)(errorType));\n};\n\n/**\n * Runs a command and returns an object containing either:\n * - outputs from running the command, or\n * - new emulator state after running the command, or\n * - new emulator state and output after running the command\n *\n * The form of the object from this function is as follows:\n * {\n *   outputs: [optional array of output records]\n *   output: [optional single output record]\n *   state: [optional Map]\n * }\n * @param  {Map}    commandMapping command mapping from emulator state\n * @param  {string} commandName    name of command to run\n * @param  {array}  commandArgs    commands to provide to the command function\n * @return {object}                outputs and/or new state of the emulator\n */\nvar run = exports.run = function run(commandMapping, commandName, commandArgs) {\n  if (!CommandMappingUtil.isCommandSet(commandMapping, commandName)) {\n    return {\n      output: makeRunnerErrorOutput(_emulatorError.emulatorErrorType.COMMAND_NOT_FOUND)\n    };\n  }\n\n  var command = CommandMappingUtil.getCommandFn(commandMapping, commandName);\n\n  try {\n    return command.apply(undefined, _toConsumableArray(commandArgs)); // run extracted command from the mapping\n  } catch (fatalCommandError) {\n    return {\n      output: makeRunnerErrorOutput(_emulatorError.emulatorErrorType.UNEXPECTED_COMMAND_FAILURE)\n    };\n  }\n};\n\n/***/ }),\n\n/***/ \"./src/emulator/emulator-error.js\":\n/*!****************************************!*\\\n  !*** ./src/emulator/emulator-error.js ***!\n  \\****************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n/**\n * Emulator error type\n * @type {Object}\n */\nvar emulatorErrorType = exports.emulatorErrorType = {\n  COMMAND_NOT_FOUND: \'Command not found\',\n  UNEXPECTED_COMMAND_FAILURE: \'Unhandled command error\'\n};\n\n/**\n * Creates an error to display to the user originating from the emulator\n * @param  {string} emulatorErrorType  file system error type\n * @param  {string} [message=\'\']       optional metadata for developers about the error\n * @return {object}                    internal error object\n */\nvar makeError = exports.makeError = function makeError(emulatorErrorType) {\n  var message = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : \'\';\n\n  return {\n    source: \'emulator\',\n    type: emulatorErrorType,\n    message: message\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/emulator/index.js\":\n/*!*******************************!*\\\n  !*** ./src/emulator/index.js ***!\n  \\*******************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _commandRunner = __webpack_require__(/*! emulator/command-runner */ \"./src/emulator/command-runner.js\");\n\nvar CommandRunner = _interopRequireWildcard(_commandRunner);\n\nvar _commandParser = __webpack_require__(/*! parser/command-parser */ \"./src/parser/command-parser.js\");\n\nvar _commandParser2 = _interopRequireDefault(_commandParser);\n\nvar _outputFactory = __webpack_require__(/*! emulator-output/output-factory */ \"./src/emulator-output/output-factory.js\");\n\nvar _history = __webpack_require__(/*! emulator-state/history */ \"./src/emulator-state/history.js\");\n\nvar _environmentVariables = __webpack_require__(/*! emulator-state/environment-variables */ \"./src/emulator-state/environment-variables.js\");\n\nvar _autoComplete = __webpack_require__(/*! emulator/auto-complete */ \"./src/emulator/auto-complete.js\");\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nfunction _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nvar Emulator = function () {\n  function Emulator() {\n    _classCallCheck(this, Emulator);\n  }\n\n  _createClass(Emulator, [{\n    key: \'autocomplete\',\n\n    /**\n     * Completes user input if there is one, and only one, suggestion.\n     *\n     * If there are no suggestions or more than one suggestion, the original\n     * user input will be returned.\n     * @param  {EmulatorState} state      emulator state\n     * @param  {string}        partialStr partial user input to the emulator\n     * @return {string}                   completed user input when one suggest (or, otherwsie, the original input)\n     */\n    value: function autocomplete(state, partialStr) {\n      var suggestions = this.suggest(state, partialStr);\n\n      if (suggestions.length !== 1) {\n        return partialStr;\n      }\n\n      var strParts = new _immutable.List(partialStr.split(\' \'));\n      var autocompletedText = suggestions[0];\n\n      return strParts.update(-1, function (lastVal) {\n        return autocompletedText;\n      }).join(\' \');\n    }\n  }, {\n    key: \'suggest\',\n\n\n    /**\n     * Suggest what the user will type next\n     * @param  {EmulatorState} state      emulator state\n     * @param  {string}        partialStr partial user input of a command\n     * @return {array}                    list of possible text suggestions\n     */\n    value: function suggest(state, partialStr) {\n      partialStr = this._trimLeadingSpace(partialStr);\n\n      var lastPartialChar = partialStr.slice(-1);\n      var isTypingNewPart = lastPartialChar === \' \';\n\n      var strParts = partialStr.trim().split(\' \');\n\n      var _getBoundaryWords2 = this._getBoundaryWords(strParts),\n          cmdName = _getBoundaryWords2.start,\n          lastTextEntered = _getBoundaryWords2.end;\n\n      if (!isTypingNewPart && strParts.length === 1) {\n        return (0, _autoComplete.suggestCommands)(state.getCommandMapping(), cmdName);\n      }\n\n      var strToComplete = isTypingNewPart ? \'\' : lastTextEntered;\n      var cwd = (0, _environmentVariables.getEnvironmentVariable)(state.getEnvVariables(), \'cwd\');\n\n      return [].concat(_toConsumableArray((0, _autoComplete.suggestCommandOptions)(state.getCommandMapping(), cmdName, strToComplete)), _toConsumableArray((0, _autoComplete.suggestFileSystemNames)(state.getFileSystem(), cwd, strToComplete)));\n    }\n  }, {\n    key: \'_trimLeadingSpace\',\n    value: function _trimLeadingSpace(str) {\n      return str.replace(/^\\s+/g, \'\');\n    }\n  }, {\n    key: \'_getBoundaryWords\',\n    value: function _getBoundaryWords(strParts) {\n      return {\n        start: strParts[0],\n        end: strParts[strParts.length - 1]\n      };\n    }\n  }, {\n    key: \'execute\',\n\n\n    /**\n     * Runs emulator command\n     * @param  {EmulatorState}  state                   emulator state before running command\n     * @param  {string}         str                     command string to execute\n     * @param  {Array}          [executionListeners=[]] list of plugins to notify while running the command\n     * @return {EmulatorState}                          updated emulator state after running command\n     */\n    value: function execute(state, str) {\n      var executionListeners = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];\n      var _iteratorNormalCompletion = true;\n      var _didIteratorError = false;\n      var _iteratorError = undefined;\n\n      try {\n        for (var _iterator = executionListeners[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {\n          var executionListener = _step.value;\n\n          executionListener.onExecuteStarted(state, str);\n        }\n      } catch (err) {\n        _didIteratorError = true;\n        _iteratorError = err;\n      } finally {\n        try {\n          if (!_iteratorNormalCompletion && _iterator.return) {\n            _iterator.return();\n          }\n        } finally {\n          if (_didIteratorError) {\n            throw _iteratorError;\n          }\n        }\n      }\n\n      ;\n\n      state = this._addHeaderOutput(state, str);\n\n      if (str.trim() === \'\') {\n        // empty command string\n        state = this._addCommandOutputs(state, [(0, _outputFactory.makeTextOutput)(\'\')]);\n      } else {\n        state = this._addCommandToHistory(state, str);\n        state = this._updateStateByExecution(state, str);\n      }\n\n      var _iteratorNormalCompletion2 = true;\n      var _didIteratorError2 = false;\n      var _iteratorError2 = undefined;\n\n      try {\n        for (var _iterator2 = executionListeners[Symbol.iterator](), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true) {\n          var _executionListener = _step2.value;\n\n          _executionListener.onExecuteCompleted(state);\n        }\n      } catch (err) {\n        _didIteratorError2 = true;\n        _iteratorError2 = err;\n      } finally {\n        try {\n          if (!_iteratorNormalCompletion2 && _iterator2.return) {\n            _iterator2.return();\n          }\n        } finally {\n          if (_didIteratorError2) {\n            throw _iteratorError2;\n          }\n        }\n      }\n\n      ;\n\n      return state;\n    }\n  }, {\n    key: \'_updateStateByExecution\',\n    value: function _updateStateByExecution(state, commandStrToExecute) {\n      var _iteratorNormalCompletion3 = true;\n      var _didIteratorError3 = false;\n      var _iteratorError3 = undefined;\n\n      try {\n        for (var _iterator3 = (0, _commandParser2.default)(commandStrToExecute)[Symbol.iterator](), _step3; !(_iteratorNormalCompletion3 = (_step3 = _iterator3.next()).done); _iteratorNormalCompletion3 = true) {\n          var _ref = _step3.value;\n          var commandName = _ref.commandName,\n              commandOptions = _ref.commandOptions;\n\n          var commandMapping = state.getCommandMapping();\n          var commandArgs = [state, commandOptions];\n\n          var _CommandRunner$run = CommandRunner.run(commandMapping, commandName, commandArgs),\n              nextState = _CommandRunner$run.state,\n              output = _CommandRunner$run.output,\n              outputs = _CommandRunner$run.outputs;\n\n          if (nextState) {\n            state = nextState;\n          }\n\n          if (output) {\n            state = this._addCommandOutputs(state, [output]);\n          } else if (outputs) {\n            state = this._addCommandOutputs(state, outputs);\n          }\n        }\n      } catch (err) {\n        _didIteratorError3 = true;\n        _iteratorError3 = err;\n      } finally {\n        try {\n          if (!_iteratorNormalCompletion3 && _iterator3.return) {\n            _iterator3.return();\n          }\n        } finally {\n          if (_didIteratorError3) {\n            throw _iteratorError3;\n          }\n        }\n      }\n\n      return state;\n    }\n  }, {\n    key: \'_addCommandToHistory\',\n    value: function _addCommandToHistory(state, command) {\n      var history = state.getHistory();\n\n      return state.setHistory((0, _history.recordCommand)(history, command));\n    }\n  }, {\n    key: \'_addHeaderOutput\',\n    value: function _addHeaderOutput(state, commandStr) {\n      var envVariables = state.getEnvVariables();\n      var cwd = (0, _environmentVariables.getEnvironmentVariable)(envVariables, \'cwd\');\n\n      return this._addCommandOutputs(state, [(0, _outputFactory.makeHeaderOutput)(cwd, commandStr)]);\n    }\n\n    /**\n     * Appends outputs to the internal state of outputs\n     * @param {List} outputs list of outputs\n     */\n\n  }, {\n    key: \'_addCommandOutputs\',\n    value: function _addCommandOutputs(state, outputs) {\n      var _iteratorNormalCompletion4 = true;\n      var _didIteratorError4 = false;\n      var _iteratorError4 = undefined;\n\n      try {\n        for (var _iterator4 = outputs[Symbol.iterator](), _step4; !(_iteratorNormalCompletion4 = (_step4 = _iterator4.next()).done); _iteratorNormalCompletion4 = true) {\n          var output = _step4.value;\n\n          var _outputs = state.getOutputs();\n\n          state = state.setOutputs(_outputs.push(output));\n        }\n      } catch (err) {\n        _didIteratorError4 = true;\n        _iteratorError4 = err;\n      } finally {\n        try {\n          if (!_iteratorNormalCompletion4 && _iterator4.return) {\n            _iterator4.return();\n          }\n        } finally {\n          if (_didIteratorError4) {\n            throw _iteratorError4;\n          }\n        }\n      }\n\n      return state;\n    }\n  }]);\n\n  return Emulator;\n}();\n\nexports.default = Emulator;\nmodule.exports = exports[\'default\'];\n\n/***/ }),\n\n/***/ \"./src/emulator/plugins/BoundedHistoryIterator.js\":\n/*!********************************************************!*\\\n  !*** ./src/emulator/plugins/BoundedHistoryIterator.js ***!\n  \\********************************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\n/**\n * Makes a stack iterator for a point in history.\n *\n * Can go backwards and forwards through the history and is bounded by\n * the size of the stack.\n */\nvar BoundedHistoryIterator = function () {\n  function BoundedHistoryIterator(historyStack) {\n    var index = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;\n\n    _classCallCheck(this, BoundedHistoryIterator);\n\n    this.historyStack = historyStack.push(\'\');\n    this.index = index;\n  }\n\n  _createClass(BoundedHistoryIterator, [{\n    key: \'hasUp\',\n    value: function hasUp() {\n      return this.index + 1 < this.historyStack.size;\n    }\n  }, {\n    key: \'up\',\n    value: function up() {\n      if (this.hasUp()) {\n        this.index++;\n      }\n\n      return this.historyStack.get(this.index);\n    }\n  }, {\n    key: \'hasDown\',\n    value: function hasDown() {\n      return this.index - 1 >= 0;\n    }\n  }, {\n    key: \'down\',\n    value: function down() {\n      if (this.hasDown()) {\n        this.index--;\n      }\n\n      return this.historyStack.get(this.index);\n    }\n  }]);\n\n  return BoundedHistoryIterator;\n}();\n\nexports.default = BoundedHistoryIterator;\n;\nmodule.exports = exports[\'default\'];\n\n/***/ }),\n\n/***/ \"./src/emulator/plugins/HistoryKeyboardPlugin.js\":\n/*!*******************************************************!*\\\n  !*** ./src/emulator/plugins/HistoryKeyboardPlugin.js ***!\n  \\*******************************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _BoundedHistoryIterator = __webpack_require__(/*! emulator/plugins/BoundedHistoryIterator */ \"./src/emulator/plugins/BoundedHistoryIterator.js\");\n\nvar _BoundedHistoryIterator2 = _interopRequireDefault(_BoundedHistoryIterator);\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nvar HistoryKeyboardPlugin = function () {\n  function HistoryKeyboardPlugin(state) {\n    _classCallCheck(this, HistoryKeyboardPlugin);\n\n    this._nullableHistoryIterator = null;\n    this.historyStack = state.getHistory();\n  }\n\n  // Plugin contract\n\n\n  _createClass(HistoryKeyboardPlugin, [{\n    key: \'onExecuteStarted\',\n    value: function onExecuteStarted(state, str) {}\n    // no-op\n\n\n    // Plugin contract\n\n  }, {\n    key: \'onExecuteCompleted\',\n    value: function onExecuteCompleted(state) {\n      this._nullableHistoryIterator = null;\n      this.historyStack = state.getHistory();\n    }\n\n    // Plugin API\n\n  }, {\n    key: \'completeUp\',\n    value: function completeUp() {\n      this.createHistoryIteratorIfNull();\n\n      return this._nullableHistoryIterator.up();\n    }\n  }, {\n    key: \'completeDown\',\n    value: function completeDown() {\n      this.createHistoryIteratorIfNull();\n\n      return this._nullableHistoryIterator.down();\n    }\n\n    // Private methods\n\n  }, {\n    key: \'createHistoryIteratorIfNull\',\n    value: function createHistoryIteratorIfNull() {\n      if (!this._nullableHistoryIterator) {\n        this._nullableHistoryIterator = new _BoundedHistoryIterator2.default(this.historyStack);\n      }\n    }\n  }]);\n\n  return HistoryKeyboardPlugin;\n}();\n\nexports.default = HistoryKeyboardPlugin;\nmodule.exports = exports[\'default\'];\n\n/***/ }),\n\n/***/ \"./src/fs/fs-error.js\":\n/*!****************************!*\\\n  !*** ./src/fs/fs-error.js ***!\n  \\****************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n/**\n * File system error types\n * @type {Object}\n */\nvar fsErrorType = exports.fsErrorType = {\n  FILE_EXISTS: \'File exists\',\n  DIRECTORY_EXISTS: \'Directory exists\',\n  DIRECTORY_NOT_EMPTY: \'Directory not empty\',\n  NO_SUCH_FILE_OR_DIRECTORY: \'No such file or directory\',\n  NO_SUCH_FILE: \'No such file\',\n  NO_SUCH_DIRECTORY: \'No such directory\',\n  FILE_OR_DIRECTORY_EXISTS: \'File or directory exists\',\n  IS_A_DIRECTORY: \'Is a directory\',\n  NOT_A_DIRECTORY: \'Not a directory\',\n  PERMISSION_DENIED: \'Permission denied\',\n  OTHER: \'Other\'\n};\n\n/**\n * Create a non-fatal file system error object\n *\n * For fatal errors do not use this. Throw an error instead.\n * @param  {string} fsErrorType  file system error type\n * @param  {string} [message=\'\'] optional metadata for developers about the error\n * @return {object}              internal error object\n */\nvar makeError = exports.makeError = function makeError(fsErrorType) {\n  var message = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : \'\';\n\n  return {\n    source: \'fs\',\n    type: fsErrorType,\n    message: message\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/fs/index.js\":\n/*!*************************!*\\\n  !*** ./src/fs/index.js ***!\n  \\*************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nvar _directoryOperations = __webpack_require__(/*! ./operations-with-permissions/directory-operations */ \"./src/fs/operations-with-permissions/directory-operations.js\");\n\nvar DirOp = _interopRequireWildcard(_directoryOperations);\n\nvar _fileOperations = __webpack_require__(/*! ./operations-with-permissions/file-operations */ \"./src/fs/operations-with-permissions/file-operations.js\");\n\nvar FileOp = _interopRequireWildcard(_fileOperations);\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nexports.default = {\n  DirOp: DirOp,\n  FileOp: FileOp\n};\nmodule.exports = exports[\'default\'];\n\n/***/ }),\n\n/***/ \"./src/fs/operations-with-permissions/directory-operations.js\":\n/*!********************************************************************!*\\\n  !*** ./src/fs/operations-with-permissions/directory-operations.js ***!\n  \\********************************************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.renameDirectory = exports.deleteDirectory = exports.copyDirectory = exports.addDirectory = exports.listDirectoryFolders = exports.listDirectoryFiles = exports.listDirectory = exports.hasDirectory = undefined;\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations/directory-operations */ \"./src/fs/operations/directory-operations.js\");\n\nvar DirectoryOperations = _interopRequireWildcard(_directoryOperations);\n\nvar _permissionUtil = __webpack_require__(/*! fs/util/permission-util */ \"./src/fs/util/permission-util.js\");\n\nvar PermissionUtil = _interopRequireWildcard(_permissionUtil);\n\nvar _fsError = __webpack_require__(/*! fs/fs-error */ \"./src/fs/fs-error.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nvar makeDirectoryOperationPermissionError = function makeDirectoryOperationPermissionError() {\n  var message = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : \'Cannot modify directory\';\n\n  return {\n    err: (0, _fsError.makeError)(_fsError.fsErrorType.PERMISSION_DENIED, message)\n  };\n}; /**\n    * Adds modification permissions to directory operations by wrapping\n    * directory operations\n    */\nvar hasDirectory = exports.hasDirectory = function hasDirectory() {\n  return DirectoryOperations.hasDirectory.apply(DirectoryOperations, arguments);\n};\n\nvar listDirectory = exports.listDirectory = function listDirectory() {\n  return DirectoryOperations.listDirectory.apply(DirectoryOperations, arguments);\n};\n\nvar listDirectoryFiles = exports.listDirectoryFiles = function listDirectoryFiles() {\n  return DirectoryOperations.listDirectoryFiles.apply(DirectoryOperations, arguments);\n};\n\nvar listDirectoryFolders = exports.listDirectoryFolders = function listDirectoryFolders() {\n  return DirectoryOperations.listDirectoryFolders.apply(DirectoryOperations, arguments);\n};\n\nvar addDirectory = exports.addDirectory = function addDirectory(fs, path) {\n  for (var _len = arguments.length, args = Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {\n    args[_key - 2] = arguments[_key];\n  }\n\n  if (!PermissionUtil.canModifyPath(fs, path)) {\n    return makeDirectoryOperationPermissionError();\n  }\n\n  return DirectoryOperations.addDirectory.apply(DirectoryOperations, [fs, path].concat(args));\n};\n\nvar copyDirectory = exports.copyDirectory = function copyDirectory(fs, srcPath, destPath) {\n  for (var _len2 = arguments.length, args = Array(_len2 > 3 ? _len2 - 3 : 0), _key2 = 3; _key2 < _len2; _key2++) {\n    args[_key2 - 3] = arguments[_key2];\n  }\n\n  if (!PermissionUtil.canModifyPath(fs, srcPath)) {\n    return makeDirectoryOperationPermissionError(\'Cannot modify source directory\');\n  }\n\n  if (!PermissionUtil.canModifyPath(fs, destPath)) {\n    return makeDirectoryOperationPermissionError(\'Cannot modify dest directory\');\n  }\n\n  return DirectoryOperations.copyDirectory.apply(DirectoryOperations, [fs, srcPath, destPath].concat(args));\n};\n\nvar deleteDirectory = exports.deleteDirectory = function deleteDirectory(fs, path) {\n  for (var _len3 = arguments.length, args = Array(_len3 > 2 ? _len3 - 2 : 0), _key3 = 2; _key3 < _len3; _key3++) {\n    args[_key3 - 2] = arguments[_key3];\n  }\n\n  if (!PermissionUtil.canModifyPath(fs, path)) {\n    return makeDirectoryOperationPermissionError();\n  }\n\n  return DirectoryOperations.deleteDirectory.apply(DirectoryOperations, [fs, path].concat(args));\n};\n\nvar renameDirectory = exports.renameDirectory = function renameDirectory(fs, currentPath, newPath) {\n  if (!PermissionUtil.canModifyPath(fs, currentPath)) {\n    return makeDirectoryOperationPermissionError(\'Cannot modify current path\');\n  }\n\n  if (!PermissionUtil.canModifyPath(fs, newPath)) {\n    return makeDirectoryOperationPermissionError(\'Cannot modify renamed path\');\n  }\n\n  return DirectoryOperations.renameDirectory(fs, currentPath, newPath);\n};\n\n/***/ }),\n\n/***/ \"./src/fs/operations-with-permissions/file-operations.js\":\n/*!***************************************************************!*\\\n  !*** ./src/fs/operations-with-permissions/file-operations.js ***!\n  \\***************************************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.deleteFile = exports.copyFile = exports.writeFile = exports.readFile = exports.hasFile = undefined;\n\nvar _permissionUtil = __webpack_require__(/*! fs/util/permission-util */ \"./src/fs/util/permission-util.js\");\n\nvar PermissionUtil = _interopRequireWildcard(_permissionUtil);\n\nvar _fileOperations = __webpack_require__(/*! fs/operations/file-operations */ \"./src/fs/operations/file-operations.js\");\n\nvar FileOperations = _interopRequireWildcard(_fileOperations);\n\nvar _fsError = __webpack_require__(/*! fs/fs-error */ \"./src/fs/fs-error.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nvar makeFileOperationPermissionError = function makeFileOperationPermissionError() {\n  var message = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : \'Cannot modify file\';\n\n  return {\n    err: (0, _fsError.makeError)(_fsError.fsErrorType.PERMISSION_DENIED, message)\n  };\n}; /**\n    * Adds modification permissions to file operations by wrapping\n    * file operations\n    */\nvar hasFile = exports.hasFile = function hasFile() {\n  return FileOperations.hasFile.apply(FileOperations, arguments);\n};\n\nvar readFile = exports.readFile = function readFile() {\n  return FileOperations.readFile.apply(FileOperations, arguments);\n};\n\nvar writeFile = exports.writeFile = function writeFile(fs, filePath) {\n  for (var _len = arguments.length, args = Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {\n    args[_key - 2] = arguments[_key];\n  }\n\n  if (!PermissionUtil.canModifyPath(fs, filePath)) {\n    return makeFileOperationPermissionError();\n  }\n\n  return FileOperations.writeFile.apply(FileOperations, [fs, filePath].concat(args));\n};\n\nvar copyFile = exports.copyFile = function copyFile(fs, sourcePath, destPath) {\n  if (!PermissionUtil.canModifyPath(fs, sourcePath)) {\n    return makeFileOperationPermissionError(\'Cannot modify source file\');\n  }\n\n  if (!PermissionUtil.canModifyPath(fs, destPath)) {\n    return makeFileOperationPermissionError(\'Cannot modify destination file\');\n  }\n\n  return FileOperations.copyFile(fs, sourcePath, destPath);\n};\n\nvar deleteFile = exports.deleteFile = function deleteFile(fs, filePath) {\n  if (!PermissionUtil.canModifyPath(fs, filePath)) {\n    return makeFileOperationPermissionError();\n  }\n\n  return FileOperations.deleteFile(fs, filePath);\n};\n\n/***/ }),\n\n/***/ \"./src/fs/operations/base-operations.js\":\n/*!**********************************************!*\\\n  !*** ./src/fs/operations/base-operations.js ***!\n  \\**********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.remove = exports.add = undefined;\n\nvar _globUtil = __webpack_require__(/*! fs/util/glob-util */ \"./src/fs/util/glob-util.js\");\n\nvar GlobUtil = _interopRequireWildcard(_globUtil);\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations/directory-operations */ \"./src/fs/operations/directory-operations.js\");\n\nvar DirOp = _interopRequireWildcard(_directoryOperations);\n\nvar _fileOperations = __webpack_require__(/*! fs/operations/file-operations */ \"./src/fs/operations/file-operations.js\");\n\nvar FileOp = _interopRequireWildcard(_fileOperations);\n\nvar _pathUtil = __webpack_require__(/*! fs/util/path-util */ \"./src/fs/util/path-util.js\");\n\nvar PathUtil = _interopRequireWildcard(_pathUtil);\n\nvar _fsError = __webpack_require__(/*! fs/fs-error */ \"./src/fs/fs-error.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\n/**\n * Adds a file or directory to a path\n * @param {Map}     fs                     file system\n * @param {string}  pathToAdd              path to add the file or directory to\n * @param {string}  fsElementToAdd         file or directory map\n * @param {Boolean} [addParentPaths=false] true, if path parent directories should\n *                                         be made (if they don\'t exist)\n * @return {object}                        file system or error\n */\nvar add = exports.add = function add(fs, pathToAdd, fsElementToAdd) {\n  var addParentPaths = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;\n\n  if (fs.has(pathToAdd)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.FILE_OR_DIRECTORY_EXISTS)\n    };\n  }\n\n  var parentPaths = PathUtil.getPathBreadCrumbs(pathToAdd).slice(0, -1);\n\n  var _iteratorNormalCompletion = true;\n  var _didIteratorError = false;\n  var _iteratorError = undefined;\n\n  try {\n    for (var _iterator = parentPaths[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {\n      var parentPath = _step.value;\n\n      if (FileOp.hasFile(fs, parentPath)) {\n        return {\n          err: (0, _fsError.makeError)(_fsError.fsErrorType.NOT_A_DIRECTORY, \'Cannot add path to a file: \' + parentPath)\n        };\n      }\n\n      if (!fs.has(parentPath) && !addParentPaths) {\n        return {\n          err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_DIRECTORY, \'Parent directory does not exist: \' + parentPath)\n        };\n      }\n    }\n  } catch (err) {\n    _didIteratorError = true;\n    _iteratorError = err;\n  } finally {\n    try {\n      if (!_iteratorNormalCompletion && _iterator.return) {\n        _iterator.return();\n      }\n    } finally {\n      if (_didIteratorError) {\n        throw _iteratorError;\n      }\n    }\n  }\n\n  var addedDirectoryFs = fs.set(pathToAdd, fsElementToAdd);\n\n  return {\n    fs: addParentPaths ? DirOp.fillGaps(addedDirectoryFs) : addedDirectoryFs\n  };\n};\n\n/**\n * Removes a file or directory from a path\n * @param  {Map}     fs                                  file system\n * @param  {string}  pathToRemove                        removes the path\n * @param  {Boolean} [isNonEmptyDirectoryRemovable=true] true if non-empty paths can be removed\n * @return {object}                                      file system or error\n */\nvar remove = exports.remove = function remove(fs, pathToRemove) {\n  var isNonEmptyDirectoryRemovable = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;\n\n  if (!fs.has(pathToRemove)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_FILE_OR_DIRECTORY)\n    };\n  }\n\n  var childPathPattern = pathToRemove === \'/\' ? \'/**\' : pathToRemove + \'/**\';\n  var childPaths = GlobUtil.globPaths(fs, childPathPattern);\n\n  if (!isNonEmptyDirectoryRemovable && !childPaths.isEmpty()) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.DIRECTORY_NOT_EMPTY)\n    };\n  }\n\n  return {\n    fs: fs.removeAll(childPaths.concat(pathToRemove))\n  };\n};\n\n/***/ }),\n\n/***/ \"./src/fs/operations/directory-operations.js\":\n/*!***************************************************!*\\\n  !*** ./src/fs/operations/directory-operations.js ***!\n  \\***************************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.renameDirectory = exports.deleteDirectory = exports.copyDirectory = exports.addDirectory = exports.listDirectory = exports.listDirectoryFolders = exports.listDirectoryFiles = exports.hasDirectory = exports.fillGaps = undefined;\n\nvar _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i[\"return\"]) _i[\"return\"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError(\"Invalid attempt to destructure non-iterable instance\"); } }; }();\n\nvar _fileUtil = __webpack_require__(/*! fs/util/file-util */ \"./src/fs/util/file-util.js\");\n\nvar FileUtil = _interopRequireWildcard(_fileUtil);\n\nvar _globUtil = __webpack_require__(/*! fs/util/glob-util */ \"./src/fs/util/glob-util.js\");\n\nvar GlobUtil = _interopRequireWildcard(_globUtil);\n\nvar _pathUtil = __webpack_require__(/*! fs/util/path-util */ \"./src/fs/util/path-util.js\");\n\nvar PathUtil = _interopRequireWildcard(_pathUtil);\n\nvar _baseOperations = __webpack_require__(/*! fs/operations/base-operations */ \"./src/fs/operations/base-operations.js\");\n\nvar BaseOp = _interopRequireWildcard(_baseOperations);\n\nvar _fsError = __webpack_require__(/*! fs/fs-error */ \"./src/fs/fs-error.js\");\n\nvar _fileOperations = __webpack_require__(/*! fs/operations/file-operations */ \"./src/fs/operations/file-operations.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nvar onlyFilesFilter = function onlyFilesFilter(fs) {\n  return function (path) {\n    return FileUtil.isFile(fs.get(path));\n  };\n};\nvar onlyDirectoriesFilter = function onlyDirectoriesFilter(fs) {\n  return function (path) {\n    return FileUtil.isDirectory(fs.get(path));\n  };\n};\n\n/**\n * Fill file system gaps with empty directories.\n *\n * EXPLANATION:\n * A file system can be left in a state where there the directory structure\n * is incomplete and there may be illogical gaps in the structure after\n * manually creating or editing the file system.\n *\n * For example, we might have a file system that looks like this after manually\n * adding a directory of \'/a/b/c\':\n *\n * {\n *  \'/\': {..}\n *  \'/a/b/c\': {..}\n * }\n *\n * As a result of the operation, we\'re missing directories of \'/a\' and \'/a/b\'.\n * We can fill these missing directory gaps to get a properly formed directory\n * structure:\n *\n * {\n *  \'/\': {..}\n *  \'/a\': {..}\n *  \'/a/b\': {..}\n *  \'/a/b/c\': {..}\n * }\n * @param  {Map}    fs   file system with gaps in directory structure\n * @return {Map}         file system without directory gaps\n */\nvar fillGaps = exports.fillGaps = function fillGaps(fs) {\n  var emptyDirectory = FileUtil.makeDirectory();\n\n  var directoryGapPaths = fs.keySeq() // sequence of paths\n  .flatMap(function (path) {\n    return PathUtil.getPathBreadCrumbs(path);\n  }).filter(function (path) {\n    return !fs.has(path);\n  });\n\n  return fs.withMutations(function (fs) {\n    var _iteratorNormalCompletion = true;\n    var _didIteratorError = false;\n    var _iteratorError = undefined;\n\n    try {\n      for (var _iterator = directoryGapPaths[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {\n        var directoryGapPath = _step.value;\n\n        fs.set(directoryGapPath, emptyDirectory);\n      }\n    } catch (err) {\n      _didIteratorError = true;\n      _iteratorError = err;\n    } finally {\n      try {\n        if (!_iteratorNormalCompletion && _iterator.return) {\n          _iterator.return();\n        }\n      } finally {\n        if (_didIteratorError) {\n          throw _iteratorError;\n        }\n      }\n    }\n  });\n};\n\n/**\n * Check if a directory exists in the file system\n * @param  {Map}     fs   file system\n * @param  {string}  path path to check if is a directory\n * @return {boolean}      true, if the directory exists\n */\nvar hasDirectory = exports.hasDirectory = function hasDirectory(fs, path) {\n  return fs.has(path) && FileUtil.isDirectory(fs.get(path));\n};\n\n/**\n * Creates a list of file names\n * @param  {Map}    fs   file system\n * @param  {string} path directory path to list files in\n * @return {object}      list of file names or an error\n */\nvar listDirectoryFiles = exports.listDirectoryFiles = function listDirectoryFiles(fs, path) {\n  if ((0, _fileOperations.hasFile)(fs, path)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.FILE_EXISTS, \'File exists at path\')\n    };\n  }\n\n  if (!hasDirectory(fs, path)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_DIRECTORY, \'Cannot list files in non-existent directory\')\n    };\n  };\n\n  var filesPattern = path === \'/\' ? \'/*\' : path + \'/*\';\n\n  return {\n    list: GlobUtil.captureGlobPaths(fs, filesPattern, onlyFilesFilter(fs))\n  };\n};\n\n/**\n * Creates a list of folder names inside the current directory.\n * @param  {Map}    fs   file system\n * @param  {string} path path to list directories in\n * @return {object}      list of directories or an error\n */\nvar listDirectoryFolders = exports.listDirectoryFolders = function listDirectoryFolders(fs, path) {\n  var isTrailingSlashAppended = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;\n\n  if ((0, _fileOperations.hasFile)(fs, path)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.FILE_EXISTS, \'File exists at path\')\n    };\n  }\n\n  if (!hasDirectory(fs, path)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_DIRECTORY, \'Cannot list folders in non-existent directory\')\n    };\n  };\n\n  var foldersPattern = path === \'/\' ? \'/*\' : path + \'/*\';\n  var folderNames = GlobUtil.captureGlobPaths(fs, foldersPattern, onlyDirectoriesFilter(fs));\n\n  if (isTrailingSlashAppended) {\n    return {\n      list: folderNames.map(function (folderName) {\n        return folderName + \'/\';\n      })\n    };\n  }\n\n  return {\n    list: folderNames\n  };\n};\n\n/**\n * Lists files and folders in a directory\n * @param  {Map}     fs                                      file system\n * @param  {string}  path                                    directory path to list files and folders in\n * @param  {boolean} [addTrailingSlash=true]                 add a / to the end of folder names\n * @return {object}                                          file system or an error\n */\nvar listDirectory = exports.listDirectory = function listDirectory(fs, path) {\n  var addTrailingSlash = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;\n\n  var _listDirectoryFiles = listDirectoryFiles(fs, path),\n      listFileErr = _listDirectoryFiles.err,\n      fileList = _listDirectoryFiles.list;\n\n  var _listDirectoryFolders = listDirectoryFolders(fs, path, addTrailingSlash),\n      listFolderErr = _listDirectoryFolders.err,\n      folderList = _listDirectoryFolders.list;\n\n  if (listFileErr || listFolderErr) {\n    return {\n      err: listFileErr ? listFileErr : listFolderErr\n    };\n  };\n\n  return {\n    list: fileList.concat(folderList)\n  };\n};\n\n/**\n * Adds a directory to the file system\n * @param {Map}     fs                           file system\n * @param {string}  path                         path to add a directory to\n * @param {Map}     dir                          directory\n * @param {boolean} [isReplaceExistingDir=false] whether a directory can be overwritten if it already exists\n * @return {object}                              file system or an error\n */\nvar addDirectory = exports.addDirectory = function addDirectory(fs, path, dir) {\n  var addParentPaths = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;\n\n  if ((0, _fileOperations.hasFile)(fs, PathUtil.getPathParent(path))) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.FILE_EXISTS, \'File exists at path\')\n    };\n  }\n\n  return BaseOp.add(fs, path, dir, addParentPaths);\n};\n\n/**\n * Private helper function implementing rules for replacing a source path (the path\n * we\'re copying from) with a destination path (the path we\'re copying to). Note\n * that in our file system:\n * - A file cannot overwrite a directory,\n * - a directory cannot overwrite a file, and\n * - a file/directory can overwrite a file/directory.\n * @param  {Map}       fs      file system\n * @param  {Sequence}  pathSeq sequence of source and destination paths\n * @return {Boolean}           true, if a source path can replace a destination path\n */\nvar isPathTypeMatching = function isPathTypeMatching(fs, pathSeq) {\n  var _iteratorNormalCompletion2 = true;\n  var _didIteratorError2 = false;\n  var _iteratorError2 = undefined;\n\n  try {\n    for (var _iterator2 = pathSeq[Symbol.iterator](), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true) {\n      var _ref = _step2.value;\n\n      var _ref2 = _slicedToArray(_ref, 2);\n\n      var srcPath = _ref2[0];\n      var destPath = _ref2[1];\n\n      if (fs.has(destPath)) {\n        if ((0, _fileOperations.hasFile)(fs, srcPath) && hasDirectory(fs, destPath)) {\n          // Cannot overwrite a file with a directory\n          return false;\n        } else if (hasDirectory(fs, srcPath) && (0, _fileOperations.hasFile)(fs, destPath)) {\n          // Cannot overwrite a directory with a file\n          return false;\n        }\n      }\n    }\n  } catch (err) {\n    _didIteratorError2 = true;\n    _iteratorError2 = err;\n  } finally {\n    try {\n      if (!_iteratorNormalCompletion2 && _iterator2.return) {\n        _iterator2.return();\n      }\n    } finally {\n      if (_didIteratorError2) {\n        throw _iteratorError2;\n      }\n    }\n  }\n\n  return true;\n};\n\n/**\n * Copies a directory (and all directories included inside that directory)\n * from a source directory to a destination directory\n *\n * If the destination doesn\'t exist, it can be created.\n *\n * The source and destination must be a directory and not a file.\n * @param  {Map}     fs                             file system\n * @param  {string}  srcPath                        directory path to copy from\n * @param  {string}  destPath                       directory path to copy to\n * @return {object}                                 file system or an error\n */\nvar copyDirectory = exports.copyDirectory = function copyDirectory(fs, srcPath, destPath) {\n  var overwrite = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;\n\n  if (!hasDirectory(fs, srcPath)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_DIRECTORY, \'Source directory does not exist\')\n    };\n  };\n\n  if (!hasDirectory(fs, destPath)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_DIRECTORY, \'Destination directory does not exist\')\n    };\n  };\n\n  var srcChildPattern = srcPath === \'/\' ? \'/**\' : srcPath + \'/**\';\n  var srcPaths = GlobUtil.globPaths(fs, srcChildPattern);\n  var srcSubPaths = GlobUtil.captureGlobPaths(fs, srcChildPattern);\n  var destPaths = srcSubPaths.map(function (path) {\n    return path === \'/\' ? destPath : destPath + \'/\' + path;\n  });\n\n  if (!isPathTypeMatching(fs, srcPaths.zip(destPaths))) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.OTHER, \'Cannot overwrite a directory with file OR a file with directory\')\n    };\n  }\n\n  return {\n    fs: fs.withMutations(function (newFs) {\n      var _iteratorNormalCompletion3 = true;\n      var _didIteratorError3 = false;\n      var _iteratorError3 = undefined;\n\n      try {\n        for (var _iterator3 = srcPaths.zip(destPaths)[Symbol.iterator](), _step3; !(_iteratorNormalCompletion3 = (_step3 = _iterator3.next()).done); _iteratorNormalCompletion3 = true) {\n          var _ref3 = _step3.value;\n\n          var _ref4 = _slicedToArray(_ref3, 2);\n\n          var _srcPath = _ref4[0];\n          var _destPath = _ref4[1];\n\n          if (!fs.has(_destPath) || overwrite) {\n            newFs.set(_destPath, fs.get(_srcPath));\n          }\n        }\n      } catch (err) {\n        _didIteratorError3 = true;\n        _iteratorError3 = err;\n      } finally {\n        try {\n          if (!_iteratorNormalCompletion3 && _iterator3.return) {\n            _iterator3.return();\n          }\n        } finally {\n          if (_didIteratorError3) {\n            throw _iteratorError3;\n          }\n        }\n      }\n    })\n  };\n};\n\n/**\n * Remove a directory from a file system\n * @param  {Map}     fs                                   file system\n * @param  {string}  pathToDelete                         directory path to delete\n * @param  {Boolean} [isNonEmptyDirectoryRemovable=false] whether directories with files in them can be removed\n * @return {object}                                       file system or an error\n */\nvar deleteDirectory = exports.deleteDirectory = function deleteDirectory(fs, pathToDelete) {\n  var isNonEmptyDirectoryRemovable = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;\n\n  if ((0, _fileOperations.hasFile)(fs, pathToDelete)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.FILE_EXISTS, \'File exists at path\')\n    };\n  }\n\n  if (!hasDirectory(fs, pathToDelete)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_DIRECTORY, \'No such directory: \' + pathToDelete)\n    };\n  };\n\n  return BaseOp.remove(fs, pathToDelete, isNonEmptyDirectoryRemovable);\n};\n\n/**\n * Rename a directory\n * @param  {Map}    fs          file system\n * @param  {string} currentPath directory path to rename (and hence remove)\n * @param  {string} newPath     path to place the renamed directory\n * @return {object}             file system or an error\n */\nvar renameDirectory = exports.renameDirectory = function renameDirectory(fs, currentPath, newPath) {\n  var _copyDirectory = copyDirectory(fs, currentPath, newPath, true),\n      err = _copyDirectory.err,\n      copiedFS = _copyDirectory.fs;\n\n  if (err) {\n    return { err: err };\n  }\n\n  return deleteDirectory(copiedFS, currentPath, true);\n};\n\n/***/ }),\n\n/***/ \"./src/fs/operations/file-operations.js\":\n/*!**********************************************!*\\\n  !*** ./src/fs/operations/file-operations.js ***!\n  \\**********************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.deleteFile = exports.copyFile = exports.writeFile = exports.readFile = exports.hasFile = undefined;\n\nvar _pathUtil = __webpack_require__(/*! fs/util/path-util */ \"./src/fs/util/path-util.js\");\n\nvar PathUtil = _interopRequireWildcard(_pathUtil);\n\nvar _baseOperations = __webpack_require__(/*! fs/operations/base-operations */ \"./src/fs/operations/base-operations.js\");\n\nvar BaseOp = _interopRequireWildcard(_baseOperations);\n\nvar _fileUtil = __webpack_require__(/*! fs/util/file-util */ \"./src/fs/util/file-util.js\");\n\nvar _directoryOperations = __webpack_require__(/*! fs/operations/directory-operations */ \"./src/fs/operations/directory-operations.js\");\n\nvar _fsError = __webpack_require__(/*! fs/fs-error */ \"./src/fs/fs-error.js\");\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\n/**\n * Checks whether a file exists\n * @param  {Map}     fs       file system\n * @param  {string}  dirPath  directory of the file to check for existence\n * @param  {string}  fileName file name to check for existence\n * @return {Boolean}          true, if the file exists\n */\nvar hasFile = exports.hasFile = function hasFile(fs, filePath) {\n  if (fs.has(filePath)) {\n    var possibleFile = fs.get(filePath);\n\n    return (0, _fileUtil.isFile)(possibleFile);\n  }\n  return false;\n};\n\n/**\n * Get a file from the file system\n * @param  {Map}    fs       file system\n * @param  {string} filePath path to file to read\n * @return {object}          file system or an error\n */\nvar readFile = exports.readFile = function readFile(fs, filePath) {\n  if ((0, _directoryOperations.hasDirectory)(fs, filePath)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.IS_A_DIRECTORY)\n    };\n  }\n\n  if (!hasFile(fs, filePath)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_FILE)\n    };\n  }\n\n  return {\n    file: fs.get(filePath)\n  };\n};\n\n/**\n * Write a new file to the file system\n * @param  {Map}     fs                            file system\n * @param  {string}  filePath                      path to new file\n * @param  {Map}     file                          the new file\n * @return {object}                                file system or an error\n */\nvar writeFile = exports.writeFile = function writeFile(fs, filePath, file) {\n  return BaseOp.add(fs, filePath, file);\n};\n\n/**\n * Copies a file from a source directory to a destination directory\n * @param  {Map}    fs           file system\n * @param  {string} sourcePath   path to source file (to copy from)\n * @param  {string} destPath     path to destination file (to copy to)\n * @return {object}              file system or an error\n */\nvar copyFile = exports.copyFile = function copyFile(fs, sourcePath, destPath) {\n  if (!hasFile(fs, sourcePath)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_FILE, \'Source file does not exist\')\n    };\n  }\n\n  var pathParent = PathUtil.getPathParent(destPath);\n\n  if (!(0, _directoryOperations.hasDirectory)(fs, pathParent)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_DIRECTORY, \'Destination directory does not exist\')\n    };\n  }\n\n  if ((0, _directoryOperations.hasDirectory)(fs, destPath)) {\n    // Copying file to directory without specifying the filename explictly\n    var sourceFileName = PathUtil.getLastPathPart(sourcePath);\n\n    destPath = destPath === \'/\' ? \'/\' + sourceFileName : destPath + \'/\' + sourceFileName;\n  }\n\n  return {\n    fs: fs.set(destPath, fs.get(sourcePath))\n  };\n};\n\n/**\n * Removes a file from the file system\n * @param  {Map}    fs       file system\n * @param  {string} filePath path to the file to delete\n * @return {object}          file system or an error\n */\nvar deleteFile = exports.deleteFile = function deleteFile(fs, filePath) {\n  if ((0, _directoryOperations.hasDirectory)(fs, filePath)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.IS_A_DIRECTORY)\n    };\n  }\n\n  if (!hasFile(fs, filePath)) {\n    return {\n      err: (0, _fsError.makeError)(_fsError.fsErrorType.NO_SUCH_FILE)\n    };\n  }\n\n  return BaseOp.remove(fs, filePath);\n};\n\n/***/ }),\n\n/***/ \"./src/fs/util/file-util.js\":\n/*!**********************************!*\\\n  !*** ./src/fs/util/file-util.js ***!\n  \\**********************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.makeDirectory = exports.makeFile = exports.isDirectory = exports.isFile = undefined;\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\n/**\n * Checks if a JavaScript object is a file object\n * @param  {object}  json potential file\n * @return {boolean}      whether the object conforms to the file schema\n */\nvar isFile = exports.isFile = function isFile(map) {\n  return map.has(\'content\');\n};\n\n/**\n * Checks if a JavaScript object is a directory object\n * @param  {object}  json potential directory\n * @return {boolean}      whether the object conforms to the directory schema\n */\nvar isDirectory = exports.isDirectory = function isDirectory(map) {\n  return !map.has(\'content\');\n};\n\n/**\n * Makes an file conforming to the file schema\n * @param  {object} content  content of the file\n * @return {object}          new file\n */\nvar makeFile = exports.makeFile = function makeFile() {\n  var content = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : \'\';\n  var metadata = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};\n\n  return (0, _immutable.fromJS)(_extends({\n    content: content\n  }, metadata));\n};\n\n/**\n * Makes an directory conforming to the directory schema\n * @param  {object} children child directories or files\n * @return {object}          new directory\n */\nvar makeDirectory = exports.makeDirectory = function makeDirectory() {\n  var metadata = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};\n\n  return (0, _immutable.fromJS)(_extends({}, metadata));\n};\n\n/***/ }),\n\n/***/ \"./src/fs/util/glob-util.js\":\n/*!**********************************!*\\\n  !*** ./src/fs/util/glob-util.js ***!\n  \\**********************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.captureGlobPaths = exports.globPaths = exports.globSeq = exports.glob = undefined;\n\nvar _minimatch = __webpack_require__(/*! minimatch */ \"./node_modules/minimatch/minimatch.js\");\n\nvar _minimatch2 = _interopRequireDefault(_minimatch);\n\nvar _minimatchCapture = __webpack_require__(/*! minimatch-capture */ \"./node_modules/minimatch-capture/index.js\");\n\nvar _minimatchCapture2 = _interopRequireDefault(_minimatchCapture);\n\nvar _immutable = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nvar GLOB_OPTIONS = { dot: true };\n\nvar glob = exports.glob = function glob(str, globPattern) {\n  return (0, _minimatch2.default)(str, globPattern, GLOB_OPTIONS);\n};\n\nvar globSeq = exports.globSeq = function globSeq(seq, globPattern) {\n  return seq.filter(function (path) {\n    return (0, _minimatch2.default)(path, globPattern, GLOB_OPTIONS);\n  });\n};\n\nvar globPaths = exports.globPaths = function globPaths(fs, globPattern) {\n  return globSeq(fs.keySeq(), globPattern);\n};\n\nvar captureGlobPaths = exports.captureGlobPaths = function captureGlobPaths(fs, globPattern) {\n  var filterCondition = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : function (path) {\n    return true;\n  };\n\n  return fs.keySeq().reduce(function (captures, path) {\n    if (filterCondition(path)) {\n      var pathCaptures = (0, _minimatchCapture2.default)(path, globPattern, GLOB_OPTIONS);\n\n      if (pathCaptures) {\n        return captures.concat(pathCaptures);\n      }\n    }\n\n    return captures;\n  }, (0, _immutable.List)());\n};\n\n/***/ }),\n\n/***/ \"./src/fs/util/path-util.js\":\n/*!**********************************!*\\\n  !*** ./src/fs/util/path-util.js ***!\n  \\**********************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nfunction _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }\n\nfunction _toArray(arr) { return Array.isArray(arr) ? arr : Array.from(arr); }\n\n/**\n * Tests if a path is a trailing path.\n *\n * A trailing path ends with a trailing slash (/) and excludes the root\n * directory (/).\n * @param  {string}  path path with or without a trailing slash\n * @return {Boolean}      true, if the path is a trailing path\n */\nvar isTrailingPath = exports.isTrailingPath = function isTrailingPath(path) {\n  return path.endsWith(\'/\') && path !== \'/\';\n};\n\n/**\n * Removes a trailing slash (/) from a path\n * @param  {string} path path with or without a trailing /\n * @return {string}      path without trailing /\n */\nvar removeTrailingSeparator = exports.removeTrailingSeparator = function removeTrailingSeparator(path) {\n  if (path.endsWith(\'/\') && path !== \'/\') {\n    return path.slice(0, -1);\n  }\n  return path;\n};\n\n/**\n * Tests if a path is absolute\n * @param  {string}  path\n * @return {boolean}\n */\nvar isAbsPath = exports.isAbsPath = function isAbsPath(path) {\n  return path.startsWith(\'/\');\n};\n\n/**\n * Converts a path to an ordered array of folders and files.\n *\n * Example: Parts of \'/a/b/c/e.txt\' has parts of [\'/\', \'a\', \'b\', \'c\', \'e.txt\']\n *\n * A relative path splits parts at /. An absolute path splits at / and also\n * considers the root directory (/) as a part of the path.\n * @param  {string} path [description]\n * @return {array}       list of path parts\n */\nvar toPathParts = exports.toPathParts = function toPathParts(path) {\n  if (path === \'/\') {\n    return [\'/\'];\n  };\n\n  path = removeTrailingSeparator(path);\n  var pathParts = path.split(\'/\');\n\n  if (isAbsPath(path)) {\n    var _pathParts = _toArray(pathParts),\n        nonRootPathParts = _pathParts.slice(1);\n\n    return [\'/\'].concat(_toConsumableArray(nonRootPathParts));\n  }\n\n  return pathParts;\n};\n\n/**\n * Converts path parts back to a path\n * @param  {array} pathParts path parts\n * @return {string}          path\n */\nvar toPath = exports.toPath = function toPath(pathParts) {\n  if (pathParts[0] === \'/\') {\n    // absolute path\n    var _pathParts2 = _toArray(pathParts),\n        nonRootPathParts = _pathParts2.slice(1);\n\n    return \'/\' + nonRootPathParts.join(\'/\');\n  }\n\n  return pathParts.join(\'/\');\n};\n\n/**\n * Find breadcrumb paths, i.e. all paths that need to be walked to get to\n * the specified path\n * Example: /a/b/c will have breadcrumb paths of \'/\', \'/a\', \'/a/b\', \'/a/b/c\'\n * @param  {string} path path to a directory\n * @return {array}       list of paths that lead up to a path\n */\nvar getPathBreadCrumbs = exports.getPathBreadCrumbs = function getPathBreadCrumbs(path) {\n  var pathParts = toPathParts(path);\n\n  if (pathParts.length <= 1) {\n    return [\'/\'];\n  }\n\n  var _pathParts3 = _toArray(pathParts),\n      secondPathPart = _pathParts3[1],\n      pathPartsWithoutRoot = _pathParts3.slice(2);\n\n  return pathPartsWithoutRoot.reduce(function (breadCrumbs, pathPart) {\n    var previousBreadCrumb = breadCrumbs[breadCrumbs.length - 1];\n\n    return [].concat(_toConsumableArray(breadCrumbs), [previousBreadCrumb + \'/\' + pathPart]);\n  }, [\'/\', \'/\' + secondPathPart]);\n};\n\n/**\n * Removes the file name from the end of a file path, returning the path to the\n * directory of the file\n * @param  {string} filePath path which ends with a file name\n * @return {string}          directory path\n */\nvar getPathParent = exports.getPathParent = function getPathParent(filePath) {\n  if (filePath === \'/\') {\n    return \'/\';\n  }\n\n  var pathParts = toPathParts(filePath); // converts path string to array\n  var pathPartsWithoutFileName = pathParts.slice(0, -1); // removes last element of array\n\n  return toPath(pathPartsWithoutFileName);\n};\n\n/**\n * Extracts the file name from the end of the file path\n * @param  {string} filePath path which ends with a file name\n * @return {string}          file name from the path\n */\nvar getLastPathPart = exports.getLastPathPart = function getLastPathPart(filePath) {\n  var pathParts = toPathParts(filePath); // converts path string to array\n\n  return pathParts[pathParts.length - 1];\n};\n\n/**\n * Extracts the file name and directory path from a file path\n * @param  {string} filePath path which ends with a file name\n * @return {object}          object with directory and file name\n */\nvar splitFilePath = exports.splitFilePath = function splitFilePath(filePath) {\n  return {\n    \'dirPath\': getPathParent(filePath),\n    \'fileName\': getLastPathPart(filePath)\n  };\n};\n\n/**\n * Converts a relative path to an absolute path\n * @param  {string} relativePath\n * @param  {string} cwd          current working directory\n * @return {string}              absolute path\n */\nvar GO_UP = \'..\';\nvar CURRENT_DIR = \'.\';\nvar isStackAtRootDirectory = function isStackAtRootDirectory(stack) {\n  return stack.length === 1 && stack[0] === \'/\';\n};\n\nvar toAbsolutePath = exports.toAbsolutePath = function toAbsolutePath(relativePath, cwd) {\n  relativePath = removeTrailingSeparator(relativePath);\n  var pathStack = isAbsPath(relativePath) ? [] : toPathParts(cwd);\n\n  var _iteratorNormalCompletion = true;\n  var _didIteratorError = false;\n  var _iteratorError = undefined;\n\n  try {\n    for (var _iterator = toPathParts(relativePath)[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {\n      var pathPart = _step.value;\n\n      if (pathPart === GO_UP) {\n        if (!isStackAtRootDirectory(pathStack)) {\n          pathStack.pop();\n        }\n      } else if (pathPart !== CURRENT_DIR) {\n        pathStack.push(pathPart);\n      }\n    }\n  } catch (err) {\n    _didIteratorError = true;\n    _iteratorError = err;\n  } finally {\n    try {\n      if (!_iteratorNormalCompletion && _iterator.return) {\n        _iterator.return();\n      }\n    } finally {\n      if (_didIteratorError) {\n        throw _iteratorError;\n      }\n    }\n  }\n\n  return toPath(pathStack);\n};\n\n/***/ }),\n\n/***/ \"./src/fs/util/permission-util.js\":\n/*!****************************************!*\\\n  !*** ./src/fs/util/permission-util.js ***!\n  \\****************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.canModifyPath = undefined;\n\nvar _pathUtil = __webpack_require__(/*! fs/util/path-util */ \"./src/fs/util/path-util.js\");\n\nvar PathUtil = _interopRequireWildcard(_pathUtil);\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nvar DEFAULT_PERMISSION = true;\n\n/**\n * Checks if a single path can be modified by checking the \'canModify\' key held\n * in the path.\n *\n * This does NOT check parents of the path.\n * @param  {Map}     fs   file system\n * @param  {string}  path path to check for modification permission\n * @return {Boolean}      true, if a single path can be modified\n */\nvar isModificationAllowed = function isModificationAllowed(fs, path) {\n  var directory = fs.get(path, null);\n\n  if (directory) {\n    var canModify = directory.get(\'canModify\', DEFAULT_PERMISSION);\n\n    if (!canModify) {\n      return false;\n    }\n  }\n\n  return true;\n};\n\n/**\n * Checks if a path and its parents can be modified.\n * @param  {Map}     fs   file systems\n * @param  {String}  path path to a directory or file\n * @return {Boolean}      true, if the path and its parents can be modified\n */\nvar canModifyPath = exports.canModifyPath = function canModifyPath(fs, path) {\n  var breadCrumbPaths = PathUtil.getPathBreadCrumbs(path);\n\n  var _iteratorNormalCompletion = true;\n  var _didIteratorError = false;\n  var _iteratorError = undefined;\n\n  try {\n    for (var _iterator = breadCrumbPaths[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {\n      var breadCrumbPath = _step.value;\n\n      if (!isModificationAllowed(fs, breadCrumbPath)) {\n        return false;\n      }\n    }\n  } catch (err) {\n    _didIteratorError = true;\n    _iteratorError = err;\n  } finally {\n    try {\n      if (!_iteratorNormalCompletion && _iterator.return) {\n        _iterator.return();\n      }\n    } finally {\n      if (_didIteratorError) {\n        throw _iteratorError;\n      }\n    }\n  }\n\n  return true;\n};\n\n/***/ }),\n\n/***/ \"./src/index.js\":\n/*!**********************!*\\\n  !*** ./src/index.js ***!\n  \\**********************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.OptionParser = exports.FileOp = exports.DirOp = exports.OutputType = exports.OutputFactory = exports.Outputs = exports.History = exports.FileSystem = exports.EnvironmentVariables = exports.CommandMapping = exports.EmulatorState = exports.defaultCommandMapping = exports.HistoryKeyboardPlugin = exports.Emulator = undefined;\n\nvar _emulator = __webpack_require__(/*! emulator */ \"./src/emulator/index.js\");\n\nvar _emulator2 = _interopRequireDefault(_emulator);\n\nvar _HistoryKeyboardPlugin = __webpack_require__(/*! emulator/plugins/HistoryKeyboardPlugin */ \"./src/emulator/plugins/HistoryKeyboardPlugin.js\");\n\nvar _HistoryKeyboardPlugin2 = _interopRequireDefault(_HistoryKeyboardPlugin);\n\nvar _emulatorState = __webpack_require__(/*! emulator-state */ \"./src/emulator-state/index.js\");\n\nvar _emulatorOutput = __webpack_require__(/*! emulator-output */ \"./src/emulator-output/index.js\");\n\nvar _fs = __webpack_require__(/*! fs */ \"./src/fs/index.js\");\n\nvar _parser = __webpack_require__(/*! parser */ \"./src/parser/index.js\");\n\nvar _commands = __webpack_require__(/*! commands */ \"./src/commands/index.js\");\n\nvar _commands2 = _interopRequireDefault(_commands);\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n// Any class/function exported here forms part of the emulator API\nexports.Emulator = _emulator2.default;\nexports.HistoryKeyboardPlugin = _HistoryKeyboardPlugin2.default;\nexports.defaultCommandMapping = _commands2.default;\nexports.EmulatorState = _emulatorState.EmulatorState;\nexports.CommandMapping = _emulatorState.CommandMapping;\nexports.EnvironmentVariables = _emulatorState.EnvironmentVariables;\nexports.FileSystem = _emulatorState.FileSystem;\nexports.History = _emulatorState.History;\nexports.Outputs = _emulatorState.Outputs;\nexports.OutputFactory = _emulatorOutput.OutputFactory;\nexports.OutputType = _emulatorOutput.OutputType;\nexports.DirOp = _fs.DirOp;\nexports.FileOp = _fs.FileOp;\nexports.OptionParser = _parser.OptionParser;\n\n/***/ }),\n\n/***/ \"./src/parser/command-parser.js\":\n/*!**************************************!*\\\n  !*** ./src/parser/command-parser.js ***!\n  \\**************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nfunction _toArray(arr) { return Array.isArray(arr) ? arr : Array.from(arr); }\n\n/**\n * Removes excess whitespace (> 1 space) from edges of string and inside string.\n * @param  {string} str string\n * @return {string}     string without > 1 space of whitespace\n */\nvar removeExcessWhiteSpace = function removeExcessWhiteSpace(str) {\n  return str.trim().replace(/\\s\\s+/g, \' \');\n};\n\n/**\n * Places the command name and each following argument into a list\n * @param  {string} command sh command\n * @return {array}          command name and arguments (if any)\n */\nvar toCommandParts = function toCommandParts(command) {\n  return removeExcessWhiteSpace(command).split(/\\s/);\n};\n\n/**\n * Creates a list of commands split into the command name and arguments\n * @param  {string} commands command input\n * @return {array}           list of parsed command\n */\nvar parseCommands = exports.parseCommands = function parseCommands(commands) {\n  return commands.split(/&&|;/) // split command delimiters: `&&` and `;`\n  .map(function (command) {\n    return toCommandParts(command);\n  }).map(function (_ref) {\n    var _ref2 = _toArray(_ref),\n        commandName = _ref2[0],\n        commandOptions = _ref2.slice(1);\n\n    return {\n      commandName: commandName,\n      commandOptions: commandOptions\n    };\n  });\n};\n\nexports.default = parseCommands;\n\n/***/ }),\n\n/***/ \"./src/parser/index.js\":\n/*!*****************************!*\\\n  !*** ./src/parser/index.js ***!\n  \\*****************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\n\nvar _optionParser = __webpack_require__(/*! parser/option-parser */ \"./src/parser/option-parser.js\");\n\nvar OptionParser = _interopRequireWildcard(_optionParser);\n\nfunction _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }\n\nexports.default = {\n  OptionParser: OptionParser\n};\nmodule.exports = exports[\'default\'];\n\n/***/ }),\n\n/***/ \"./src/parser/option-parser.js\":\n/*!*************************************!*\\\n  !*** ./src/parser/option-parser.js ***!\n  \\*************************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\n\"use strict\";\n\n\nObject.defineProperty(exports, \"__esModule\", {\n  value: true\n});\nexports.parseOptions = undefined;\n\nvar _getOptions = __webpack_require__(/*! get-options */ \"./node_modules/get-options/index.js\");\n\nvar _getOptions2 = _interopRequireDefault(_getOptions);\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\n/**\n * Creates an options object with bindings based on optDefs\n * @param  {string} commandOptions string representation of command arguments\n * @param  {object} optDef         see get-options documentation for schema details\n * @return {object}                options object\n */\nvar parseOptions = exports.parseOptions = function parseOptions(commandOptions, optDef) {\n  return (0, _getOptions2.default)(commandOptions, optDef, {\n    noAliasPropagation: \'first-only\'\n  });\n};\n\nexports.default = parseOptions;\n\n/***/ }),\n\n/***/ 0:\n/*!****************************!*\\\n  !*** multi ./src/index.js ***!\n  \\****************************/\n/*! no static exports found */\n/***/ (function(module, exports, __webpack_require__) {\n\nmodule.exports = __webpack_require__(/*! /builds/rohanchandra/javascript-terminal/src/index.js */\"./src/index.js\");\n\n\n/***/ })\n\n/******/ });\n});\n//# sourceMappingURL=terminal.js.map\n                 </script>\n                 <script>\n                 const commandMapping = " + JSON.stringify(commandMapping) + ";\n                 function setup(commandMapping) {\n  const dispatch = (type, data = {}) => JSON.stringify({\n    type,\n    data,\n  });\n  const addKeyDownListener = (eventKey, target, onKeyDown) => {\n    target.addEventListener(\'keydown\', e => {\n      if (e.key === eventKey) {\n        onKeyDown();\n        e.preventDefault();\n      }\n    });\n  };\n  const scrollToPageEnd = () => {\n    window.scrollTo(0, document.body.scrollHeight);\n  };\n  const viewRefs = {\n    input: document.getElementById(\'input\'),\n    output: document.getElementById(\'output-wrapper\')\n  };\n  const createOutputDiv = (className, textContent) => {\n    const div = document.createElement(\'div\');\n    div.className = className;\n    div.appendChild(document.createTextNode(textContent));\n    return div;\n  };\n  const outputToHTMLNode = {\n    [Terminal.OutputType.TEXT_OUTPUT_TYPE]: content => createOutputDiv(\n      \'text-output\',\n      content,\n    ),\n    [Terminal.OutputType.TEXT_ERROR_OUTPUT_TYPE]: content => createOutputDiv(\n      \'error-output\',\n      content,\n    ),\n    [Terminal.OutputType.HEADER_OUTPUT_TYPE]: content => createOutputDiv(\n      \'header-output\',\n      `$ ${content.command}`,\n    )\n  };\n  const displayOutputs = (outputs) => {\n    viewRefs.output.innerHTML = \'\';\n    const outputNodes = outputs.map(output =>\n      outputToHTMLNode[output.type](output.content)\n    );\n    for (const outputNode of outputNodes) {\n      viewRefs.output.append(outputNode);\n    }\n  };\n  const getInput = () => viewRefs.input.value;\n  const setInput = (input) => {\n    viewRefs.input.value = input;\n  };\n  const clearInput = () => {\n    setInput(\'\');\n  };\n  const emulator = new Terminal.Emulator();\n  let emulatorState = Terminal.EmulatorState.create({\n    ...Terminal.EmulatorState.createEmpty(),\n    \'commandMapping\': Terminal.CommandMapping.create({\n      ...Terminal.defaultCommandMapping,\n      ...Object.entries(commandMapping)\n        .reduce(\n          (obj, [key, { optDef }]) => {\n            return {\n              ...obj,\n              [key]: {\n                function: (state, opts) => {\n                  window.postMessage(dispatch(\n                    \'ACTION_TYPE_COMMAND\',\n                    {\n                      key,\n                      opts,\n                    },\n                  ));\n                  return {};\n                },\n                optDef,\n              },\n            };\n          },\n          {},\n        ),\n    }),\n    // TODO: These require additional implementation props on the native side.\n    //\'fs\': customFileSystem,\n    //\'environmentVariables\': customEnvVariables,\n    //\'history\': customHistory,\n    //\'outputs\': customOutputs,\n  });\n  \n  const historyKeyboardPlugin = new Terminal.HistoryKeyboardPlugin(emulatorState);\n  const plugins = [historyKeyboardPlugin];\n\n  // XXX: Global\n  // TODO: The following two functions are really similar, condense.\n  window.addOutput = (output) => {\n    emulatorState = emulatorState.setOutputs(\n      Terminal.Outputs.addRecord(\n        emulatorState.getOutputs(),\n        Terminal.OutputFactory.makeTextOutput(\n          output,\n        ),\n      ),\n    );\n    displayOutputs(emulatorState.getOutputs());\n    scrollToPageEnd();\n    clearInput();\n  };\n  window.addErrorOutput = (err) => {\n    emulatorState = emulatorState.setOutputs(\n      Terminal.Outputs.addRecord(\n        emulatorState.getOutputs(),\n        Terminal.OutputFactory.makeErrorOutput(\n          err,\n          //JSON.parse(err),\n        ),\n      ),\n    );\n    displayOutputs(emulatorState.getOutputs());\n    scrollToPageEnd();\n    clearInput();\n  };\n\n  window.clearInput = () => clearInput();\n  \n  addKeyDownListener(\'Enter\', viewRefs.input, () => {\n    const commandStr = getInput();\n    emulatorState = emulator.execute(emulatorState, commandStr, plugins);\n    displayOutputs(emulatorState.getOutputs());\n    scrollToPageEnd();\n    clearInput();\n  });\n  addKeyDownListener(\'ArrowUp\', viewRefs.input, () => {\n    setInput(historyKeyboardPlugin.completeUp());\n  });\n  addKeyDownListener(\'ArrowDown\', viewRefs.input, () => {\n    setInput(historyKeyboardPlugin.completeDown());\n  });\n  addKeyDownListener(\'Tab\', viewRefs.input, () => {\n    const autoCompletionStr = emulator.autocomplete(emulatorState, getInput());\n    setInput(autoCompletionStr);\n  });\n  // XXX: Inform the native runtime that the Terminal has become ready.\n  setTimeout(\n    () => {\n      window.postMessage(dispatch(\n      \'ACTION_TYPE_READY\',\n      ));\n    },\n    // TODO: Need an asynchronous trigger for when the postMessage\n    //       function becomes available. This implementation is\n    //       coarse and a potential source of error on slow runtimes.\n    1000,\n  );\n}\n                 setup(commandMapping);\n                 </script>\n               </body>\n             </html>\n          ";
  }